2002-02-25  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-proc.el (w3m-process-filter): Use `ignore-errors' instead of
	`condition-case'.
	(w3m-process-y-or-n-p): Regist answers only when they have non-nil
	values.

2002-02-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-perldoc.el: New file.

	* w3m.el (top): Add autoload for `w3m-perldoc.el'.
	(w3m-tmp-urluser-alist): Abolished.
	(w3m-read-file-name): Call `w3m-url-strip-query'.
	(w3m-download): Ditto.
	(w3m-w3m-get-header): Accept URLs which includes authentication
	information like scheme://user:pass@netloc/.  Set `w3m-current-url'
	before `w3m-process-start' is called.
	(w3m-w3m-dump-head-source): Ditto.
	(w3m-retrieve): Call `w3m-url-strip-fragment'.
	(w3m-retrieve-and-render): Modified to accept URLs which includes
	authentication information.  Do not set `w3m-current-url'.
	(w3m-goto-url): Modified to accept URLs which includes authentication
	information and to pass them through to sub-routines.
	(w3m): Small modified to accept URLs which includes authentication
	information.

	* w3m-util.el (w3m-url-authinfo-regexp): New internal constant.
	(w3m-url-authinfo): New function.
	(w3m-url-strip-authinfo): Ditto.
	(w3m-url-strip-fragment): Ditto.
	(w3m-url-strip-query): Ditto.

	* w3m-proc.el (top): No bind `w3m-tmp-urluser-alist'.
	(w3m-process-authinfo-alist): Renamed from `w3m-process-user-alist'.
	(w3m-process-accept-list): Abolished.
	(w3m-process-accept-alist): New internal variable.
	(w3m-process-user-counter): Abolished.
	(w3m-process-start-process): In order to set `w3m-process-user' and
	`w3m-process-passwd' call `w3m-url-authinfo', instead of refering
	`w3m-tmp-urluser-alist'.
	(w3m-process-stop): Reset `w3m-process-authinfo-alist' and
	`w3m-process-accept-alist'.
	(w3m-process-sentinel): Regist an authentication information only when
	`w3m-process-realm' is set.
	(w3m-process-filter): Call `w3m-process-y-or-n-p' instead of
	`w3m-process-accept-get' and `w3m-process-accept-set'.  When a user
	name and a password of a proxy server are reasked, their old values are
	discarded.  Reconstruct the part checking user names and passwords.
	(w3m-process-get-server-root): Its regular expression are small
	modified.  Call `w3m-url-strip-authinfo'.
	(w3m-process-get-user): Removed.
	(w3m-process-get-passwd): Ditto.
	(w3m-process-set-user): Ditto.
	(w3m-process-accept-get): Ditto.
	(w3m-process-accept-set): Ditto.
	(w3m-process-set-authinfo): New function.
	(w3m-process-read-user): Ditto.
	(w3m-process-read-passwd): Ditto.
	(w3m-process-y-or-n-p): Ditto.

2002-02-14  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-modeline-ssl-image-status-on)
	(w3m-modeline-ssl-status-off): New constants.
	(w3m-current-ssl): New buffer local variable.
	(w3m-clear-local-variables, w3m-copy-local-variables): Handling
	`w3m-current-ssl'.
	(w3m-w3m-attributes): When detect `W3m-ssl-certificate:' header, set
	`w3m-current-ssl'. Skip reading of folded lines of each header.
	(w3m-buffer-setup): Display SSL indicator at mode-line.
	(w3m-about-header): Display SSL information when exist
	`W3m-ssl-certificate:' header.

2002-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-read-file-name): Strip the query part from a default file
	name.
	(w3m-download): Ditto.
	(w3m-url-components-regexp): Move forward.

	* mime-w3m.el: Always require `font' under XEmacs.

2002-02-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-async-exec): Default to nil under MacOS X.

2002-02-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-e21.el (w3m-setup-favicon): Fix handling of
	`w3m-about-xxxx-favicon'.

2002-02-08  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-icon-data): New buffer local variable.
	(w3m-clear-local-variables): Add `w3m-icon-data'.
	(w3m-copy-local-variables): Ditto.
	(w3m-fontify-anchors): Setup `w3m-icon-data'.
	(w3m-check-link-tags): Parse `type' of link attribute; Set
	`w3m-icon-data' if `icon' rel attribute exist.
	(w3m-goto-url): Added local variable real-data.

	* w3m-e21.el (w3m-favicon-cache-favicon): Added compatibility code.
	(w3m-setup-favicon): Use w3m-icon-data if it exists; Changed first
	argument for `w3m-retrieve-favicon'.
	(w3m-buffer-favicon): Use car of `w3m-current-favicon-data' as image
	data and cdr as image type.
	(w3m-retrieve-favicon): Changed first argument to cons cell of image
	data and its type.

2002-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-save-list): Allow the 4th arg `escape-ctl-chars'.
	(w3m-arrived-shutdown): Call it with the 4th arg.

	* w3m-antenna.el (w3m-antenna-shutdown): Call `w3m-save-list' with the
	4th arg.

2002-02-08  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-pixels-per-line): Renamed from w3m-pixel-per-line; Fixed
	custom type.
	(w3m-pixels-per-character): Likewise.
	(w3m-rendering-half-dump): Follow the changes above.

2002-02-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-type): Considerd as an internal variable.
	(w3m-options): Removed.
	(w3m-compile-options): New internal variable.
	(toplevel): Set `w3m-compile-options' instead of `w3m-options'.
	(w3m-treat-image-size): Refer `w3m-compile-options' instead of
	`w3m-options'.
	(w3m-rendering-half-dump): Ditto.
	(w3m-local-file-type): When a remote URL is passed, refer its
	non-directory part to decide its content type.
	(w3m-touch-file): Bind `default-directory' locally.

2002-02-08  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-pixel-per-line): New user option.
	(w3m-rendering-half-dump): Use `w3m-pixel-per-line' as the -ppl
	argument of the w3m command.
	(w3m-pixel-per-character): New user option.
	(w3m-rendering-half-dump): Use `w3m-pixel-per-character' as the -ppc
	argument of the w3m command.

2002-02-07  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-e21.el (w3m-favicon-size): Set default value to nil.
	(w3m-buffer-favicon): If w3m-favicon-size is nil, detect frame char
	height and use it.

	* w3m.el (w3m-command): Set default value to nil.
	(w3m-type): Ditto.
	(w3m-options): New user option.
	(toplevel): Set w3m-command, w3m-type and w3m-options.
	(w3m-treat-image-size): New user option.
	(w3m-rendering-half-dump): Set rendering options -o
	display_image=on/off, -ppc, -ppl according to the value of
	`w3m-treat-image-size'.

2002-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-display-message): New macro.

	* w3m.el (w3m-make-help-echo): Clear the echo area when Emacs 21 is
	running; use the modern styles of backquote.
	(w3m-make-balloon-help): Use the modern styles of backquote.
	(w3m-toggle-inline-image): Use `w3m-display-message' instead of
	`message' to say a trivial message.
	(w3m-view-this-url): Ditto.
	(w3m-submit-form): Ditto.
	(w3m-view-image): Ditto.
	(w3m-save-image): Ditto.
	(w3m-download-this-url): Ditto.
	(w3m-print-current-url): Ditto.
	(w3m-print-this-url): Ditto.
	(w3m-edit-this-url): Ditto.
	(w3m-quit): Ditto.
	(w3m-goto-ftp-url): Ditto.
	(w3m-select-buffer): Ditto.
	(w3m-select-buffer-show-this-line): Ditto.
	(w3m-select-buffer-show-this-line-and-switch): Ditto.

2002-02-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-after-cursor-move-hook): New option.
	(w3m-check-current-position): New function.
	(w3m-print-this-url-after-command): Removed.
	(w3m-buffer-setup): Set `w3m-check-current-position' to
	`post-command-hook', instead of `w3m-print-this-url-after-command'.
	(w3m-add-local-hook): Check version of Emacsen dynamically.

	* w3m-e21.el (w3m-add-local-hook): New function.

2002-02-07  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-fontify-images): Changed regexp to more generic one to
	search img_alt tag.
	(w3m-toggle-inline-images-internal): Fixed image redisplay flickers.

2002-02-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-halfdump-command-common-arguments): Replace `frame-width'
	with `window-width'.
	(w3m-about-db-history): Ditto.

2002-02-05  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-proc.el (w3m-process-accept-list): New internal variable.
	(w3m-process-filter): Watch `accept? (y/n)' for certification.
	(w3m-process-accept-get, w3m-process-accept-set): New functions.

2002-02-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-make-ccl-coding-system): Alias to `ignore' if
	no-MULE (the feature `mule' is not provided).
	(coding-system-category): Ditto.
	(define-ccl-program): Define it as an empty macro if no-MULE.

	* w3m.el (TopLevel): Don't require `ccl' if no-MULE.
	(w3m-accept-japanese-characters): Default to nil if no-MULE.
	(w3m-coding-system): Default to `iso-8859-1' if no-MULE.
	(w3m-output-coding-system): Ditto.
	(w3m-file-coding-system): Ditto.
	(w3m-toolbar): Don't express some Japaneses chars directly.

	* w3mhack.el (w3mhack-examine-modules): Don't byte-compile w3m-ucs.el,
	shimbun modules, mime-w3m.el, octet.el and w3m-weather.el if no-MULE.

2002-02-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-meta-content-type-charset-regexp)
	(w3m-meta-charset-content-type-regexp)
	(w3m-meta-refresh-content-regexp)
	(w3m-meta-content-refresh-regexp): Remove redundant double quote.

	* w3m.el (w3m-content-prepare-functions): New internal contsant.
	(w3m-prepare-content): Refer it.
	(w3m-prepare-text-content): New function.
	(w3m-prepare-image-content): Ditto.

2002-02-05  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-meta-charset-content-type-regexp)
	(w3m-meta-content-refresh-regexp): Allow broken quotation mark.

2002-02-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-touch-file): Robust checking.

2002-02-05  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-util.el (w3m-which-command): If called with `not string', return
	nil.

2002-02-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-touch-file-avaiable-p): New internal variable.
	(w3m-touch-file): Check the validity of `touch' command.

2002-02-05  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-touch-file): Call touch command with "-t time" instead of
	"-d time".

2002-02-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-touch-command): New option.
	(w3m-touch-file): New function.
	(w3m-download): Call it.
	(w3m-toggle-inline-images-internal): Fix inconsistency of text
	properties when images are not downloaded.
	(w3m-toggle-inline-image): Simplified.
	(w3m-toggle-inline-images): Ditto.

2002-02-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-prin1): New function.
	* w3m.el (w3m-save-list): Use it instead of `prin1'.

	* w3mhack.el, w3m.el, w3m-xmas.el, w3m-om.el: Say emacs-w3m not
	Emacs-W3M.

2002-02-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-w3m.el (mime-w3m-mode-dont-bind-keys): New variable.
	(mime-w3m-setup): Don't bind keys listed in the above.

	* w3m.el (w3m-key-binding): Switch key bindings also in w3m-mode
	buffers when customizing; don't manipulate keymaps when Emacs is
	running in the batch mode.

2002-02-01  Yuuichi Teranishi  <teranisi@gohome.org>

	* octet.el (octet-suffix-type-alist): Added lzh, tar, pdf.
	(octet-type-filter-alist): Ditto.
	(octet-content-type-alist): Added application/x-msexcel, text/html,
	application/x-tar, application/pdf.
	(octet-magic-type-alist): Fixed magic for html.
	(octet-tar-mode): New function.
	(octet-guess-type-from-name): Downcase suffix.
	(octet-mime-setup): Add action for application/vnd.ms-powerpoint.

2002-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-w3m.el (mime-w3m-safe-url-regexp): New user option.
	(mime-w3m-preview-text/html): Use it.

	* w3m.el (w3m-key-binding): Don't eval a part of the `set:' form when
	compiling nnshimbun.el in the Gnus source tree.

2002-02-01  Yuuichi Teranishi  <teranisi@gohome.org>

	* octet.el (octet-buffer): Fixed problem when 'Quit'.
	(mime-preview-octet-hook): New hook.
	(mime-preview-octet): Run it.
	(w3m-about-octet-attachments): Fixed problem when there's no
	octet-attachment which corresponds to the src url.
	(mime-view-octet): Set content-type argument for `octet-buffer'.
	(mime-preview-octet): Ditto.

2002-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-w3m.el (mime-w3m-preview-text/html): Bind `w3m-force-redisplay'
	with nil.

2002-02-01  Yuuichi Teranishi  <teranisi@gohome.org>

	* octet.el (octet-buffer): Set default of `completing-read'.

2002-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-key-binding): Switch `w3m-mode-map', `mime-w3m-mode-map'
	and `mm-w3m-mode-map' when customizing.

2002-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-w3m.el (mime-w3m-mode-command-alist): New variable.
	(mime-w3m-setup): Use it; invalidate widget button in
	`mime-w3m-mode-map'.
	(mime-w3m-keymap-property): Removed.
	(mime-w3m-preview-text/html): Add `text-rendered-by-mime-w3m' text
	property to the rendered area.
	(kill-new): Strip keymap properties from a killed string only if it has
	`text-rendered-by-mime-w3m' property.

2002-01-31  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-url-at-point): Remove all text-properties from url.

	* w3m-search.el (w3m-search): Remove all text-properties from default
	search value.

2002-01-31  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-search.el (w3m-search-word-at-point): New option.
	(w3m-search): Refer `w3m-search-word-at-point'.

2002-01-31  Yuuichi Teranishi  <teranisi@gohome.org>

	* octet.el (octet-content-type-alist): Added text/html.
	(octet-magic-type-alist): Likewise.
	(octet-type-filter-alist): Likewise; Added `guess'; Changed result type
	of gzip as `guess'.
	(octet-find-file-hook): New hook.
	(octet-find-file): Run it.
	(octet-filter-guess): New function.
	(octet-buffer): Fix.

2002-01-30  Yuuichi Teranishi  <teranisi@gohome.org>

	* octet.el (toplevel): Require 'static.
	(octet-html-render-function): Changed default value to
	`octet-w3m-region.'
	(octet-type-filter-alist): Changed filter function to
	`octet-filter-call2-extra'.
	(octet-attachments): New buffer-local variable.
	(w3m-about-octet-attachments): New function.
	(octet-w3m-region): Ditto.
	(octet-filter-call2-extra): New function.
	(octet-find-file): Do nothing when buffer is read-only.

	* w3m.el (w3m-about-retrieve): Decode buffer only if the content-type
	is text.

	* octet.el (octet-guess-type-from-name): Return nil if guess failed.
	(octet-buffer): Ask octet type if guess failed.
	(octet-content-type-alist): New variable.
	(octet-guess-type-from-content-type): New function.
	(octet-buffer): Added optional argument `content-type'.
	(octet-buffer): Ignore `quit'.
	(octet-suffix-type-alist): Added images.
	(octet-content-type-alist): Ditto.
	(octet-type-filter-alist): Ditto.
	(octet-magic-type-alist): Renamed from mime-magic-type-alist.
	(octet-decode-image): New function.
	(octet-guess-type-from-magic): New function.
	(octet-buffer): Use it.
	(octet-insert-buffer): New function.
	(mime-preview-octet): Use it.

2002-01-29  Yuuichi Teranishi  <teranisi@gohome.org>

	* octet.el (octet-type-filter-alist): Changed default value for xlhtml
	and ppthtml.
	(octet-filter-call2): Fixed problem when return value of call-process
	is not numeric.
	(octet-filter-call1): Ditto.
	(octet-find-file): Use unwind-protect.
	(octet-filter-call2): Fixed docstring.
	(octet-filter-call1): Ditto.
	(octet-buffer): Fixed argument for `interactive'.

2002-01-29  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-encoding-type-alist): New option.
	(w3m-local-file-type): New function.
	(w3m-local-content-type): New implementation.
	(w3m-local-attributes): Call `w3m-local-file-type' instead of
	`w3m-local-content-type'.
	(w3m-download): `url' is lexically binded.  Call `message' to display
	error messages.

	* w3mhack.el (w3mhack-examine-modules): Fix to avoid that octet.el is
	byte-compiled repeatedly.

2002-01-29  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3mhack.el (w3mhack-examine-modules): Add octet.el to the module list
	if FLIM is installed.

	* octet.el: New file.

2002-01-25  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-highlight-current-anchor): Don't search for the anchor
	points which are out of sight.

2002-01-25  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-tmp-urluser-alist): New variable.
	(w3m-goto-url): If URL include user and passwd, set
	`w3m-tmp-urluser-alist' for process handling.  Remove passwd from URL.
	(w3m): Remove passwd from URL when insert it in buffer.

	* w3m-util.el (w3m-get-user-passwd-from-url)
	(w3m-remove-passwd-from-url): New functions.

	* w3m-proc.el (top): Define `w3m-tmp-urluser-alist' to avoid
	byte-compile warning.
	(w3m-process-start-process): If URL include user or passwd, set them to
	default values.
	(w3m-process-filter): Use default values of `w3m-process-user' and
	`w3m-process-passwd'.
	(w3m-process-get-server-root): Remove `about://.../' from server root.

	* w3m-search.el (w3m-search): Insert default string in minibuffer.

2002-01-25  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-about-history): Don't add to history if url is nil.
	(w3m-print-this-url-after-command): Call
	`w3m-highlight-current-anchor'.
	(w3m-delete-all-overlays): New macro.
	(w3m-highlight-current-anchor): New function.
	(w3m-current-anchor-face): New face.
	(w3m-arrived-anchor-face): Removed underline property.
	(w3m-anchor-face): Ditto.

2002-01-18  OHASHI Akira  <bg66@koka-in.org>

	* w3m.el (w3m-header-line-map): Inherit `w3m-mode-map'.

2002-01-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-e21.el (w3m-setup-favicon): Reversed the condition that decide
	whether favicons are used.

2002-01-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-e21.el (w3m-setup-favicon): If url is `ftp://', not retrieve a
	favicon data.

	* w3m.el (w3m-current-directory): New function.
	(w3m-goto-url): Use `w3m-current-directory' when set
	`default-directory'.

2002-01-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-use-ange-ftp): New option.
	(w3m-w3m-attributes): Handle ftp scheme URLs.
	(w3m-download): Refer `w3m-use-ange-ftp'.
	(w3m-goto-url): Ditto.

2002-01-11  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-read-file-name): Remove an optional argument
	`initial'. Call `read-file-name' without `default' option.

2002-01-11  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-url-encode-string): Fixed for Mule2.

	* w3m-util.el (w3m-truncate-string): New function.

	* w3m-form.el (w3m-form-replace): Use `w3m-truncate-string' instead of
	`truncate-string'.

2002-01-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-region): Process <base> tag.

2002-01-09  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-local-content-type): Fix handling of the remote url.
	(w3m-file-directory-p): New function.
	(w3m-goto-ftp-url): Use `w3m-file-directory-p' instead of
	`file-directory-p'.


2002-01-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.2.4 from emacs-w3m-1_2 branch.

2002-01-08  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-arrived-setup-hook): New hook.
	(w3m-arrived-shutdown-hook): Ditto.
	(w3m-arrived-setup): Run `w3m-arrived-setup-hook'.
	(w3m-arrived-shutdown): Run `w3m-arrived-shutdown-hook'.
	(w3m-quit): Don't remove `w3m-arrived-shutdown' from `kill-emacs-hook'.

	* w3m-e21.el (w3m-favicon-cache-expire-wait): New user option.
	(w3m-favicon-cache-p): New macro.
	(w3m-favicon-cache-favicon): Ditto.
	(w3m-favicon-cache-retrived): Ditto.
	(w3m-retrieve-favicon): Don't use old cache data.
	(w3m-favicon-cache-data): Renamed from `w3m-favicon-data-cache'.
	(w3m-favicon-save-cache-file): Follow above change.
	(w3m-favicon-load-cache-file): Ditto.
	(w3m-arrived-setup-hook): Regist `w3m-favicon-load-cachee-faile'.
	(w3m-arrived-shutdown-hook): Regist `w3m-favicon-save-cache-file'.

2002-01-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-goto-url): Use a URL-like string under the cursor as the
	initial value of the target URL when interactively called.
	(w3m-view-this-url): When a URL-like string is found under the cursor,
	view it.
	(w3m-view-this-url-1): New internal function.

2002-01-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-display-hook): Change default variable to `nil'.
	(top): Use `add-hook' when `w3m-history-highlight-current-url',
	`w3m-move-point-for-localcgi' and `w3m-select-buffer-update' set to
	`w3m-display-hook'.
	(w3m-local-dirlist-cgi): When use `dirlist.cgi', decode filename tag.

2002-01-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-url-to-file-name): When the pointed file is not found,
	decode the specified URL and recheck it.

2002-01-07  Shiro Takeda  <zbc08106@park.zero.ad.jp>

	* w3m.el (w3m-bold-face, w3m-underline-face): New faces.
	(w3m-fontify-bold): Use `w3m-bold-face' instead of `bold'.
	(w3m-fontify-underline): Use `w3m-underline-face' instead of
	`underline'.

2002-01-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-w32-browser-with-fiber): Fix handling of the local url.

	* w3m-util.el (w3m-url-local-p): Fix its regexp for Windows.

2002-01-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-about-header): Protect against null title.
	(w3m-arrived-setup): Ignore database of arrived URLs in too old style.

2002-01-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-url-encode-string): Add a period to the set of characters
	which are not encoded.  From Fabrice Bauzac <noon@noon.dnsalias.net>

2001-12-31  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-add-local-hook): New function.
	(w3m-current-position): New buffer local variable.
	(w3m-store-current-position): New hook function.
	(w3m-print-this-url-after-command): New hook funtcion.
	(w3m-buffer-setup): Regist these hook functions.
	(w3m-header-line-location-title-face): Integrated with the defition in
	w3m-e21.el
	(w3m-header-line-location-content-face): Ditto.
	(w3m-header-line-map): Ditto.
	(w3m-header-line-insert): Renamed from `w3m-insert-header-line'.

	* w3m-e21.el (w3m-header-line-location-title-face): Integrated to the
	defition in w3m.el.
	(w3m-header-line-location-content-face): Ditto.
	(w3m-header-line-map): Ditto.
	(w3m-setup-header-line): Clean up.
	(w3m-insert-header-line): Removed.

2001-12-30  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-url-to-file-name): Fix its regexp.

2001-12-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-print-this-url): Display a message when it is called
	interactively.

2001-12-29  OHASHI Akira  <bg66@koka-in.org>

	* w3m.el (w3m-print-this-url): Don't print any messages when there is
	no url or form under point.

2001-12-29  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-url-local-directory-alist): Renamed from
	`w3m-edit-url-directory-alist'.
	(w3m-url-to-file-name): Return nil, when the specified URL points no
	local file.
	(w3m-url-completion): Modified its regexp.  Fix completion of dot
	files.
	(w3m-edit-url): Simplified.
	(w3m-goto-url): Removed the redundant local variable.  Set
	`default-directory' to the local directory to which the current URL is
	related by `w3m-url-local-directory-alist'.
	(w3m-about-history): Installed the ad-hoc workaround.

	* w3m-util.el (w3m-url-dtree-p): Modified its regexp.

2001-12-26  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-decode-get-refresh): Not run Refresh timer if the URI is
	matched `about://', .
	(w3m-goto-url): Modify the timing to call `w3m-cancel-refresh-timer'.

2001-12-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el: Autoload "timer" for the function `cancel-timer' when
	Mule 2 is running.

2001-12-26  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-refresh-at-time): Run `w3m-goto-url-with-timer'
	immediately, if the delay of refresh is zero.

	* w3m-xmas.el (w3m-refresh-at-time): Removed.

2001-12-25  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-use-refresh): New user option.
	(w3m-refresh-timer, w3m-current-refresh): New buffer-local variables.
	(w3m-clear-local-variables, w3m-copy-local-variables): Handle
	`w3m-current-refresh'.
	(w3m-meta-refresh-content-regexp)
	(w3m-meta-content-refresh-regexp): New constant.
	(w3m-decode-buffer): Call `w3m-decode-get-refresh' first.
	(w3m-decode-get-refresh): New function.
	(w3m-view-previous-page): Bind `w3m-use-refresh' to nil.
	(w3m-quit, w3m-close-window): Call `w3m-cancel-refresh-timer' at any
	buffers.
	(w3m-goto-url): Call `w3m-cancel-refresh-timer' first.  Call
	`w3m-refresh-at-time' at last; start REFRESH timer.
	(w3m-goto-url-with-timer): New function.
	(w3m-refresh-at-time): New function for FSF Emacs.

	* w3m-xmas.el (w3m-refresh-at-time): New function for XEmacs.

	* w3m-util.el (w3m-cancel-refresh-timer): New function.
	(w3m-current-refresh, w3m-refresh-timer, w3m-use-refresh): Avoid
	byte-compiled warnings.

	* w3m-proc.el (w3m-process-stop): Call `w3m-cancel-refresh-timer'.

2001-12-24  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-dump-head-source-command-arguments) [w3mmee]: Support
	`w3m-accept-languages'.


2001-12-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.2.3 from emacs-w3m-1_2 branch.

2001-12-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-type): Changed condition to decide type.
	(w3m-decoder-alist): Call `file-name-nondirectory' before `w3m-command'
	is refered.
	(w3m-dirlist-cgi-program): Ditto.

2001-12-21  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-type): Changed condition to decide type.
	(w3m-decoder-alist): Use `w3m-command' for inflate command path.
	(w3m-dirlist-cgi-program): Use `w3m-command'.
	(w3m-dump-head-source-command-arguments) [w3mmee]: Don't add "-o
	accept_language=xxx".

2001-11-16  OKAZAKI Tetsurou <okazaki@be.to>

	* w3m.el (w3m-type): Use "w3m-m17n" if exists.

2001-12-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-mailto-url): Use the property `composefunc' to get
	the function to compose a mail from `mail-user-agent'.

2001-12-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-load-list): Removed a bogus code for XEmacs; don't bind
	the value of `file-coding-system-for-read' if the optional arg is nil
	and `w3m-file-coding-system-for-read' is nil.

2001-12-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3m-use-favicon): Don't bind it.

	* w3m-e21.el (w3m-use-favicon): Set it to nil anyway when Emacs is
	running in the batch mode.
	(w3m-imagick-convert-buffer): Reverted.

2001-12-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-e21.el (w3m-imagick-convert-buffer): Don't growl errors when
	Emacs is running in the batch mode.

2001-12-18  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m-e21.el (w3m-favicon-use-cache-file): New user option.
	(w3m-favicon-cache-file): Ditto.
	(w3m-favicon-data-cache): New variable.
	(w3m-retrieve-favicon): Use `w3m-favicon-data-cache' or store it.
	(w3m-favicon-save-cache-file): New function.
	(w3m-favicon-load-cache-file): Ditto.

2001-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-e21.el (w3m-e21-toolbar-configurations): Replace
	`auto-resize-tool-bar' to `auto-resize-tool-bars'.

2001-12-17  OHASHI Akira  <bg66@koka-in.org>

	* README.shimbun.ja: Add information for sb-debian-jp.el and
	sb-debian.el.

2001-12-17  Taiki SUGAWARA  <t-suga@atomsystem.co.jp>
	    TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-form.el (w3m-form-parse-forms): Change the separater string for
	option tag.

2001-12-12  Taiki SUGAWARA  <t-suga@atomsystem.co.jp>

	* w3m-form.el (w3m-form-parse-forms): If not find selected, first
	element is made into default.

2001-12-14  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-dtree.el (w3m-about-dtree): Ignore arguments on and after 4th.

2001-12-14  Katsumi Yamaoka  <yamaoka@jpl.org>
	Suggested by NAKAJIMA Mikio <minakaji@osaka.email.ne.jp>.

	* w3m-e21.el (w3m-use-favicon): Default to t, but it will be altered to
	nil automatically if ImageMagick does not support a favicon; never use
	ImageMagick if it has been set to nil.

	* w3mhack.el (w3m-use-favicon): Bind it to nil to inhibit the use of
	ImageMagick.

2001-12-12 Kazuyoshi Koreeda <k_koreed@d2.dion.ne.jp>

	* w3m-weather.el (w3m-weather-insert-seikatu-sisu): New function.
	(w3m-weather-get-seikatu-sisu): Ditto.

2001-12-10  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m-form.el (w3m-form-parse-forms): Use `w3m-decode-entities-string'
	to value in the textarea and option menu.

2001-12-11  Mito  <mito@mxa.nes.nec.co.jp>

	* w3m.el (w3m-scroll-left): Modify doc-string.
	(w3m-scroll-right): Ditto.

2001-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-e21.el (w3m-imagick-convert-usable-p): New function.
	(w3m-use-favicon): Use it.

2001-12-06  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>,
	    TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-e21.el (top): Installed the check of the validity of ImageMagick.


2001-12-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.2.2 from emacs-w3m-1_2 branch.

2001-12-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-type): Follow the new official release of w3m.
	(w3m-attributes): Follow the change of error symbols which are defined
	in w3m-proc.el.
	(w3m-retrieve): Ditto.
	(w3m-about-header): Likewise.  Ignore optional arguments safely.
	(w3m-message): Display message only when original w3m buffer is
	displayed.
	(w3m-about-retrieve): Asynchronized.
	(w3m-retrieve-and-render): Follow the change of `w3m-message'.
	(w3m-prepare-content): Install the measure against narrowed buffers.

	* w3m-proc.el (w3m-process-start-process): Accept the 2nd optional
	argument to reset the sentinel funtcion for the generated asynchronous
	process.
	(w3m-process-failure): Removed.
	(w3m-process-timeout): Simplified its error condition.
	(w3m-process-with-wait-handler): No sentinel function is registered and
	the sentinel function is called from this macro itself.

	* w3m-weather.el (w3m-weather-filter-functions): Add
	`w3m-weather-expand-anchors'.
	(w3m-about-weather): Asynchronized.
	(w3m-weather-remove-headers): Follow changes of original content.
	(w3m-weather-remove-footers): Ditto.
	(w3m-weather-expand-anchors): New filter function.

2001-12-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-emacs-w3m-icon): Made it interlaced and endlessly
	animated.

2001-12-06  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-decode-buffer): When content-charset is unknown, detect
	coding-system automatically.

2001-12-04  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m-e21.el (w3m-buffer-favicon): Reset `w3m-current-favicon-data' to
	nil when conversion was failure.

2001-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-e21.el (w3m-imagick-convert-buffer): Say errors and return nil if
	the process returns a non-zero status (possibly a string).

2001-12-03  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-xmas.el (w3m-create-image): Bind some arguments lexically for
	w3m-fix-gif().

2001-12-04  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-e21.el (w3m-setup-favicon): Fix for "about://" url.
	(w3m-buffer-favicon): Renamed local variable.
	(w3m-tab-line): Call `w3m-buffer-favicon' only when w3m-use-favicon is
	non-nil.

2001-12-03  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-modeline-process-status-on): Modify default value.
	(w3m-buffer-setup): Simplified `mode-line-buffer-identification'.

2001-11-29  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-e21.el (w3m-imagick-convert-program): New user option.
	(w3m-favicon-size): Ditto.
	(w3m-use-favicon): Ditto.
	(w3m-favicon-name): New constant.
	(w3m-current-favicon-data): New buffer local variable.
	(w3m-current-favicon-image): Ditto.
	(w3m-display-hook): Added 'w3m-setup-favicon.
	(w3m-imagick-convert-buffer): New function.
	(w3m-imagick-convert-data): Ditto.
	(w3m-setup-favicon): Ditto.
	(w3m-buffer-favicon): Ditto.
	(w3m-retrieve-favicon): Ditto.
	(w3m-tab-line): Display favicon on tab.

2001-11-28  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-xmas.el (w3m-insert-image): Rewrite.
	(if displayed images exist on the right side, keep them and display
	again)
	(w3m-remove-image): Call `delete-extent' to destroy extents.

2001-11-27  Yoichi NAKAYAMA  <yoichi@eken.phys.nagoya-u.ac.jp>

	* TIPS: New file.

2001-11-27  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-download-this-url): Fix a problem of broken URL.

2001-11-22  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (top, w3m-about): Change the URL of w3m's official page.

2001-11-21  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-max-anchor-sequence): New buffer local variable.
	(w3m-copy-local-variables, w3m-clear-local-variables): Handle
	`w3m-max-anchor-sequence'.
	(w3m-fontify-anchors): Reset `w3m-max-anchor-sequence' to zero.  Use
	the text-property `w3m-anchor-sequence' insted of `w3m-cursor-anchor'.
	(w3m-goto-next-anchor, w3m-next-anchor, w3m-goto-previous-anchor)
	(w3m-previous-anchor): Rewrite use the text-property
	`w3m-anchor-sequence'.
	(w3m-next-form, w3m-goto-next-image, w3m-next-image)
	(w3m-previous-image): Fix mistake as modified last time.

	* w3m-util.el (w3m-anchor-sequence): New macro.
	(w3m-cursor-anchor) Remove macro.

	* w3m-form.el (w3m-form-fontify): Use the text-property
	`w3m-anchor-sequence' insted of `w3m-cursor-anchor'.

2001-11-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-download-this-url): Wrap the form which is evaluated in
	asynchronous context with `w3m-process-with-null-handler', to fix the
	bug reported by Hideyuki SHIRAI <shirai@meadowy.org>.

	* w3m-xmas.el (w3m-create-image): Modified to avoid calling
	`w3m-process-with-wait-handler'.

2001-11-20  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-proc.el (w3m-process-push): Set the buffer-local variable
	`w3m-process-object' in the appropriate buffer.
	(w3m-process-sentinel): Removed redundant call of
	`with-current-buffer'.

	* Makefile.in (default): Reintroduce of checking time stamps of
	w3m-util.elc and w3m-proc.elc.

	* w3m-proc.el (w3m-process-temp-file): Abolished.

	* w3m.el (w3m-content-charset, w3m-content-encoding,
	w3m-content-length, w3m-content-type, w3m-last-modified, w3m-real-url):
	Fixed asynchrounization.
	(w3m-download): Changed the argument spec and the body to accept an
	asynchrounous context.
	(w3m-external-view): Follow change of `w3m-download'.
	(w3m-external-view-file): Changed the argument spec and the body;
	`w3m-process-temp-file' is not refered.
	(w3m-download-this-url): Follow change of `w3m-download'.
	(w3m-scroll-left, w3m-scroll-right): Use `call-interactively' to avoid
	a strange behavior of Emacs21.  This change is suggested by Hironori
	FUJII <fujii@chi.its.hiroshima-cu.ac.jp>.

	* w3m-proc.el (w3m-process-failure): New error symbol.
	(w3m-process-timeout): Change its error condition.
	(w3m-process-with-wait-handler): Install adhoc workaround.

	* w3m.el (w3m-attributes, w3m-retrieve, w3m-about-header): Follow
	change of `w3m-process-with-wait-handler'.

2001-11-19  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-modeline-process-status-on): New constant.
	(w3m-modeline-status-off): Rename from `w3m-modeline-image-status-off'.
	(w3m-buffer-setup): Show the string of `w3m-modeline-process-status-on'
	when process running.
	(w3m-download): Add 4th argument `extview' for w3m-external-view(). If
	`extview' is gived, apply `extview' on process-sentinel like (apply
	(car extview) (cdr extview)).
	(w3m-external-view): When execute `w3m-download', call with `extview'
	argument.
	(w3m-external-view-file): New function.

2001-11-19  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-print-this-url): View current image info.
	(w3m-goto-next-image, w3m-next-image, w3m-goto-previous-image)
	(w3m-previous-image): New functions.
	(w3m-lynx-like-map, w3m-info-like-map): Bind "}" as the key to call
	`w3m-next-image'. Bind "{" as the key to call `w3m-previous-image'.
	(w3m-mode): Modify dos-string.

2001-11-19  Masatake YAMATO  <jet@gyve.org>

	* w3m.el (w3m-goto-next-form, w3m-next-form)
	(w3m-goto-previous-form, w3m-previous-form): New functions.
	(w3m-lynx-like-map, w3m-info-like-map): Bind "]" as the key to call
	`w3m-next-form'. Bind "[" as the key to call `w3m-previous-form'.

2001-11-19  Kazuhiko  <kazuhiko@ring.gr.jp>

	* w3m-xmas.el (w3m-create-image): Fix a problem in handling XBM on
	XEmacs.

2001-11-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-attributes): Establish the error handler for
	`w3m-process-timeout' when the argument `handler' is equal to nil.
	(w3m-retrieve): Ditto.
	(w3m-about-header): Establish the error handler for
	`w3m-process-timeout' before `w3m-w3m-get-header' is called.
	(w3m-select-buffer-close-window): Check whether the menu's window
	exists.

	* w3m-proc.el: Changes to avoid endless loop.
	(w3m-process-start-process): Changed the spec of its return value.
	(w3m-process-timeout): New error symbol.
	(w3m-process-with-wait-handler): Bind `inhibit-quit' to nil, in order
	to accept user's quit; Signal `w3m-process-timeout' when time out is
	detected.
	(w3m-process-do): Accept null variable.
	(w3m-process-do-with-temp-buffer): Ditto.

	* Makefile.in (default): Cancel the last change.

2001-11-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Makefile.in (default): When files which define macros and inline
	functions such as w3m-util.el and w3m-proc.el are newer than their
	byte-compiled files, run clean target before compile.

	* w3m.el (w3m-about-db-history-today): Removed.
	(w3m-about-db-history): Call `w3m-time-lapse-seconds' to classify
	entries.

	* w3m-proc.el: Changes to avoid endless loop.
	(w3m-process-inhibit-quit): New internal variable.
	(w3m-process-timeout): New variable.
	(w3m-process-with-wait-handler): Strict check when asynchrounous
	processes finish; Refer `w3m-process-timeout' to check idle time.
	(w3m-process-sentinel): Bind `inhibit-quit' according to
	`w3m-process-sentinel'.

	* w3m-e21.el: Changes to display tabs which are retieving contents in
	the other face.
	(top): Define `w3m-current-process' to avoid byte-compile warning.
	(w3m-tab-unselected-retrieving-face): New face.
	(w3m-tab-selected-retrieving-face): Ditto.
	(w3m-tab-line): Refer `w3m-current-process' in order to select the face
	of the tab which is retriving some pages.

	* w3m-util.el (w3m-time-lapse-seconds): New inline function.

	* w3m-antenna.el (top): Add autoload of `w3m-filter' to avoid
	byte-compile warning.

2001-11-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-select-buffer): If nomsg eq 'update, don't save
	selected-window; so called `w3m-select-buffer-update' any window to
	differ original window executed process, is broken
	`w3m-select-buffer-window'.
	(w3m-select-buffer-update): Call `w3m-select-buffer' with 'update.

2001-11-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mime-w3m.el (mime-w3m-keymap-property): New macro.
	(mime-w3m-preview-text/html, kill-new): Use the above macro instead of
	`w3m-static-if'.

2001-11-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-select-buffer-window-ratio): New user option.
	(w3m-select-buffer-window-size): Remove user option.
	(w3m-select-buffer-window-size): New function.
	(w3m-select-buffer-toggle-style): Ditto.
	(w3m-select-buffer): Use `w3m-select-buffer-window-size' when calculate
	window size. When call with prefix argument, toggle
	`w3m-select-buffer-horizontal-window'.
	(w3m-select-buffer-show-this-line): Use `w3m-select-buffer-window-size'
	when calculate window size.  If exist w3m-buffer another window under
	control, use it.
	(w3m-select-buffer-mode-map): Modify the key binding 'C-cC-s' for
	toggle `w3m-select-buffer-horizontal-window'.
	(w3m-select-buffer-update): Call `w3m-select-buffer' with two
	arguments.
	(w3m-select-buffer-mode): Modify doc-string.

	* w3m-tabmenu.el (w3m-switch-buffer): Change the rule of detecting
	default buffer.
	(w3m-tab-menubar-make-items): Ditto.

2001-11-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mime-w3m.el: Changes to make installation of this module be easy;
	Comments updated; Initialize code is moved to `mime-w3m-setup'; Changed
	requirement of other modules.
	(mime-w3m-display-inline-images): Changed the default value.
	(mime-w3m-insinuate, mime-w3m-setup): New function.
	(mime-w3m-preview-text/html): Call `mime-w3m-setup'.

2001-11-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-search.el: Require `cl' when compiling.

2001-11-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Changes to avoid that multi async processes are started in
	the same buffer.
	(w3m-current-process): New internal variable to protect parallel
	retriving.
	(w3m-attributes, w3m-base-url, w3m-content-charset,
	w3m-content-encoding, w3m-content-length, w3m-content-type,
	w3m-last-modified, w3m-real-url): Asynchronized.
	(w3m-toggle-inline-images-internal): Set `w3m-current-buffer' to this
	buffer locally, in order to classify the generated async process to the
	appropriate buffer.
	(w3m-toggle-inline-images): Stop processes which are retrieving images
	of this buffer.
	(w3m-retrieve-and-render): Remove redundant `let'.
	(w3m-view-this-url): Refontify anchor.
	(w3m-lynx-like-map, w3m-info-like-map): Bind `C-cC-g' as the key to
	call `w3m-process-stop'.
	(w3m-goto-url): Check `w3m-current-process' to avoid reenterant and set
	it to the value of `w3m-retrieve-and-render'; Before the retrieving
	process of the next page is started, select this buffer in the current
	window and stop processes which are retrieving images of this buffer.
	(w3m): Not select this buffer in the current window.

	* w3m-proc.el (top): Define `w3m-current-process' to avoid byte-compile
	warning.
	(w3m-process-queue-registrable-p): Abolished.
	(w3m-process-new): Its argument spec is changed; Changed the strucuture
	of `w3m-process' object.
	(w3m-process-command): New macro.
	(w3m-process-arguments): Follow the structural change of `w3m-process'
	object.
	(w3m-process-push): Likewise; Follow change of `w3m-process-new'; No
	check for `w3m-process-queue-registrable-p'.
	(w3m-process-kill-process): Check process status before stopping them.
	(w3m-process-start-process): Follow the structural change of
	`w3m-process' object.
	(w3m-process-stop): Ditto; Start queued processes.
	(w3m-process-with-null-handler): No check for
	`w3m-process-queue-registrable-p'.

	* w3m-util.el (w3m-kill-buffer): Fix code to kill this buffer.

2001-11-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-select-buffer): Fix window height calculation when
	w3m-select-buffer-horizontal-window is nil.
	(w3m-select-buffer-mode-map): Add the key bind of
	`w3m-select-buffer-show-this-line-and-down'. Modify the key bind of
	`w3m-select-buffer-show-this-line'.
	(w3m-select-buffer-show-this-line): Fix window height calculation when
	w3m-select-buffer-horizontal-window is nil. If already displayed
	w3m-buffer and call interactively, call `w3m-scroll-up-or-next-url'.
	(w3m-select-buffer-show-this-line-and-down): New function.

2001-11-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Merge experimental-async branch to main trunk.

	* w3m-util.el: Rename from w3m-macro.el; Require `poe' and `poem'
	module for XEmacs and Mule; Import some functions from w3m.el and
	w3m-proc.el.

	* w3m.el: Require `w3m-util' instead of `w3m-macro'; Export
	`w3m-kill-all-buffer' to w3m-util.el.
	(w3m-work-binary-buffer-name): Removed.
	(w3m-rendering-half-dump): Accept an optional argument for w3mmee and
	w3m-m17n.
	(w3m-rendering-buffer-1): Accept two optional arguments for w3mmee and
	w3m-m17n.
	(w3m-rendering-unibyte-buffer): Generate a new working buffer for
	w3mmee and w3m-m17n, in order to avoid racing.
	(w3m-rendering-multibyte-buffer): Ditto.

	* w3m-proc.el: Require `w3m-util' instead of `w3m-macro'; Export
	`w3m-buffer-title', `w3m-buffer-name-lessp' and `w3m-list-buffers' to
	w3m-util.el.

	* mime-w3m.el, w3m-antenna.el, w3m-bookmark.el, w3m-e21.el,
	w3m-form.el, w3m-tabmenu.el, w3m-xmas.el: Require `w3m-util' instead of
	`w3m-macro'.

	* w3mhack.el (w3mhack-examine-modules): Handle w3m-util.el instead of
	w3m-macro.el.

2001-11-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (top): Colon keywords definition are moved to `w3m-macro.el'.
	(w3m-process-connection-type): Imported from `w3m-proc.el'.
	(w3m-next-buffer, w3m-previous-buffer): Simplified.
	(w3m-delete-buffer): Call `w3m-quit' when the number of w3m-mode
	buffers is equal to 1.
	(w3m-quit): Kill all w3m-mode buffers.
	(w3m-close-window): Call `w3m-select-buffer-close-window'.
	(w3m-select-buffer-generate-contents): Simplified.
	(w3m-select-buffer-close-window): New function.

	* w3m-tabmenu.el (w3m-tab-menubar-make-items): Use `w3m-buffer-title'
	and `w3m-list-buffers'.

	* w3m-proc.el (top): Require `poe' module in XEmacs; Require `w3m-om'
	in Mule; Define `w3m-current-title' to avoid byte-compile warning.
	(w3m-process-connection-type): Exported to `w3m.el'.
	(w3m-buffer-title, w3m-buffer-name-lessp, w3m-list-buffers): New
	functions.

	* w3m-macro.el (top): Colon keywords definition are imported from
	`w3m.el'.
	(w3m-pullout-buffer-number): Removed.

	* w3m-e21.el (w3m-tab-line): Use `w3m-buffer-title' and
	`w3m-list-buffers'.

	* w3m.el (w3m-attributes): Wrap `w3m-w3m-attributes' with
	`w3m-process-with-wait-handler'.
	(w3m-w3m-attributes): Changed the argument spec.  Now, this function
	can be used only in asynchronous context.
	(w3m-rendering-unibyte-buffer): Changed the argument spec, and the
	first argument `url' is refered instead of `w3m-current-url'.  This
	change is made to avoid using `w3m-process-with-wait-handler' in
	asynchronous context.
	(w3m-prepare-content): Follow the change of
	`w3m-rendering-unibyte-buffer'.

2001-11-14  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-next-buffer): Use `w3m-pullout-buffer-number' when sort
	buffer-name.
	(w3m-previous-buffer): Ditto.
	(w3m-select-buffer): Change the turn to call of functions.
	(w3m-select-buffer-generate-contents): Use `w3m-pullout-buffer-number'
	when sort buffer-name.  Use text-property instead of point when move to
	point.
	(w3m-select-buffer-recheck): Fix read-only error.
	(w3m-select-buffer-copy-buffer): Rewrite.

	* w3m-tabmenu.el (w3m-tab-menubar-make-items): Use
	`w3m-pullout-buffer-number' instead of `w3m-tab-menubar-pull-bufnum'.
	(w3m-tab-menubar-pull-bufnum): Remove.

	* w3m-macro.el (w3m-pullout-buffer-number): New defsubst.

	* w3m-e21.el (w3m-tab-line): Use `w3m-pullout-buffer-number' when sort
	buffer-name.

2001-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-parse-attributes): Moved it again to w3m-macro.el.
	* w3m-macro.el: The opposite of above.

2001-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Moved back some macros and inline functions from
	w3m-macro.el.

	* w3m-macro.el (w3m-parse-attributes, w3m-real-url, w3m-last-modified,
	w3m-content-type, w3m-content-length, w3m-content-encoding,
	w3m-content-charset, w3m-base-url, w3m-attributes): Moved back to
	w3m.el.

2001-11-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-w3m-retrieve) Call `w3m-w3m-attributes' instead of
	`w3m-attributes'.

	* w3m-proc.el (w3m-process-with-wait-handler): Reimplemented.

2001-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Moved some macros and inline functions to w3m-macro.el.

	* w3m-macro.el (w3m-time-newer-p, w3m-url-local-p, w3m-url-dtree-p,
	w3m-parse-attributes, w3m-real-url, w3m-last-modified,w3m-content-type,
	w3m-content-length, w3m-content-encoding, w3m-content-charset,
	w3m-base-url, w3m-attributes, w3m-cursor-anchor, w3m-submit, w3m-image,
	w3m-anchor, w3m-action, w3m-get-text-property-around): Moved from
	w3m.el.
	(w3m-condition-case): Use old-fashioned backquotes.

	* w3m.el, w3m-xmas.el, w3m-tabmenu.el, w3m-form.el, w3m-e21.el,
	w3m-bookmark.el, w3m-antenna.el, mime-w3m.el: Require `w3m-macro'.

2001-11-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-w3m-get-header, w3m-w3m-attributes): Asynchronized.
	(w3m-w3m-retrieve): Argument spec is changed.
	(w3m-w3m-dump-head-source): Follow change of `w3m-w3m-attributes'.
	(w3m-copy-buffer): Removed redundant code.
	(w3m-about-header): Follow change of `w3m-w3m-get-header'.

	* w3m-proc.el (w3m-process-do): The generated asynchronous process in
	the post handler is started at the end of `w3m-process-sentinel'.
	(w3m-process-do-with-temp-buffer): Ditto.
	(w3m-process-sentinel): Fixed.

	* w3m.el (w3m-download): Use `progn' instead of `inline', in order to
	make debugging be easy.
	(w3m-retrieve-and-render): Ditto.

	* w3m-proc.el: Changed the order of asynchronous form evaluation and
	starting asynchronous processes.
	(w3m-process-queue): Renamed from `w3m-processes'.
	(w3m-process-queue-registrable-p): New internal variable.
	(w3m-process-with-coding-system): New macro.
	(w3m-process-with-environment): Redefine with new backquote style.
	(w3m-process-push): Refer `w3m-process-queue-registrable-p' to add the
	handler to processes registered in `w3m-process-queue' safely.
	(w3m-process-start-process): New internal function.
	(w3m-process-start-queued-processes): Renamed from
	`w3m-process-start-internal'; Call `w3m-process-start-process'; Follow
	renaming of variables.
	(w3m-process-stop, w3m-process-shutdown): Follow renaming of variables.
	(w3m-process-with-null-handler): Start asynchronous processes at the
	end of this macro.
	(w3m-process-do, w3m-process-do-with-temp-buffer): Reimplemented.
	(w3m-process-start): Reimplemented.  Asynchronous processes are not
	started in this function.
	(w3m-process-start-after): New internal function.
	(w3m-process-sentinel): Follow renaming of variables and functions.

2001-11-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-macro.el (w3m-condition-case): New macro.

2001-11-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Makefile.in: Fix the macro rule to generate *.elc files.

	* w3m.el (w3m-display-hook): Add `w3m-select-buffer-update'.
	(w3m-select-buffer-name): Move the definition position to avoid
	byte-compile warning.
	(w3m-goto-url): Removed the code to update the select buffer.
	(w3m-select-buffer-update): New function.

	* w3m-proc.el (w3m-process-with-wait-handler): Adhoc workaround.
	(w3m-process-start): Fix.

2001-11-13  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-lynx-like-map): Bind `C-cC-a' as the key to call
	`w3m-switch-buffer'.
	(w3m-info-like-map): Ditto. Bind `\C-c\C-@' and `C-c\C- ' as the key to
	call `w3m-history-store-position'. Bind `C-cC-b' as the key to call
	`w3m-history-restore-position'.
	(w3m-mode): Modify doc-string.
	(w3m-select-buffer-show-this-line-and-switch): New function.
	(w3m-select-buffer-name): New internal constant.
	(w3m-select-buffer-mode-map): Bind `w' and `h' as the key to call
	`w3m-select-buffer-show-this-line-and-switch'.
	(w3m-select-buffer-mode): Modify doc-string.
	(w3m-select-buffer): Use `w3m-select-buffer-name'. If alive
	select-buffer, use it.  Add optional argument `nomsg'.
	(w3m-select-buffer-generate-contents): If w3m-current-title is
	`<no-title>', use w3m-current-url.
	(w3m-select-buffer-show-this-line): Return selected buffer.
	(w3m-select-buffer-quit): Always pop up the w3m window when quit.
	(w3m-select-buffer-show-this-line-and-quit): Rewrite.
	(w3m-goto-url): If alive w3m-select-buffer, update it.
	(w3m-copy-buffer): If w3m-pop-up-windows is nil, use
	switch-to-buffer. Block to change w3m-select-buffer to w3m buffer, if
	w3m-pop-up-windows is t.
	(top): Add autoload of `w3m-setup-tab' and `w3m-switch-buffer'.
	(w3m-setup-menu): Call `w3m-setup-tab-menu' when w3m-use-tab-menubar is
	t.
	(w3m-mode): Remove to call `w3m-setup-tab-menu'.

	* w3m-e21.el (TOP): Remove `(require 'w3m-tabmenu)'.

	* w3m-e20.el (TOP): Ditto.

	* w3m-om.el (TOP): Ditto.

	* w3m-xmas.el (w3m-setup-tab-menu, w3m-tab-menubar-pull-bufnum)
	(w3m-tab-menubar-make-items, w3m-select-buffer): Remove.
	(w3m-setup-menu): Call `w3m-setup-tab-menu' when w3m-use-tab-menubar is
	t.

	* w3mhack.el (w3mhack-examine-modules): Revival byte-compile
	`w3m-tabmenu.el' when XEmacs.

	* w3m-tabmenu.el (ALL): Full rewrite to use `easymenu'.

2001-11-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-select-buffer-horizontal-window): New user option.
	(w3m-select-buffer-window-size): Ditto.
	(w3m-lynx-like-map): Bind `C-cC-b' as the key to call
	`w3m-switch-buffer.
	(w3m-info-like-map): Ditto.
	(w3m-select-buffer-window): New internal variable.
	(w3m-select-buffer-message): New internal constant.
	(w3m-select-buffer): New implementation.
	(w3m-select-buffer-generate-contents): New function.
	(w3m-select-buffer-mode-map): New keymap.
	(w3m-select-buffer-mode): New function.
	(w3m-select-buffer-recheck): New command.
	(w3m-select-buffer-current-buffer): New macro.
	(w3m-select-buffer-show-this-line): New command.
	(w3m-select-buffer-next-line): Ditto.
	(w3m-select-buffer-previous-line): Ditto.
	(w3m-select-buffer-copy-buffer): Ditto.
	(w3m-select-buffer-delete-buffer): Ditto.
	(w3m-select-buffer-quit): Ditto.
	(w3m-select-buffer-show-this-line-and-quit): Ditto.

	* w3m-xmas.el (w3m-switch-buffer): Renamed from `w3m-select-buffer'.

	* w3m-tabmenu.el (w3m-switch-buffer): Renamed from `w3m-select-buffer'.

2001-11-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-e20.el (w3m-display-inline-images-p): Renamed from
	`w3m-display-inline-image-p'.

	* w3m-om.el (w3m-display-inline-images-p): Ditto.

2001-11-12  Yuuichi Teranishi  <teranisi@gohome.org>

	* mew-w3m.el (mew-mime-text/html-w3m): Bind `w3m-display-inline-images'
	instead of `w3m-current-image-status'.

	* mime-w3m.el (mime-w3m-display-inline-images): Renamed from
	`mime-w3m-display-inline-image'.
	(mime-w3m-preview-text/html): Follow the change above; Bind
	`w3m-display-inline-images' instead of `w3m-current-image-status'.

	* w3m-xmas.el (w3m-display-inline-images-p): Renamed from
	`w3m-display-inline-image-p'; Refer `w3m-display-inline-images' instead
	of `w3m-current-image-status'.

	* w3m-e21.el (w3m-display-inline-images-p): Renamed from
	`w3m-display-inline-image-p'; Refer `w3m-display-inline-images' instead
	of `w3m-current-image-status'.

	* w3m.el (w3m-display-inline-image): Abolish.
	(w3m-current-image-status): Ditto.
	(w3m-display-inline-images): New buffer local variable.
	(w3m-default-display-inline-images): New user option.
	(w3m-toggle-inline-images-permanently): Ditto.
	(w3m-toggle-inline-image): Added docstring.
	(w3m-toggle-inline-images): Ditto; Refer `w3m-display-inline-images'
	instead of `w3m-current-image-status'.
	(w3m-view-url-with-external-browser): Ditto.
	(w3m-goto-url): Ditto.
	(w3m-toggle-inline-images): Change the value of
	`w3m-display-inline-images' even when displaying images is not
	completed.
	(w3m-copy-buffer): Set `w3m-display-inline-images' according to
	`w3m-toggle-inline-images-permanently'.
	(w3m-mode): Set value of `w3m-display-inline-images' according to
	`w3m-default-display-inline-images'.
	(w3m-goto-url): Set `w3m-display-inline-images' according to
	`w3m-toggle-inline-images-permanently'; Use
	`w3m-display-inline-images-p' instead of `w3m-display-inline-image-p'.
	(w3m-redisplay-with-charset): Use `w3m-display-inline-images' instead
	of `w3m-display-inline-image'.
	(w3m-region): Use `w3m-display-inline-images-p' instead of
	`w3m-display-inline-image-p'.

2001-11-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (Top): Abolished autoload of `w3m-setup-tab'.
	(w3m-use-tab-menubar): Revival.
	(w3m-lynx-like-map): Bind `C-cC-s' as the key to call
	`w3m-select-buffer'.
	(w3m-info-like-map): Ditto.
	(w3m-mode): Update the doc-string for the commands `w3m-next-buffer',
	`w3m-previous-buffer', `w3m-delete-buffer' and `w3m-select-buffer'.
	Use `w3m-use-tab-menubar' and `w3m-setup-tab-menu()'.

	* w3m-e21.el (Top): Require `w3m-tabmenu'.

	* w3m-e20.el (Top): Ditto.

	* w3m-om.el (Top): Ditto.

	* w3m-tabmenu.el: Rename from `w3m-tab.el'.
	(w3m-setup-tab-menu): Rename from `w3m-setup-tab'.
	(w3m-tab-menubar-make-items): Add new option `nomenu' for
	w3m-select-buffer().
	(w3m-select-buffer): New function.

	* w3m-xmas.el (w3m-setup-tab-menu): Use `defun' insted of `ignore' to
	avoid byte-compile warnings.
	(w3m-tab-menubar-pull-bufnum, w3m-tab-menubar-make-items)
	(w3m-select-buffer): Copy from w3m-tabmenu.el

	* w3mhack.el (w3mhack-examine-modules): Don't byte-compile
	`w3m-tabmenu.el' when XEmacs.


2001-11-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.2.1 from emacs-w3m-1_2 branch.

2001-11-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-expand-url): Remove the last segment of the base URL
	before concatination the specified URL which has only a query part and
	the base URL.

2001-11-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-proc.el (w3m-process-new): Argument spec is changed.
	(w3m-process-process): New macro.
	(w3m-process-handlers): Follow the change of `w3m-process-new'.
	(w3m-process-kill-process): New inline function.
	(w3m-process-start-internal): Strict checking.
	(w3m-process-stop): Fixed.
	(w3m-process-with-wait-handler): Simplified.
	(w3m-process-do): Strict checking of redundant evaluation.
	(w3m-process-do-with-temp-buffer): Ditto.
	(w3m-process-start): Not bind `w3m-process-exit-status' as a local
	variable.
	(w3m-process-sentinel): Ensure that this function will be never called
	repeatedly; Strict checking.

2001-11-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-e21.el (top): Abolished a ignore() of `w3m-use-tab'.

2001-11-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-w3m-dump-head-source): Fix the problem which occurs when
	no content is retrieved.

2001-11-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3mhack.el (w3mhack-examine-modules): Handle `w3m-proc.el'.

	* w3m.el: Modified to retrieve contents asynchronously.
	(top): Require `w3m-proc.el' instead of `w3m-macro.el'.
	(w3m-command-environment): Old name is `w3m-process-environment'.
	(w3m-display-hook): Changed the default value.
	(w3m-current-buffer): New internal variable.
	(w3m-arrived-user-alist): Renamed to `w3m-process-user-alist' and
	exported to `w3m-proc.el'.
	(w3m-process-connection-type, w3m-process-user, w3m-process-passwd,
	w3m-process-user-counter, w3m-process-realm, w3m-process-temp-file,
	w3m-process-exit-status): Exported to `w3m-proc.el'.
	(w3m-toggle-inline-images-internal): Follow change of
	`w3m-create-image'.
	(w3m-exec-process): Removed.
	(w3m-exec-get-user): Renamed to `w3m-process-get-user' and exported to
	`w3m-proc.el'.
	(w3m-exec-get-passwd): Renamed to `w3m-process-get-passwd' and exported
	to `w3m-proc.el'.
	(w3m-exec-set-user): Renamed to `w3m-process-set-user' and exported to
	`w3m-proc.el'.
	(w3m-get-server-root): Renamed to `w3m-process-get-server-root' and
	exported to `w3m-proc.el'.
	(w3m-proxy-user): Renamed to `w3m-process-proxy-user' and exported to
	`w3m-proc.el'.
	(w3m-proxy-passwd): Renamed to `w3m-process-proxy-passwd' and exported
	to `w3m-proc.el'.
	(w3m-exec-filter): Renamed to `w3m-process-filter' and exported to
	`w3m-proc.el'; Slightly modified to protect illegal type of
	`w3m-current-url'.
	(w3m-decode-encoded-contents, w3m-x-moe-decode-buffer,
	w3m-local-dirlist-cgi, w3m-rendering-half-dump): Use
	`w3m-process-with-environment' to adjust the environment variables.
	(w3m-local-retrieve, w3m-cid-retrieve): Insert the retrieved content to
	this current buffer.
	(w3m-w3m-get-header): Call `w3m-process-start' instead of
	`w3m-exec-process'.
	(w3m-w3m-dump-head-source, w3m-w3m-retrieve, w3m-about-retrieve,
	w3m-retrieve, w3m-download): Reconstructed to support asynchronous
	operation.
	(w3m-exec): Removed.
	(w3m-retrieve-and-render, w3m-prepare-content): New function.
	(w3m-quit): Call `w3m-process-shutdown'.
	(w3m-buffer-setup): New inline function.
	(w3m-goto-url): Accept the 6th optional argument, and modified for
	asynchronous processing.
	(w3m-goto-url-localcgi-movepoint): Removed.
	(w3m-move-point-for-localcgi): New function.
	(w3m): Removed redundant quote from the definition of
	`focusing-function'; Display the browsing buffer.
	(w3m-region): Set `w3m-current-buffer' to this current buffer.
	(w3m-about, w3m-about-header): Insert the generated content to this
	current buffer.
	(w3m-about-history, w3m-about-db-history): To access buffer-local
	variables, refer the value of `w3m-current-buffer'.

	* w3m-xmas.el (top): Require `w3m-proc.el' instead of `w3m-macro.el'.
	(w3m-create-image): Accept the 4th optional argument, and modified for
	asynchronous processing.

	* w3m-weather.el (w3m-about-weather): Insert the generated content to
	this current buffer.

	* w3m-proc.el: New file.

	* w3m-namazu.el (w3m-about-namazu): Insert the generated content to
	this current buffer.

	* w3m-macro.el (w3m-with-work-buffer): Removed.
	(w3m-kill-buffer): New inline function.

	* w3m-filter.el (w3m-filter): Filtering the content in this current
	buffer.

	* w3m-e21.el (top): Require `w3m-proc.el' instead of `w3m-macro.el'.
	(w3m-create-image): Accept the 4th optional argument, and modified for
	asynchronous processing.

	* w3m-antenna.el (w3m-about-antenna): Insert the generated content to
	this current buffer.

	* mime-w3m.el (mime-w3m-cid-retrieve): Insert the retrieved content to
	this current buffer.

	* mew-w3m.el (mew-w3m-cid-retrieve): Insert the retrieved content to
	this current buffer.

2001-11-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-use-tab-menubar): Abolished.
	(w3m-pop-up-windows): Changed the expression to decide its default
	value.
	(w3m-setup-menu): Removed the code to set the menubar item of TAB.
	(w3m-fontify-images): Accept an image-type input tag.
	(w3m-fontify): To accept an image-type input tag, changed the order of
	calling fontify functions.
	(top): Add autoload of `w3m-setup-tab'.
	(w3m-mode): Call `w3m-setup-tab'.
	(w3m-tab-menubar-open-buffer): Moved to `w3m-tab.el'.
	(w3m-tab-menubar-update): Ditto.
	(w3m-tab-menubar-pull-bufnum): Ditto.
	(w3m-tab-menubar-make-items): Ditto.

	* w3m-tab.el: New file.

	* w3m-e21.el (top): Define `w3m-use-tab' to avoid byte-compile warning.
	(w3m-use-tab): Moved to `w3m.el'.
	(w3m-setup-tab): Define as a dummy function.

	* w3m-xmas.el (w3m-setup-tab): Define as a dummy function.

	* w3m-form.el: Changes of the structure of the `w3m-form' object.
	(w3m-form-put-property): New inline function.
	(w3m-form-get-property): New macro.
	(w3m-form-put): Use `w3m-form-put-property'.
	(w3m-form-get): Use `w3m-form-get-property'.
	(w3m-form-make-form-data): Follow change of structure of the `w3m-form'
	object.
	(w3m-form-parse-forms): Accept an image-type input tag.
	(w3m-form-resume): Ditto.
	(w3m-form-fontify): Ditto.

2001-11-09  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-use-tab-menubar): New user variable.
	(w3m-setup-menu): Handling tab-menubar.
	(w3m-tab-menubar-open-buffer, w3m-tab-menubar-update,
	w3m-tab-menubar-make-items): New functions.
	(w3m-tab-menubar-pull-bufnum): New macro.
	(top-level): Add define-key-after() to avoid byte-compile warnings, if
	XEmacs.

2001-11-08  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* w3m.el (w3m-start-url, w3m-contents-url): New buffer-local vars.
	(w3m-clear-local-variables): Also clear `w3m-start-url' and
	`w3m-contents-url'.
	(w3m-copy-local-variables): Also copy `w3m-start-url' and
	`w3m-contents-url'.
	(w3m-fontify-anchors, w3m-check-link-tags): Add support the tags
	"previous", "start" and "contents".

2001-11-02  Masatake YAMATO  <jet@gyve.org>

	* w3m.el (autoload): Added w3m-antenna-add-current-url.
	(w3m-lynx-like-map): Likewise.
	(w3m-info-like-map): Likewise.
	(w3m-mode): Added w3m-antenna-add-current-url to doc string.

	* w3m-antenna.el (string-with-default): New widget.
	(string-with-default-value-create): New function.
	(w3m-antenna-sites): Use string-with-default widgets instead of string
	widgets.
	(w3m-antenna-tmp-url): New variable.
	(w3m-antenna-tmp-title): New variable.
	(w3m-antenna-add-current-url): New function.
	(w3m-antenna-add): New function.

2001-11-08  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m-form.el (w3m-form-replace): Don't use `save-excursion' because
	point at start time may be deleted at end time.
	(w3m-form-textarea-replace): Ditto.
	(w3m-form-textarea-info): Use `w3m-get-text-property-around'.

2001-11-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-ftp-url): Rewrote.
	(w3m-download): Use `w3m-goto-ftp-url' for ftp files.

	* w3m-e20.el (w3m-make-ccl-coding-system): Copied from w3m-fsf.el;
	don't call `make-coding-system' if a coding-system already exists.
	* w3m-e21.el (w3m-make-ccl-coding-system): Moved from w3m-fsf.el.
	* w3m-fsf.el (w3m-make-ccl-coding-system): Moved to w3m-e21.el.

2001-11-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (top): Removed autoload of `w3m-remove-image'.

	* w3m-om.el (w3m-remove-image): Define as a dummy function.

	* w3m-e20.el (w3m-remove-image): Define as a dummy function.

	* w3m.el (w3m-quick-start): New option.
	(w3m-input-url): When the default string is equal to nil, it is not
	displayed in the prompt.
	(w3m): Refer `w3m-quick-start' to decide the action when interactively
	called.

2001-11-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-current-title, w3m-current-url): Define them before
	loading the version specific modules.

2001-11-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-xmas.el (format-buffers-tab-line): Protect aginst errors caused
	by the illegal type of `w3m-current-url'.

	* w3m-e21.el (top): Define `w3m-current-url' and `w3m-current-title' to
	avoid byte-compile warnings.
	(w3m-insert-header-line): Protect aginst errors caused by the illegal
	type of `w3m-current-url'.
	(w3m-tab-line): Protect aginst errors caused by illegal types of
	`w3m-current-url' and `w3m-current-title'.

2001-11-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (format-buffers-tab-line): Don't use the value of
	`w3m-current-title' if it is nil.

2001-11-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-exec-filter): Modify regexp pattern of "Wrong username or
	passwd".


2001-11-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.2 from emacs-w3m-1_2 branch.

	* w3m.el (emacs-w3m-version): Modified.
	(top): Protect against the error occurs when `w3m-ucs.el' isn't found.

2001-11-06  Hideyuki SHIRAI  <shirai@meadowy.org>

	* README.shimbun.ja (mew-shimbun.el): Modify description.

2001-11-03  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-copy-buffer): Added argument `empty'.
	(w3m-goto-url-new-session): Call `w3m-copy-buffer' with argument
	`empty' non-nil; If new url has `name' portion, goto the base url
	first.
	(w3m-view-this-url): Likewise.

2001-11-03  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Makefile.in (DOCS): Add `FAQ'.

2001-11-02  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m-form.el (w3m-form-parse-forms): Decode value of input tag.
	(w3m-form-replace): Use `w3m-get-text-property-around'.

	* w3m.el (w3m-parse-attributes): Add :decode-entity attribute.
	(w3m-decode-entities-string): New function.

2001-11-02  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-lynx-like-map): Remove binding of `C-tab' and `C-S-tab'
	Bind `C-cC-t' as the key to call `w3m-copy-buffer'.  Bind `C-cC-p' as
	the key to call `w3m-previous-buffer'.  Bind `C-cC-n' as the key to
	call `w3m-next-buffer'.  Bind `C-cC-w' as the key to call
	`w3m-delete-buffer'.
	(w3m-info-like-map): Ditto.

2001-11-02  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-reload-this-page): When execute with prefix argument,
	clear post-data certainty.

2001-11-01  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-goto-url): Remove processing url's forms from the history
	when post data.
	(w3m): Use `select-frame-set-input-focus' instead of `x-focus-frame'.

	* w3m-form.el (w3m-form-resume): Fix typo.

2001-11-01  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-delete-buffer): New function.
	(w3m-copy-buffer): Call `w3m-goto-url' instead of copying buffer
	content.

2001-10-31  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m-form.el (w3m-form-resume): Remove submit button status to support
	forms containing multiple submit buttons.

2001-10-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-accept-languages): Don't use config file if there are no
	contents for "accept_language".

2001-10-31  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-e21.el (w3m-tab-unselected-face): Setup color for tty.
	(w3m-tab-selected-face): Ditto.
	(w3m-tab-background-face): Ditto.

	* w3m.el (w3m-next-buffer): New function.
	(w3m-previous-buffer): Ditto.
	(w3m-lynx-like-map): Bind `C-tab' as the key to call `w3m-next-buffer';
	Bind `C-S-tab' as the key to call `w3m-previous-buffer'.
	(w3m-info-like-map): Ditto.

2001-10-31  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-accept-languages): New option.
	(w3m-dump-head-source-command-argument): Abolished.
	(w3m-dump-head-source-command-arguments): New constant.
	(w3m-w3m-expand-arguments): New macro.
	(w3m-w3m-dump-head-source): To generate command arguments for w3m, use
	`w3m-w3m-expand-arguments' and refer
	`w3m-dump-head-source-command-arguments'.
	(w3m-rendering-half-dump): To generate command arguments for w3m, use
	`w3m-w3m-expand-arguments'.

2001-10-31  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-reload-this-page): Change the semantic of the prefix
	argument to `clear form and post datas'.

2001-10-31  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-pop-up-windows): Changed default value
	(See [emacs-w3m: 01999]).

	* w3m-e21.el (w3m-tab-unselected-face): Changed underline color.
	(w3m-tab-selected-face): Ditto.
	(w3m-tab-background-face): Ditto.
	(w3m-tab-line): Removed needless local variable `len'.

2001-10-30  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-e21.el (w3m-header-line-location-title-face): Specify background
	color.
	(w3m-header-line-location-title-face): Ditto.
	(w3m-use-tab): New user option.
	(w3m-tab-width): Ditto.
	(w3m-tab-unselected-face): New face.
	(w3m-tab-selected-face): Ditto.
	(w3m-tab-background-face): Ditto.
	(w3m-header-line-map): New variable.
	(w3m-setup-header-line): If w3m-use-tab is non-nil, use header-line as
	a tab area.
	(w3m-insert-header-line): New function.
	(w3m-tab-make-keymap): New function.
	(w3m-tab-line): New function.
	(w3m-fontify-after-hook): Add 'w3m-insert-header-line.

2001-10-30  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-reload-this-page): If form data exist, ask to make use of
	its. Check form data modified.

	* README.shimbun.ja (mew-shimbun.el): Modify description.

2001-10-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-form.el (w3m-form-parse-forms): Dismantle `w3m-current-url' of
	its query part before the rest is refered as the default value of the
	action.

	* w3m.el (w3m-ccl-write-repeat): Accept optional arguments to avoid
	difference between Emacesn on CCL.
	(w3m-iso-latin-1-decoder): Call `w3m-ccl-write-repeat' with optional
	argument.

2001-10-30  Hideyuki SHIRAI  <shirai@meadowy.org>

	* README.shimbun.ja: Add information for mew-shimbun.el

2001-10-29  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-terminal-coding-system): Changed default value for
	w3m(en).
	(w3m-input-coding-system): Ditto.
	(w3m-default-coding-system): Ditto.
	(w3m-iso-latin-1-decoder): Fixed for latin-iso8859-1 under old Emacsen.
	(w3m-ccl-write-repeat): Ditto.

2001-10-29  ORI Manabu <ori@tahoo.org>

	* w3m.el (w3m-type): Added the expression to detect `w3m-m17n'.

2001-10-29  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-accept-japanese-characters): Use `-halfdump' option
	instead of `-dump' option in order to detect the real internal
	character set of `w3m-command'.
	(w3m-profile-directory): Fixed the expression to determine the default
	value for the environment where `w3m-command' includes redundant
	suffixes.
	(w3m-default-save-directory): Ditto.
	(w3m-euc-japan-encoder): Define in the old-style backquote.
	(w3m-iso-latin-1-encoder): Ditto.

	* w3m.el (w3m-use-mule-ucs): Simplified.
	(w3m-ccl-write-repeat): Fixed.
	(w3m-euc-japan-decoder): Ditto.

2001-10-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-ccl-write-repeat): Avoid a byte-compile warning.

2001-10-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-info-like-map): Bind `\M-g' as the key to call
	`goto-line'.

	* w3m.el (w3m-use-mule-ucs): More safe default value.
	(w3m-accept-japanese-characters): Improved automatic detection.
	(w3m-ccl-write-repeat): Fix typo.

	* w3m.el (w3m-type): Use the default value which detected
	automatically.
	(w3m-accept-japanese-characters): New internal variable.
	(w3m-terminal-coding-system): Changed the default value for w3m which
	doesn't accept Japanese characters.
	(w3m-input-coding-system): Ditto.
	(w3m-output-coding-system): Ditto.
	(w3m-default-coding-system): Changed the default value for the
	environment that `w3m-language' doesn't equal to "Japanese".
	(w3m-internal-characters-alist): New constant.
	(w3m-ccl-write-repeat): New internal function to generate a part of CCL
	decoder.
	(w3m-euc-japan-decoder): Modified.
	(w3m-iso-latin-1-decoder): New CCL program.
	(w3m-iso-latin-1-encoder): New CCL program which is used when
	`w3m-use-mule-ucs' equals to nil.
	(w3m-iso-latin-1): New coding system.

	* w3m-ucs.el (w3m-ucs-generate-ncr-program): New constant.
	(w3m-euc-japan-encoder): Refer `w3m-ucs-generate-ncr-program'.
	(w3m-iso-latin-1-encoder): New CCL program.

	* w3m-macro.el (w3m-static-when): New macro.
	(w3m-static-unless): Ditto.

	* w3m-e21.el (w3m-setup-header-line): Protect aginst the error occurs
	when `w3m-current-url' isn't string.

2001-10-26  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-mime-text/html-w3m): Support `Xref' header in SHIMBUN
	article.

2001-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m): Call `w3m-mode' for a new session; use
	`generate-new-buffer' instead of `get-buffer-create' for a new session;
	allow the optional 2nd arg NEW-SESSION.
	(w3m-goto-url-new-session): New command.
	(w3m-goto-url): Always set the value of
	`mode-line-buffer-identification'.
	(w3m-mode): Update the doc-string for the new command
	`w3m-goto-url-new-session'.
	(w3m-info-like-map): Bind the key "G" to the command
	`w3m-goto-url-new-session'.
	(w3m-lynx-like-map): Bind the key "G" to the command
	`w3m-goto-url-new-session'; replace the key "G" to "\M-g" for the
	command `goto-line'.
	(w3m-copy-buffer): Make all the arguments optional; make the 1st arg
	BUF default to the current buffer.
	(w3m-view-this-url): Call `w3m-copy-buffer' with the 1st arg nil.
	(w3m-region, w3m-find-file, w3m-browse-url, w3m-gohome, w3m-download):
	Add autoload magic cookie.
	(w3m-popup-frame-p): Allow the optional arg FORCE.

2001-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-examine-modules): Don't byte-compile w3m-ucs.el
	when the version of XEmacs is not greater than or equal to 21.2.37.

	* w3m.el (w3m-pop-up-frames, w3m-pop-up-windows): Add a recommendation
	to the doc-string about the use of XEmacs' buffers tab.

	* w3m-xmas.el (w3m-xmas-update-tab-in-gutter): New function; add it to
	`w3m-display-hook'.
	(format-buffers-tab-line): Advise the function to show the current
	title string in the buffer tab.
	(w3m-xmas-show-current-title-in-buffer-tab): New user option.
	(TopLevel): When compiling, use `autoload' "w3m" for the void functions
	instead of the use of `defalias' to `ignore'; autoload "gutter-items"
	for `update-tab-in-gutter'.

2001-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-copy-buffer): Bind `pop-up-windows' to the value of
	`w3m-pop-up-windows'.
	(w3m-pop-up-windows): New user option.

2001-10-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-rendering-buffer-1): Redundant argument is removed.

2001-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-view-this-url): Fixed the interactive spec.

2001-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>
	    Suggested by Clifford Caoile <piyokun@email.com>.

	* w3m.el (w3m-info-like-map, w3m-lynx-like-map): Bind S-SPC key to the
	command `w3m-scroll-down-or-previous-url'.

2001-10-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-use-mule-ucs): Changed.
	(w3m-url-encode-string): Refer `w3m-default-coding-system' and
	`w3m-coding-system' when `coding' argument is lacked.
	(w3m-url-decode-string): Ditto.
	(w3m-rendering-buffer-1): Define as a normal function.
	(w3m-lynx-like-map): Changed the key which calls `w3m-save-image' from
	`M-I' to `M-i'.
	(w3m-info-like-map): Ditto; Registerd `O' as the key which calls
	`w3m-db-history'.

	* aclocal.m4 (AC_ADD_LOAD_PATH): Remove empty lines from auto detection
	result.

	* Makefile.in (DOCS): Add FAQ.ja, README.namazu.ja and
	README.shimbun.ja.
	(tarball): Handle attic/ and patches/.

2001-10-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-mode): Update the doc-string about making a new session.
	(w3m-info-like-map, w3m-lynx-like-map): Bind keys for the new commands
	to make a new session.
	(w3m-mouse-view-this-url-new-session): New command.
	(w3m-view-this-url-new-session): New command.
	(w3m-mouse-view-this-url): Make it can create a new session.
	(w3m-view-this-url): Ditto.

2001-10-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (top): Add autoload for `w3m-form-parse-buffer'.
	(w3m-display-hook): New option.
	(w3m-decoder-alist): Reindent.
	(w3m-use-form): Changed default value.
	(w3m-dirlist-cgi-program): Changed the expression to get default path.
	(w3m-work-binary-buffer-name): New constant.
	(w3m-attributes): Handle URLs which start `about://source/'; It isn't
	defined as an inline function but a normal function to avoid
	byte-compile error.
	(w3m-arrived-add): Fixed codes to remove fragments in the specified
	URL.
	(w3m-local-retrieve): Clean up.
	(w3m-about-retrieve): Handle URLs which start `about://source/'.
	(w3m-retrieve): Doesn't call `w3m-filter'.
	(w3m-remove-meta-charset-tags): Renamed from `w3m-remove-meta-tags'.
	(w3m-rendering-region): Removed.
	(w3m-rendering-extract-title): New function.
	(w3m-rendering-half-dump): Ditto.
	(w3m-rendering-buffer-1): Ditto.
	(w3m-rendering-unibyte-buffer): Ditto.
	(w3m-rendering-multibyte-buffer): Ditto.
	(w3m-exec): Call `w3m-rendering-unibyte-buffer' instead of
	`w3m-rendering-region'.
	(w3m-edit-url): Improved to handle URLs which start `about://source/'
	or `about://header/'.
	(w3m-goto-url): Removed code to highlight current line in the history;
	Call hook functions in `w3m-display-hook'.
	(w3m-region): Call `w3m-rendering-multibyte-buffer' instead of
	`w3m-rendering-region'.
	(w3m-about): Clean up.
	(w3m-about-source): Removed.
	(w3m-view-source): Make URLs which start `about:' available.
	(w3m-about-header): Simplified.
	(w3m-history-highlight-current-url): New function.

	* w3m-form.el (w3m-form-parse-buffer): New function.
	(w3m-form-parse-region): Removed.

	* w3m-filter.el (w3m-filter-rules): Add the rule to call
	`w3m-filter-www.zdnet.co.jp'.
	(w3m-filter): Protect against wrong type argument.
	(w3m-filter-www.zdnet.co.jp): New function.

	* w3m-antenna.el (w3m-antenna-size): Call `w3m-remove-comments' and
	`w3m-filter' before checking size of contents.

	* w3mhack.el (w3mhack-load-path): Search `un-define' instead of
	`un-define.el' to check the path where Mule-UCS is installed.

2001-10-22  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3mhack.el (w3mhack-examine-modules): Handle `mew-shimbun.el'.

	* w3m-dtree.el (w3m-dtree-indent-strings, w3m-dtree-stop-strings):
	Throw out the "Japanese Character" for non-mule's environments.

2001-10-19  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* aclocal.m4 (AC_ADD_LOAD_PATH): When `yes' or null string is passed as
	an argument, call `w3mhack-load-path' to search places of required
	modules automatically.

	* w3mhack.el (w3mhack-load-path): New function.

2001-10-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-create-image): Call `w3m-fix-gif' if
	`w3m-should-convert-interlaced-gifs' is non-nil.
	(w3m-fix-gif): Renamed from `w3m-unoptimize-animated-gif'; convert an
	interlaced gif to be non-interlaced as well as unoptimization.
	(w3m-cache-fixed-gif-images-max-length): Renamed from
	`w3m-cache-unoptimized-gif-images-max-length'.
	(w3m-cache-fixed-gif-images): Renamed from
	`w3m-cache-unoptimized-gif-images'.
	(w3m-should-convert-interlaced-gifs): New variable.

2001-10-16  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* README.ja: Add description about "new custom".

	* README: Ditto.

	* w3m.el (w3m-attributes): When URL matches `about://source/', returns
	nil as its content-charset.
	(w3m-about-retrieve): When URL matches `about://source/', don't call
	`encode-coding-region'.
	(w3m-about-source): Don't call `w3m-decode-region'.
	(w3m-exec): Use `set-buffer-file-coding-system' instead of to set
	`buffer-file-coding-system'.

2001-10-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-exec): Substitute `w3m-current-coding-system' for
	`buffer-file-coding-system' to show the current coding system in the
	mode line.

2001-10-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-use-mule-ucs): Don't use Mule-UCS package for XEmacs
	versions prior to 21.2.37.

2001-10-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (top): It doesn't require `thingatpt'.
	(w3m-url-at-point): New function.
	(w3m-input-url): Call `w3m-url-at-point' instead of `thing-at-point';
	The 4th optional argument is added.
	(w3m): Call `w3m-input-url' with the 4th argument.

2001-10-15  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* README: Add description about ftp site of FLIM.

2001-10-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-w3m-auto-insert-image): Change from 'defcont' to
	'defcustom', again.
	(mew-w3m-safe-url-regexp): New constant.
	(mew-w3m-view-inline-image): Rewrite.
	(mew-mime-text/html-w3m): Bind 'w3m-safe-url-regexp' to
	'mew-w3m-safe-url-regexp'.

2001-10-15  NAKAJIMA Mikio  <minakaji@osaka.email.ne.jp>

	* README.ja: Divided original section 2. a) into two parts, 2. a) and
	2. b).  Add new section 2. c), 2. e) about APEL, FLIM, shimbun library.
	* README: Ditto.

	* FAQ.ja (Q. ~~~~ Emacs ~?): Add description about where to get APEL.

2001-10-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-expand-url): Accept URL which has the scheme part only.

2001-10-15  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-url-components-regexp): Don't except `\' for scheme,
	authority and path.

2001-10-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (top): Removed autoload for `regexp-opt'.

	* w3m-weather.el (top): Likewise.

	* w3m-om.el (top): Add autoload for `regexp-opt'.

2001-10-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-entity-regexp): Unified to the use of `regexp-opt';
	autoload regexp-opt for old Emacsen.

	* attic/regexp-opt.el: New file.

	* README.ja, README: Emacs-w3m requires the module regexp-opt.

	* w3m-weather.el: Autoload regexp-opt for old Emacsen.

2001-10-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-safe-url-regexp): New variable.
	(w3m-retrieve): When `w3m-safe-url-regexp' has non-nil value and it
	matches the requested URL, doesn't fetch its contents.

	* mime-w3m.el (mime-w3m-display-inline-image): New option.
	(mime-w3m-preview-text/html): In order to avoid web bug which is
	described in [mew-dist 19267], restrict accesible URLs.

	* mew-w3m.el (mew-mime-text/html-w3m): Likewise.

	* w3m-weather.el (w3m-weather-url-alist): Abolished.
	(w3m-weather-completion-table): New constant.
	(w3m-weather-default-area): Refer `w3m-weather-completion-table'
	instead of `w3m-weather-url-alist' to decide customize spec.
	(w3m-weather-input-history): New variable.
	(w3m-weather-input-area): New function.
	(w3m-weather-area-completion): Ditto.
	(w3m-weather): Call `w3m-weather-input-area'.
	(w3m-about-weather): Refer `w3m-weather-completion-table' instead of
	`w3m-weather-url-alist' to convert the area to the real URL.

2001-10-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-w3m-auto-insert-image): Change from 'defcustom' to
	'defconst' and default value to 'nil'.
	(mew-w3m-view-inline-image): New function.

2001-10-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-input-url): Accept the 3rd optional argument.
	(w3m): Improved interactive form.

2001-10-12  Yuuichi Teranishi  <teranisi@gohome.org>,
	    TSUCHIYA Masatoshi <tsuchiya@namazu.org>

	* w3m-e21.el (w3m-form-button-keymap): Renamed from
	`w3m-widget-keymap'.
	(w3m-form-make-button): Fixed.
	(w3m-setup-widget-faces): Revived.

2001-10-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m): Always prompts user for a URL string.

2001-10-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-weather.el (w3m-weather-url-alist): Refer
	`http://weather.yahoo.co.jp'.
	(w3m-weather-default-area): Change default region.
	(w3m-weather-filter-functions): Change default value.
	(w3m-about-weather): Accept `no-cache' argument.
	(w3m-weather-remove-headers): Modified for Yahoo.
	(w3m-weather-remove-footers): Ditto.
	(w3m-weather-insert-title): Ditto.
	(w3m-weather-remove-weather-images): Removed.
	(w3m-weather-remove-washing-images): Removed.
	(w3m-weather-remove-futon-images): Removed.
	(w3m-weather-remove-week-weather-images): Removed.

	* w3m-e21.el (w3m-widget-keymap): New keymap.
	(w3m-form-make-button): Set `w3m-widget-keymap' as keymap on buttons;
	Fix condition to make buttons.
	(w3m-setup-widget-faces): Removed.

2001-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mew-w3m.el, w3m-form.el, w3m.el: Remove useless whitespaces.

2001-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-local-dirlist-cgi): Replace `re-search-forward' to
	`search-forward'; bind `beg' as a non-global variable.

2001-10-11  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-local-dirlist-cgi): Remove <from>...</form>.

2001-10-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-expand-path-name): Fix incompatibility of drive letter.

2001-10-11  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-e21.el (toplevel): Require 'wid-edit.
	(w3m-form-button-face): Set background and foreground color; Set box
	line-width as 2.
	(w3m-form-button-pressed-face): Ditto.
	(w3m-form-button-mouse-face): New face.
	(w3m-form-button): New widget button.
	(w3m-form-make-button): Use `widget-convert-button' to put
	w3m-form-button.
	(w3m-setup-widget-faces): New function.
	(w3m-mode-hook): Add `w3m-setup-widget-faces'.
	(w3m-form-make-button): Don't check :box attribute when
	w3m-form-use-fancy-faces is non-nil.

2001-10-11  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-decoder-alist): Fix for Windows or OS/2 environments.

2001-10-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-display-inline-image): Update document.
	(w3m-decoder-alist): Change default value.
	(w3m-current-image-status): New buffer-local variable.
	(w3m-which-command): Export to w3m-macro.el.
	(w3m-decode-encoded-contents): Small change.
	(w3m-expand-url): Fix to remove an empty query part and an empty
	fragment part correctly.
	(w3m-toggle-inline-images): Refer `w3m-current-image-status' instead of
	`w3m-display-inline-image'.
	(w3m-view-url-with-external-browser): Ditto.
	(w3m-goto-url): Ditto.
	(w3m-reload-this-page): Ditto.
	(w3m-redisplay-with-charset): Ditto.

	* w3m-e21.el (top, w3m-display-inline-image-p): Refer
	`w3m-current-image-status' instead of `w3m-display-inline-image'.

	* w3m-om.el (w3m-expand-path-name): Add 2nd optional argument.

	* w3m-macro.el (w3m-which-command): Import from w3m.el.

	* w3m-xmas.el (top, w3m-display-inline-image-p): Refer
	`w3m-current-image-status' instead of `w3m-display-inline-image'.

	* mew-w3m.el (mew-mime-text/html-w3m): Refer `w3m-current-image-status'
	instead of `w3m-display-inline-image'.

2001-10-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-cache-header): Add 3rd optional argument.
	(w3m-w3m-dump-head-source): Call `w3m-cache-header' with `overwrite'
	option.

	* w3m.el (w3m-cache-header-delete-variable-part): New function.
	(w3m-cache-header): Remove cached contents when inconsistency between
	new header and cached header is found.

	* w3m.el (w3m-expand-url): Fix the last change.
	(w3m-url-hierarchical-schemes): Add `file'.
	(w3m-goto-url): Use `\`' instead of `^' as a meta character.

	* w3m.el (w3m-fontify-anchors): Fix.
	(w3m-url-fallback-base): New constant.
	(w3m-expand-url): Make it robust against illegal base-URL.

	* w3m.el (w3m-url-components-regexp): New constant.
	(w3m-url-hierarchical-schemes): Ditto.
	(w3m-expand-url): Reimplemented.
	(w3m-view-this-url): Remove a redundant local variable.
	(w3m-mouse-view-this-url): Call `w3m-view-this-url'.
	(w3m-goto-url): Refer `w3m-url-components-regexp' to delete a fragment
	part of URL.

	* mime-w3m.el (mime-w3m-view-this-url): When there is an inline image
	under point, display it.
	(mime-w3m-mouse-view-this-url): Call `mime-w3m-view-this-url'.

2001-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-expand-url): Emergency fixed.

2001-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-expand-url): Make it work correctly when a url begins
	with "//".

2001-10-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-language): New option.
	(w3m-default-coding-system): Refer `w3m-language' to decide default
	value.
	(w3m-coding-system-priority-list): Ditto.
	(w3m-toolbar): Ditto.
	(w3m-url-to-file-name): Moved to avoid byte-compile warnings.
	(w3m-expand-file-name-as-url): Ditto.
	(w3m-url-local-p): Ditto.
	(w3m-url-dtree-p): Ditto.
	(w3m-view-this-url): When there is an inline image under point, display
	it.
	(w3m-mouse-view-this-url): Ditto.
	(w3m-view-url-with-external-browser): Renamed from
	`w3m-view-current-url-with-external-browser'.  Handle an inline image
	under point.
	(w3m-download-this-url): Handle an inline image under point.
	(w3m-info-like-map): Reconstructed.

	* w3m-search.el (w3m-search-default-coding-system): Abolished.
	(w3m-search-engine-alist): Refer `w3m-language' to decide default
	value.
	(w3m-search-escape-query-string): Refer `w3m-default-coding-system'
	instead of `w3m-search-default-coding-system'.

2001-10-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-form.el (w3m-form-use-fancy-faces): New option.
	(w3m-form-make-button): New function.
	(w3m-form-fontify): Call `w3m-form-make-button'.

	* w3m-e21.el (w3m-form-button-face): New face.
	(w3m-form-button-pressed-face): Ditto.
	(w3m-form-make-button): New function.

2001-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el (read-string): Unify the advice form.
	(w3m-om-coding-system-alist): Fix doc-string.

2001-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el (read-string): Don't modify the value of
	`current-load-list' when advising it.

	* mime-w3m.el (mime-w3m-remove-text-properties): Don't modify the value
	of `current-load-list' when advising the function `kill-new'; add a
	doc-string.

	* w3m.el (w3m-decode-entities): Save-match-data when `w3m-entity-value'
	is called.

2001-10-03  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m-xmas.el (w3m-detect-coding-region): Return just the return value
	of `detect-coding-with-priority' if it is not a list, again.

2001-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el (read-string): Advise the function to allow the 4th
	argument `default-value'.

2001-10-03  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mime-w3m.el (mime-w3m-remove-text-properties): New advice to protect
	`kill-ring-save' against the `local-map' text property.

2001-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el (w3m-detect-coding-region): Use the fixed value for the
	list of coding-categories; suppress the duplication of coding-
	categories.
	(TopLevel): Protect against non-existent coding-systems when creating
	the modern coding-systems.
	(w3m-om-coding-category-alist): Reinforce the default value.
	(w3m-om-coding-categories): Abolish.
	(w3m-om-coding-system-alist): Add some new coding-systems.

	* w3m-fsf.el (w3m-detect-coding-region): Suppress the duplication of
	coding-categories.
	* w3m-xmas.el (w3m-detect-coding-region): Ditto; use
	`coding-system-category' instead of `coding-system-type'.

2001-10-03  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-show-inline-images-before-hook,
	w3m-show-inline-images-after-hook,
	w3m-remove-inline-images-before-hook,
	w3m-remove-inline-images-after-hook): Abolished.
	(w3m-modeline-image-status-on): New constant.
	(w3m-modeline-image-status-off): Ditto.
	(w3m-image-only-page): New buffer local variable.
	(w3m-display-inline-image-status): Abolished.
	(w3m-fontify-images): Put `w3m-image-status property'.
	(w3m-toggle-inline-images-internal): New inline function.
	(w3m-exec): Set w3m-image-only-page as t.
	(w3m-lynx-like-map): Bind "T" to 'w3m-toggle-inline-images and "t" to
	'w3m-toggle-inline-image.
	(w3m-goto-url): Set w3m-image-only-page as nil at first; Setup modeline
	to display image display status; Display image if w3m-image-only-page
	is nil.

	* w3m-e21.el (w3m-cache-underline-faces): Abolished.
	(w3m-insert-image): Set text property 'w3m-undeline-face to the image
	instead of setting up w3m-cache-underline-faces.
	(w3m-remove-image): Recover underline faces.
	(w3m-fontify-before-hook, w3m-show-inline-images-before-hook,
	w3m-show-inline-images-after-hook,
	w3m-remove-inline-images-after-hook): Don't set up.

2001-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el (w3m-detect-coding-region): Make it work.

	* w3m-xmas.el (w3m-detect-coding-region): Return just the return value
	of `detect-coding-with-priority' if it is not a list, otherwise the car
	of the value.

2001-10-02  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-coding-system-priority-list): New user option.
	(w3m-decode-buffer): Use it.

	* w3m-fsf.el (w3m-detect-coding-region): Remove argument `highest';
	always return the first possible coding system.  Add new optional
	argument `priority-list'.  Use `detect-coding-with-priority'.

	* w3m-xmas.el (w3m-detect-coding-region): Ditto.

	* w3m-om.el (w3m-detect-coding-region): Remove argument `highest';
	always return the first possible coding system.  Add new optional
	argument `priority-list'.

2001-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el (w3m-detect-coding-region): Return a non-list of a
	coding-system if the number of return value is only one; use
	`w3m-om-modernize-coding-system' and `w3m-om-coding-categories'; use
	`code-detect-region' instead of `detect-coding-region'.
	(w3m-om-modernize-coding-system): New function.
	(w3m-om-coding-category-alist): Use `w3m-om-coding-categories'.
	(w3m-om-coding-categories): New constant.
	(w3m-om-coding-system-alist): Add `emacs-mule'.

2001-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (TopLevel): Don't byte-compile the source form to bind colon
	keywords for old Emacsen.

2001-10-01  Masatake YAMATO  <jet@gyve.org>

	* w3m.el (w3m-mode): Added `w3m-toggle-inline-images' to the mode
	description.

2001-10-01  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-edit-url-directory-alist): New option.
	(w3m-edit-url): New function.
	(w3m-edit-current-url): Call `w3m-edit-url'.
	(w3m-edit-this-url): Ditto.

2001-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el (w3m-detect-coding-region): Prefer the coding-category that
	the value of `w3m-default-coding-system' belongs to.
	(w3m-om-coding-category-alist): New variable.
	(w3m-om-coding-system-alist): New variable.

	* w3m.el (w3m-default-coding-system): Default to `shift_jis' when Mule2
	is running.

2001-09-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3mhack.el (w3mhack-examine-modules): Handle `w3m-fsf.el'.

	* w3m.el (w3m-default-coding-system): New option.
	(w3m-decode-buffer): Call `w3m-detect-coding-region' instead of
	`detect-coding-region'.
	(w3m-make-ccl-coding-system): Export it to `w3m-fsf.el'.

	* w3m-xmas.el (coding-system-category): Removed.
	(w3m-detect-coding-region): New function.

	* w3m-om.el (coding-system-category): Removed.
	(w3m-detect-coding-region): New function.

	* w3m-fsf.el: New file.

	* w3m-form.el (w3m-form-default-coding-system): Abolished.
	(w3m-form-make-form-data): Refer `w3m-default-coding-system' instead of
	`w3m-form-default-coding-system'.

	* w3m-e21.el (top): Require `w3m-fsf'.
	(w3m-find-coding-system): Export it to `w3m-fsf.el'.

	* w3m-e20.el (top): Require `w3m-fsf'.
	(w3m-find-coding-system): Export it to `w3m-fsf.el'.

	* w3m.el (w3m-goto-url): Change effect of the 3rd argument `charset'.
	(w3m-redisplay-with-charset): Reimplemented.
	(w3m-view-source): Improved to handle `about://header/...'.
	(w3m-about-header): Show title etc.
	(w3m-view-header): Improved to handle `about://source/...'.

2001-09-28  kkonishi <ironbeat@mail.st.rim.or.jp>

	* w3m-search.el (w3m-search-engine-alist): New search engines,
	`excite-ja', `lycos-ja', `altavista' and `freebsd-users-jp'.

2001-09-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-goto-url): Speed up the action to refer a name anchor in
	the same document.

2001-09-27  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-copy-local-variables): Simplified.
	(w3m-region): Set `w3m-current-base-url'.

	* w3m.el: Fix the bug reported in [emacs-w3m:01564].
	(w3m-current-base-url): New buffer-local variable.
	(w3m-clear-local-variables): Handle `w3m-current-base-url'.
	(w3m-copy-local-variables): Ditto.
	(w3m-attributes): Change spec of return value.
	(w3m-w3m-attributes): Ditto.
	(w3m-local-attributes): Ditto.
	(w3m-base-url): New macro.
	(w3m-expand-url): Make the second argument `base' optional, and refer
	`w3m-current-base-url' when a relative URL is canonicalized.
	(w3m-fontify-anchors): Follow change of `w3m-expand-url'.
	(w3m-fontify-images): Ditto.
	(w3m-toggle-inline-images): Ditto.
	(w3m-exec): Call `w3m-base-url' to set `w3m-current-base-url'.

	* w3m-form.el (w3m-form-new): Canonicalize `action' whenever this
	function is called.
	(w3m-form-parse-forms): Follow change of `w3m-form-new'.
	(w3m-form-submit): Ditto.
	(w3m-form-input-map-set): Follow change of `w3m-expand-url'.

2001-09-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Position point to the current url and
	highlight the line when the page is for listing the history
	(suggested by SHIRAI-san).
	(w3m-history-current-url-face): New face.
	(w3m-image-face, w3m-arrived-anchor-face, w3m-anchor-face): Fix
	doc-string.

2001-09-26  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-about-db-history-today): New defsubst.
	(w3m-about-db-history): If arrived time within 18 hours, display with
	"HH:MM:SS".

2001-09-18  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m-ucs.el (w3m-euc-japan-encoder): Convert lain-jisx0201 to ASCII;
	Avoid deep nesting.
	(TopLevel): Don't require `w3m-macro'.

2001-09-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-om.el (w3m-expand-path-name): Cancel last change.

2001-09-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-expand-path-name): Except Mule2, define alias of
	`expand-file-name'.

	* w3m-om.el (w3m-expand-path-name): Re-implemented.

	* w3m-e20.el (w3m-expand-path-name): Removed.

	* w3m-e21.el (w3m-expand-path-name): Ditto.

	* w3m-xmas.el (w3m-expand-path-name): Ditto.

2001-09-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-generate-colon-keywords-file): Renamed from
	`w3mhack-bind-colon-keywords'; generate a file which contains a list of
	colon keywords; don't bind colon keywords.
	(w3mhack-colon-keywords-file): New constant.

	* w3m.el: Load w3m-kwds.el if a colon keyword is not avaulable.
	(w3m-colon-keywords): Abolished.

	* Makefile.in (keywords): Create w3m-kwds.el instead of w3mkwds.el;
	don't remove w3m-kwds.el in advance.
	(clean): Remove w3m-kwds.el instead of w3mkwds.el.
	(install): Install w3m-kwds.el if it exists.

2001-09-17  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-expand-url): Use `w3m-expand-path-name' instead of
	`expand-file-name'.

	* w3m-om.el (w3m-expand-path-name): New function.

	* w3m-e20.el (w3m-expand-path-name): New alias.

	* w3m-xmas.el (w3m-expand-path-name): Ditto.

	* w3m-e21.el (w3m-expand-path-name): Ditto.

2001-09-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-search.el (w3m-search-engine-alist): Changed default value of
	`google'.  Add new engines `debian-pkg', `debian-bts', and
	`iij-archie'.

2001-09-17  Masayuki Ataka  <ataka@milk.freemail.ne.jp>

	* w3m-search.el (w3m-search-engine-alist): Changed default value of
	`google-ja'.

2001-09-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (top): Require `ccl'.
	(w3m-make-ccl-coding-system): New function for Emacs20 / Emacs21.
	(w3m-euc-japan): Define with `w3m-make-ccl-coding-system'.

	* w3m-macro.el (top): Delete garbage.

	* w3m-e21.el (top): Fix to avoid byte-compile warnings.

	* w3m-xmas.el (top): Require `pccl' and fix to avoid byte-compile
	warnings.
	(w3m-make-ccl-coding-system): New alias to `make-ccl-coding-system'.

	* w3m-om.el (top): Require `pccl'.
	(w3m-make-ccl-coding-system): New alias to `make-ccl-coding-system'.

	* w3m-search.el (w3m-search): Fixed search engine specification error
	when interactively called with prefix arguments.

2001-09-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-macro.el (w3m-with-work-buffer): Keep `w3m-history' and
	`w3m-history-flat' through buffers.

	* w3m.el (w3m-current-buffer): Abolished.
	(w3m-goto-url): Don't set `w3m-current-buffer'.
	(w3m-region): Ditto.
	(w3m-about-history): Don't refer `w3m-current-buffer'.

	* w3m-form.el (w3m-form-parse-region): Simplified.
	(w3m-form-parse-forms): Accept <OPTION> tag lacks `value' attribute.

	* w3m.el (w3m-resume-forms): Abolished.
	(w3m-clear-local-variables): Don't handle `w3m-resume-forms'.
	(w3m-copy-local-variables): Ditto.
	(w3m-fontify): Don't call `w3m-form-resume'.
	(w3m-cache-available-p): Protect against the illegal type of arguments.
	(w3m-rendering-region): Removed the fourth optional argument, `forms'.
	(w3m-exec): Follow change of `w3m-rendering-region'.

	* w3m-form.el (w3m-form-parse-region): Check the cached form/map
	objects are available, and if available return them with the flag.
	(w3m-fontify-forms): Its real part is moved to `w3m-form-fontify'.
	Call `w3m-form-resume' if `w3m-current-forms' includes the flag.
	(w3m-form-fontify): New function.

2001-09-15  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-form.el (w3m-form-resume): Ignore `hidden' type form; Fixed
	problem when no item is selected in the select form.

	* w3m.el (w3m-copy-local-variables): Bind local variable resume.

2001-09-14  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-resume-forms): New buffer local variable.
	(w3m-clear-local-variables): Add w3m-resume-forms.
	(w3m-copy-local-variables): Ditto.
	(w3m-fontify): If w3m-resume-forms is non-nil, call w3m-form-resume.
	(w3m-rendering-region): Set w3m-resume-forms if form is cached.

	* w3m-form.el (w3m-form-replace-string): Eliminate.
	(w3m-form-resume): New function.
	(w3m-fontify-forms): Don't call `w3m-form-replace-string'.

2001-09-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-form-replace-string): Protect against the illegal
	type of arguments.

2001-09-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-region): Defined new optional argument, `url'.

	* mime-w3m.el (mime-w3m-preview-text/html): Call `w3m-region' with an
	optional argument `url'.

2001-09-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-fontify-forms): Restore a string for the input
	button from the history if it is available.
	(w3m-form-replace-string): New function.

	* w3m.el (w3m): Clear the startup screen on the new frame.
	(w3m-reload-this-page, w3m-goto-url, w3m-view-previous-page):
	Save/restore post-data and referer as buffer-local properties in the
	history.

2001-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Register the value of `w3m-current-forms' in
	the history as a buffer-local property.
	(w3m-view-previous-page): Specify a url string to
	`w3m-history-restore-position'.
	(w3m-exec): Use cached forms if it is valid.
	(w3m-rendering-region): Allow the optional argument `forms'; use
	`forms' if it is non-nil.
	(w3m-close-window, w3m-copy-buffer, w3m-exec-set-user, w3m-input-url,
	w3m-copy-local-variables): Remove unused non-global variables.

	* w3m-hist.el (w3m-history-restore-position): Allow the optional
	argument `url'.
	(w3m-history-store-position): Ditto.
	(w3m-history-plist-get): Return nil instead of to signal an error.

	* w3m-form.el (w3m-form-parse-region): Don't set the value of
	`w3m-current-forms' here.
	(w3m-form-input-map, w3m-form-input-map-set): Remove unused non- global
	variables.

2001-09-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Don't use `w3m-cleanup-plist'.

	* w3m-macro.el (w3m-cleanup-plist): Abolished.

	* w3m-hist.el (w3m-history-push): Don't add property whose value is
	nil.
	(w3m-history-modify-properties): Don't infloop.

	* Makefile.in (keywords): New rule.
	(distclean): Remove the directory autom4te.cache which will be created
	by autoconf v2.5x.
	(clean): Remove w3mkwds.el.

	* .cvsignore: Add autom4te.cache.

	* w3mhack.el (w3mhack-bind-colon-keywords): Always define it.

2001-09-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-current-referer, w3m-current-post-data): Abolished.
	(w3m-copy-local-variables, w3m-clear-local-variables): Don't handle
	them.
	(w3m-reload-this-page, w3m-goto-url): Don't use them; use the history
	instead.

2001-09-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-add-referer): Removed.
	(w3m-add-referer-regexps): Default value is changed.
	(w3m-goto-url): No check `w3m-add-referer'.

2001-09-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-w3m-retrieve): Don't send a referer if it does not
	satisfy the rule of `w3m-add-referer-regexps'.
	(w3m-add-referer-regexps): New user option.

2001-09-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-cache-available-p): New function.

2001-09-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el, w3m.el: Don't quote colon keywords.

	* Makefile.in (install): Don't install w3mkwds.el.

2001-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-colon-keywords): New variable; bind some colon keywords
	for Emacs versions prior to 20.3.

	* .cvsignore: Add w3mkwds.el.

	* w3mhack.el (w3mhack-bind-colon-keywords): New function; byte- compile
	and exec it.
	(w3mhack-examine-modules): Don't byte-compile w3mkwds.el.

	* w3m-macro.el (w3m-tag-regexp-of): Reverted; add a documentation.
	(TopLevel): Require `cl' when compiling.

2001-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Register post-data and a referer in the
	history.
	(w3m-info-like-map, w3m-lynx-like-map): Use `suppress-keymap'.
	(w3m-view-previous-page): Give post-data and a referer to
	`w3m-goto-url'.
	(w3m-view-next-page): Use `w3m-view-previous-page'.

	* w3m-macro.el (w3m-cleanup-plist): New macro.
	(w3m-tag-regexp-of): Use backquote.

	* w3m-hist.el (w3m-history-modify-properties): Don't infloop.

2001-09-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-clear-local-variables): Not reset `w3m-initial-frame'.
	(w3m-copy-local-variables): Not copy `w3m-initial-frame'.

	* w3m-form.el (w3m-form-parse-region): Modify `w3m-current-forms' in
	this buffer.

2001-09-11  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-expand-url): Use `expand-file-name' to expand path; If
	URL is a form like 'scheme://server/path?query', only path is expanded.

2001-09-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-meta-content-type-charset-regexp): Relaxed to accept
	<meta> tag in XML style.
	(w3m-meta-charset-content-type-regexp): Ditto.
	(w3m-tag-regexp-of): Exported to `w3m-macro.el'.

	* w3m-macro.el (w3m-tag-regexp-of): Imported from `w3m.el'.

	* w3m.el (w3m-goto-url): Changed timing when `w3m-current-referer' and
	`w3m-current-post-data' are set.
	(w3m-exec): Call `w3m-clear-local-variables' before image data is
	inserted.

	* w3m.el (w3m-current-forms): Definition imported from `w3m-form.el'.
	(w3m-current-coding-system): New buffer local variable.
	(w3m-clear-local-variables): New function.
	(w3m-copy-local-variables): Ditto.
	(w3m-arrived-p): Cancel the last change.
	(w3m-arrived-auto-detected-coding-system): Removed.
	(w3m-arrived-set-auto-detected-coding-system): Ditto.
	(w3m-fontify-anchors): Expand `w3m-next-url' and `w3m-previous-url' on
	`w3m-current-url'.
	(w3m-decode-buffer): Set auto-detected coding system to
	`w3m-current-coding-system'.
	(w3m-remove-comments): Simplified.  No point is saved.
	(w3m-check-link-tags): `w3m-next-url' and `w3m-previous-url' are not
	reseted.
	(w3m-remove-meta-tags): New function.
	(w3m-rendering-region): Call `w3m-remove-meta-tags'.
	(w3m-exec): Clean up codes.
	(w3m-redisplay-with-charset): Refer `w3m-current-coding-system'.
	(w3m-region): Call `w3m-clear-local-variables'.

	* w3m-form.el (w3m-current-forms): Definition moved to `w3m.el'.
	(w3m-form-make-form-data): Refer `w3m-current-coding-system'.

2001-09-10  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-expand-url): Changed regexp for detecting absolute spec;
	Don't use `expand-file-name'.

2001-09-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-ucs.el (w3m-euc-japan-encoder): Simplified.

2001-09-10  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m-ucs.el (w3m-euc-japan-encoder): Fixed for ASCII under XEmacs.

2001-09-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-goto-url): Refer `coding-system-for-read' which is
	specified by `universal-coding-system-argument'.

	* w3m-ucs.el (w3m-euc-japan-encoder): Protect against invalid value
	which `emacs-char-to-ucs-codepoint-conversion' returns.

2001-09-09  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m-ucs.el (w3m-euc-japan-encoder): Fixed for katakana-jisx0201.

2001-09-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-form.el (w3m-form-make-form-data): Call
	`w3m-arrived-auto-detected-coding-system' when `w3m-content-charset'
	returns nil.

	* w3m.el (w3m-arrived-p): Strict checking.
	(w3m-arrived-auto-detected-coding-system): New function.
	(w3m-arrived-set-auto-detected-coding-system): Ditto.
	(w3m-decode-buffer): Call `w3m-arrived-set-auto-detected-coding-system'
	to store the coding system detectd by this function.
	(w3m-w3m-attributes): Use content of w3m-document-charset: field as
	charset, only when `w3m-type' equals `w3mmee' or `w3m-m17n'.
	(w3m-redisplay-with-charset): Call
	`w3m-arrived-auto-detected-coding-system' to get current coding-system.

2001-09-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-use-mule-ucs): Strict checking.
	(w3m-euc-japan-decode): Use `write-multibyte-character' except Mule2
	and XEmacs21.1.
	(w3m-find-file): Refer `coding-system-for-read' which is specified by
	`universal-coding-system-argument'.

	* w3m-xmas.el (w3m-euc-japan-decoder): Removed.

2001-09-09  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* README.shimbun.ja: Ditto.

	* README.shimbun.ja: Ditto.

2001-09-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-use-mule-ucs): New user option.
	(w3m-input-coding-system): Changed default value.
	(w3m-async-exec): Ditto.
	(w3m-process-connection-type) [Solaris]: Changed default value.
	(w3m-entity-alist): Enlarge a regular expression.
	(w3m-ucs-to-char): New function.
	(w3m-euc-japan-encoder): Follow the change of `w3m-ucs.el'.

	* w3mhack.el (w3mhack-examine-modules): Handle `w3m-ucs.el'.

	* w3m-ucs.el: New file.

2001-09-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-e21.el (w3m-use-toolbar): Use `w3m-image-type-available-p'.
	(w3m-image-type-available-p): Use `display-images-p' instead of
	`display-graphic-p'.
	(w3m-display-inline-image-p): Ditto.
	(w3m-display-graphic-p): Alias to `display-images-p' instead of
	`display-graphic-p'.
	(display-images-p): Make an alias to `display-graphic-p' if it is not
	available.  It is for Emacs version prior to 21.0.105.

2001-09-03  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-filter.el (w3m-filter-lwn.net): Add link information to next
	page.

2001-08-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-load-list): Retry to read a file when failed.

2001-08-26  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* README.shimbun.ja: Add information on nikkansports.

2001-08-24  MIYOSHI Masanori  <miyoshi@boreas.dti.ne.jp>

	* README.shimbun.ja: Add information on makanai, f1fan, f1express and
	isize-sports.

2001-08-13  NAKAGAWA Takayuki  <tknakaga@kanagawa.hitachi.co.jp>

	* w3m.el (w3m-w3m-attributes): Refer `w3m-base-url' as current url,
	when it is available.

2001-08-10  Takenobu Sugiyama  <sugiyama@ae.advantest.co.jp>

	* w3m-weather.el (w3m-weather-url-alist): Update data to follow the
	most recent urls.
	(w3m-weather-default-area): Ditto.
	(w3m-weather-remove-weather-images): Ditto.

2001-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-download): Made it to work as a command.

2001-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fontify-images): Use `w3m-decode-anchor-string' to
	convert "&amp;" to "&" in the url string.

2001-08-10  NOMIYA Masaru  <nomiya@ttmy.ne.jp>

	* w3m.el (w3m-content-type-alist): Fix typos for gif and tiff.

2001-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Put the url in the history even if `w3m-exec'
	returns nil.

2001-08-09  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* mew-w3m.el (mew-mime-text/html-w3m): Bug fix. Guess charset in cache
	buffer.

2001-08-07  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-type): Remove `w3m-mnc' option.
	(w3m-w3m-dump-source): Removed.
	(w3m-w3m-retrieve): Don't use `w3m-w3m-dump-source'.

2001-08-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-content-type-alist): [Win32] Executed 'fiber' with
	synchronous mode
	(w3m-w32-browser-with-fiber): Ditto.
	(w3m-external-view): Add a suffix to the temporally file name if
	possible.

2001-08-06  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-async-exec): Fix doc-string.
	(w3m-exec-get-user): Rewrite.
	(w3m-exec-get-passwd): New funciton.
	(w3m-exec-set-user): Rewrite.
	(w3m-get-server-root): Set 'server root' to downcase.
	(w3m-exec-filter): Modify the method of 'user' and 'passwd' handling.

2001-08-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-next-url): New buffer local variable.
	(w3m-previous-url): Ditto.
	(w3m-arrived-ignored-regexp): Add 'about://namazu/'.
	(w3m-history-ignored-regexp): Ditto.
	(w3m-url-decode-string): New funtcion.
	(w3m-fontify-anchors): Process `rel' element of anchor tag.
	(w3m-check-link-tags): New funtcion.
	(w3m-rendering-region): Call `w3m-check-link-tags'.
	(w3m-exec): Set `w3m-next-url' and `w3m-previous-url'.
	(w3m-lynx-like-map): Replace `scroll-up' with
	`w3m-scroll-up-or-next-url'.  Replace `scroll-down' with
	`w3m-scroll-down-or-previous-url'.
	(w3m-info-like-map): Ditto.
	(w3m-mode): Ditto.
	(w3m-scroll-up-or-next-url): New command.
	(w3m-scroll-down-or-previous-url): Ditto.

	* w3m-namazu.el (w3m-namazu-default-index-customize-spec): New
	constant.
	(w3m-namazu-index-alist): Change customize spec.
	(w3m-namazu-default-index): Ditto.
	(w3m-namazu-call-process): Change argument spec and followed change of
	`w3m-namazu-index-alist'.
	(w3m-about-namazu): Add link information to next or previous results.
	(w3m-namazu): Stricter checking of arguments.  Encoded index and query.

	* w3m-filter.el (w3m-filter-rules): Add `w3m-filter-google.com'.
	(w3m-filter-google.com): New function.

2001-08-03  Masayuki Ataka  <ataka@milk.freemail.ne.jp>,
	    TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-namazu.el (w3m-namazu): Fixed the problem which is reported in
	[emacs-w3m:01389].

2001-08-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-download-save-directory): Abolished.
	(w3m-goto-ftp-url, w3m-download): Reverted.  ;; Those last changes were
	nonsensical.

2001-08-03  Masayuki Ataka  <ataka@milk.freemail.ne.jp>,
	    TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-namazu.el (w3m-namazu-default-index): Changed customize spec.
	(w3m-namazu): Follow change of `w3m-namazu-default-index'.

2001-08-03  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-toggle-inline-images): Display "Showing images..."
	message only when there is at least one inline image.
	(w3m-current-post-data): New buffer local variable.
	(w3m-current-referer): Ditto.
	(w3m-goto-url): Set up `w3m-current-post-data' and
	`w3m-current-referer'.
	(w3m-reload-this-page): Process post-data and referer.

2001-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-download-save-directory): New user option.
	(w3m-goto-ftp-url, w3m-download): Refer it.

2001-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-antenna.el (w3m-antenna-shutdown): Don't specify a coding-system
	to `w3m-save-list'.
	(w3m-antenna-setup): Don't specify a coding-system to `w3m-load-list'.
	(w3m-antenna-file-coding-system): Abolished.

	* w3m.el (w3m-arrived-shutdown): Don't specify a coding-system to
	`w3m-save-list'.
	(w3m-arrived-shutdown, w3m-arrived-setup): Don't specify a
	coding-system to `w3m-load-list'.
	(w3m-save-list): Made the arg `coding-system' optional; refer to
	`w3m-file-coding-system' by default; insert the file magic in the
	beginning of a file.
	(w3m-load-list): Made the arg `coding-system' optional; refer to
	`w3m-file-coding-system-for-read' by default.
	(w3m-arrived-file-coding-system): Abolished.
	(w3m-file-coding-system-for-read): New variable.
	(w3m-file-coding-system): New user option.

2001-08-02  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-arrived-user-alist): Rename from w3m-arrived-user-list.
	(w3m-process-realm): New variable.
	(w3m-exec-process): Bind w3m-process-realm to nil.  Call
	w3m-exec-set-user() for the certification.
	(w3m-exec-get-user): Rewrite.
	(w3m-exec-set-user): New function.
	(w3m-get-server-root): Ditto.
	(w3m-exec-filter): Support a pair of 'rootserver' and 'realm'.

2001-08-02  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-form.el (w3m-form-make-form-data): Fixed typo.
	(w3m-form-input-file): Rewrite.
	(w3m-fontify-forms): Parse hseq attribute as well; Changed textarea
	properties.
	(w3m-form-text-chop): New function.
	(w3m-form-input-textarea-hseq): New buffer local variable.
	(w3m-form-input-textarea-name): Eliminated.
	(w3m-form-input-textarea-set): Use `w3m-form-textarea-info',
	`w3m-form-textarea-replace' and `w3m-form-input-textarea-hseq'.
	(w3m-form-input-textarea): Use `w3m-form-textarea-info'; Adjust cursor
	line at start time.
	(w3m-form-textarea-replace): New function.
	(w3m-form-textarea-info): Ditto.

2001-08-02  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-add-referer): New option.
	(w3m-goto-url): When `w3m-add-referer' equals nil, no reference
	information is given to `w3m-exec'.

	* README, README.ja: Update documents for required version of w3m.

	* w3m-0.2.1-mnc.patch: Removed.

	* w3m.el (TOP): Add autoload for w3m-namazu.

	* w3m-namazu.el: New file.

2001-08-01  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-w3m-retrieve): Bind coding-system-for-write as 'binary.

	* w3m-form.el (w3m-form-make-form-data): New function.
	(w3m-form-make-form-urlencoded): Eliminated.
	(w3m-fontify-forms): Added 'file' input processing.
	(w3m-form-input-file): New function.
	(w3m-form-input-textarea-keymap): Bind "\C-c\C-k" as well.
	(w3m-form-input-select-keymap): Ditto.
	(w3m-form-input-map-keymap): Ditto.
	(w3m-form-submit): Call `w3m-form-make-form-data' instead of
	`w3m-form-make-form-urlencoded'.

2001-07-31  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el: Applied patch [emacs-w3m: 01330].
	(w3m-exec-filter): Changed regexp for authentication realm.

	* w3m.el (w3m-toggle-inline-images): Set `referer' argument of
	`w3m-create-image'.

	* w3m-e21.el (w3m-create-image): Added argument `referer'.

	* w3m-xmas.el (w3m-create-image): Ditto.

	* w3m-form.el (w3m-form-submit): Set `referer' argument of
	w3m-goto-url.

	* w3m.el (w3m-w3m-retrieve): Make a temporary file for POST; Use
	-header option to specify Content-Type: field.
	(w3m-w3m-retrieve): Added argument `referer'; Add -header option to
	specify Referer: field.
	(w3m-retrieve): Added argument `referer'.
	(w3m-exec): Ditto.
	(w3m-goto-url): Ditto.
	(w3m-view-this-url): Set `referer' argument of w3m-goto-url.

2001-07-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-make-help-echo): For FSF Emacs 21, specify the third
	argument of `get-text-property' where the buffer is to be checked; for
	XEmacs, make it not to work if the buffer is not focused.
	(w3m-make-balloon-help): Make it not to work if the buffer is not
	focused.

2001-07-27  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-form.el (w3m-form-parse-forms): Fixed for initial value in the
	textarea.

2001-07-27  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-form.el (w3m-form-input-textarea-exit): New function.
	(w3m-form-input-select-exit): Ditto.
	(w3m-form-input-map-exit): Ditt.
	(w3m-form-input-textarea-keymap): Add key for 'exit'.
	(w3m-form-input-select-keymap): Ditto.
	(w3m-form-input-map-keymap): Ditto.
	(w3m-form-input-textarea-mode): Modify doc-string.
	(w3m-form-input-select-mode): Ditto.
	(w3m-form-input-map-mode): Ditto.
	(w3m-form-input-select-set-mouse): Add doc-string.
	(w3m-form-input-map-set-mouse): Ditto.

2001-07-26  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-x-moe-decode-buffer): Use 'w3m-coding-system' instead of
	'euc-jp.
	(w3m-w32-browser-with-fiber): Ignore process output.

	* w3m-form.el (w3m-form-mouse-face): New user option.
	(w3m-form-input-select): Add mouse-face.
	(w3m-form-input-map): Ditto.

	* mew-w3m.el (toplevel): Require 'cl, when byte-compile.
	(mew-mime-text/html-w3m): Guess charset with the use of the Mew's
	funcion and use its charset, if executed a combination of Mew Ver.2 and
	w3m-m17n.

2001-07-25  NAKAGAWA Takayuki  <tknakaga@kanagawa.hitachi.co.jp>

	* w3m.el (w3m-fontify-anchors): Don't delete trailing whitespaces,
	etc. from anchors.

2001-07-19  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-form.el (w3m-form-parse-forms): Support the USEMAP attribute of
	the IMG element.
	(w3m-fontify-forms): Ditto.
	(w3m-form-input-textarea-wincfg): New buffer local variable.
	(w3m-form-input-select-wincfg): Ditto.
	(w3m-form-input-textarea): Save the configuration of current window.
	Guard error of the minimum height of window.
	(w3m-form-input-select): Ditto.
	(w3m-form-input-textarea-set): Restore the configuration of window.
	(w3m-form-input-select-set): Ditto.
	(w3m-form-input-map-buffer-lines): New user option.
	(w3m-form-input-map-mode-hook): Ditto.
	(w3m-form-input-map-set-hook): Ditto.
	(w3m-form-input-map-keymap): New keymap.
	(w3m-form-input-map-buffer): New buffer local variable.
	(w3m-form-input-map-wincfg): Ditto.
	(w3m-form-input-map-set): New function.
	(w3m-form-input-map-mode): Ditto.
	(w3m-form-input-map): Ditto.
	(w3m-form-input-select-keymap): Added mouse operation.
	(w3m-form-input-map-keymap): Ditto.
	(w3m-form-input-select-set-mouse): New function.
	(w3m-form-input-map-set-mouse): Ditto.

2001-07-18  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-submit): New defmacro.
	(w3m-mouse-view-this-url): Handle the action of form tag.
	(w3m-submit-form): New function, submit the form.
	(w3m-lynx-like-map): Add w3m-submit-form().
	(w3m-info-like-map): Ditto.
	(w3m-mode): Modify doc-string.

	* w3m-form.el (w3m-fontify-forms): Add 'w3m-submit property on all tags
	except the "reset".

2001-07-18  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-w3m-retrieve): Added argument `post-data'.
	(w3m-w3m-retrieve): Add -post and -post_ct to `w3m-command-arguments'
	when `post-data' is specified.
	(w3m-retrieve): Added argument `post-data'.
	(w3m-exec): Ditto.
	(w3m-goto-url): renamed `post-body' to `post-data'.  Don't bind
	w3m-command-arguments here.

2001-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-w3m-dump-source, w3m-w3m-dump-head-source,
	w3m-local-dirlist-cgi): Say where the url is being connected to.

	* w3mhack.el (w3mhack-compile): Changed message convention.
	* w3m.el (w3m-view-source, w3m-rendering-region, w3m-w3m-dump-source,
	w3m-w3m-dump-head-source, w3m-w3m-get-header, w3m-local-dirlist-cgi,
	w3m-fontify): Ditto.
	* w3m-e21.el (w3m-setup-header-line): Ditto.
	* w3m-dtree.el (w3m-about-dtree): Ditto.
	* w3m-bookmark.el (w3m-bookmark-add-current-url,
	w3m-bookmark-add-this-url, w3m-bookmark-add-this-url): Ditto.
	* mime-w3m.el (mime-w3m-mouse-view-this-url): Ditto.

	* w3m.el (w3m-gohome, w3m-convert-ftp-url-for-emacsen,
	w3m-goto-mailto-url, w3m-edit-current-url, w3m-external-view,
	w3m-local-dirlist-cgi, w3m-toggle-inline-images, w3m-parse-attributes):
	Changed error message convention.
	* w3m-hist.el (w3m-history-add-arrived-db, w3m-history-rename-url,
	w3m-history-remove-properties, w3m-history-add-properties,
	w3m-history-plist-put, w3m-history-plist-get): Ditto.
	* w3m-bookmark.el (w3m-bookmark-add, w3m-bookmark-write-file): Ditto.

2001-07-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-mbconv-command): New customize variable.
	(w3m-decode-buffer): If charset equal 'x-moe-internal', call
	w3m-x-moe-decode-buffer().
	(w3m-x-moe-decode-buffer): New funcion. A coding-system of buffer
	converts 'x-moe-internal' to usual coding-system for emacsen.

	* w3m-form.el (w3m-form-parse-region): If charset equal
	'x-moe-internal', call w3m-x-moe-decode-buffer().
	(w3m-form-parse-forms): Handles value of 'charset', if w3m-type eq
	'w3mmee.

2001-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-byte-optimize-letX): Remove `pop-up-frame-alist'
	when compiling.

	* w3m.el (w3m): Use the new macros; set the value of
	`w3m-initial-frame' in the popped up frame.
	(w3m-close-window): Use `w3m-delete-frame-maybe'.
	(w3m-quit): Use `w3m-delete-frame-maybe'.
	(w3m-delete-frame-maybe): New function.
	(w3m-copy-buffer): Pop up a new frame if `w3m-pop-up-frames' is
	non-nil; set the value of `w3m-initial-frame' in the new frame.
	(w3m-popup-frame-p): New macro.
	(w3m-pop-up-frame-parameters): New macro.
	(w3m-initial-frame): New internal variable.

	* w3m-xmas.el (w3m-setup-header-line): Use text-properties instead of
	the raw extents for highlighting a header line.

2001-07-13  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-form.el (w3m-form-new): Added 'charlst' option.
	(w3m-form-charlst): New macro.
	(w3m-form-plist): Move a indent of an array.
	(w3m-form-put): Ditto.
	(w3m-form-make-form-urlencoded): Remove 'coding' option.  If
	'accept-charset' denotes within <form> tag, resolve coding-system
	according to its list of charset.
	(w3m-form-parse-forms): Handle value of 'accept-charset'.

2001-07-12  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-tag-regexp-of): New macro to generate regexp of specified
	tag(s).
	(w3m-parse-attributes): Skip spaces before parsing.

	* w3m-form.el (w3m-form-parse-forms): More flexible and simple tag
	finding using `w3m-tag-regexp-of' macro.

2001-07-12  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-charset-coding-system-alist): Added 'us_ascii'.
	(w3m-w3m-attributes): Use content of w3m-document-charset: field as
	charset if exists.

2001-07-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-form.el (w3m-form-parse-forms): Parse the tags only within the
	"<form ..> ... </form>".

2001-07-12  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-remove-redundant-spaces): Don't cause an error when str
	contains only spaces.

2001-07-12  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* mew-w3m.el: Hand-over of copyright of this file from Goto to
	Tsuchiya. This is consensual.

2001-07-11  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-rendering-region): Add charset option when call
	w3m-form-parse-region().

	* w3m-form.el (w3m-form-parse-region): Add charset option.  If w3m-type
	is 'w3mmee or 'w3m-m17n, forms parse within a decoded temporally
	buffer.
	(w3m-form-parse-forms): New function.

2001-07-11  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m-form.el (w3m-form-parse-region): Don't extract value from submit
	button, again.
	(w3m-form-submit): Don't set value when NAME is omitted.

2001-07-11  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-rendering-region): Do not break matching data.

2001-07-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-form.el (w3m-fontify-forms): Put text properties corresponding to
	form types.
	(w3m-form-input): Simplify.
	(w3m-form-input-password): New function.
	(w3m-form-input-checkbox): Ditto.
	(w3m-form-input-radio): Ditto.
	(w3m-form-input-textarea): Follow changes in `w3m-form-input'.
	(w3m-form-input-select): Ditto.

2001-07-11  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m-form.el (w3m-form-goto-next-field): New function.
	(w3m-form-make-form-urlencoded): Refine to support value of check-box
	type which is list of value string.
	(w3m-form-parse-region): Support CHECKBOX type and RADIO type. Note
	that CHECKBOX type has multiple values.
	(w3m-fontify-forms): Use new property 'w3m-form-field-id to identify
	each field to support RADIO type item. Also removed value putting code
	because values are already set in parsing.
	(w3m-form-input): Support action for CHECKBOX and RADIO type field.

	* w3m.el (w3m-url-encode-string): Encode SPACE(0x20) as "+".
	(w3m-rendering-region): Decode entities in title string.

2001-07-10  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-w3m-attributes): Fixed problem when charset is quoted.

	* w3m-form.el (w3m-form-parse-region): Don't extract value from submit
	button.
	(w3m-form-submit): If ACTION is not specified, send data to current
	url.
	(w3m-form-make-get-string): Removed.

2001-07-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Bind `:bool' for old Emacsen.

2001-07-10  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-parse-attributes): Support :bool type attribute.

	* w3m-form.el (w3m-form-parse-region): Use :bool type for SELECTED
	attribute of OPTION tag.

2001-07-09  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-form.el (w3m-form-make-form-urlencoded): If second value of plist
	is consp, use car value (for select).
	(w3m-form-parse-region): Don't parse type attribute for textarea;
	Process select.
	(w3m-fontify-forms): Save value and name for submit.
	(w3m-form-replace): Added optional argument `invisible'.
	(w3m-form-input): Process SELECT and PASSWORD.
	(w3m-form-input-select-buffer-lines): New user option.
	(w3m-form-input-select-mode-hook): Ditto.
	(w3m-form-input-select-set-hook): Ditto.
	(w3m-form-input-select-keymap): New keymap.
	(w3m-form-input-select-buffer): New buffer local variable.
	(w3m-form-input-select-form): Ditto.
	(w3m-form-input-select-name): Ditto.
	(w3m-form-input-select-point): Ditto.
	(w3m-form-input-select-candidates): Ditto.
	(w3m-form-input-select-set): New function.
	(w3m-form-input-select-mode): Ditto.
	(w3m-form-input-select): Ditto.
	(w3m-form-submit): Added optional argument name and value.

	* w3m.el (w3m-remove-comments): New function.
	(w3m-rendering-region): Call it.

2001-07-06  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-form.el (w3m-form-default-coding-system): Changed default value
	to shift_jis.
	(w3m-form-make-form-urlencoded): Removed redundant local variable.

	* w3m.el (w3m-url-encode-string): Encode newline as "%0D%0A"

	* w3m-form.el (w3m-form-default-coding-system): New user option.
	(w3m-form-make-form-urlencoded): Use it.
	(w3m-form-input-textarea-set): Get values of buffer local variables
	before changing buffer.
	(w3m-form-input-textarea): Set values of buffer local variables after
	changing buffer.

2001-07-06  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-form.el (comment): Modify URI of emacs-w3m.
	(w3m-form-input-textarea-mode-hook): New user option.
	(w3m-form-input-textarea-point): New buffer local variable.
	(w3m-form-input-textarea-set): Run 'w3m-form-input-textarea-set-hook'
	hook first.  Get 'w3m-buffer' from input buffer.  Go to the point of
	the orignal form when switch to 'w3m-buffer'.
	(w3m-form-input-textarea): Save original point to
	'w3m-form-input-textarea-point'.  Set 'w3m-form-input-textarea-buffer'
	within the buffer of the input area.

	* w3m.el (w3m-about): Modify URI of emacs-w3m.
	* w3m-xmas.el (comment): Ditto.
	* w3m-weather.el (comment): Ditto.
	* w3m-search.el (comment): Ditto.
	* w3m-om.el (comment): Ditto.
	* w3m-macro.el (comment): Ditto.
	* w3m-e21.el (comment): Ditto.
	* w3m-e20.el (comment): Ditto.
	* w3m-dtree.el (comment): Ditto.
	* w3m-bookmark.el (comment): Ditto.
	* w3m-antenna.el (comment): Ditto.

2001-07-05  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-0.2.1-mnc.patch: Added [-post body] option.

	* w3m.el (w3m-url-encode-string): Don't cause an error when str is nil.
	(w3m-goto-url): Added post-body argument; Set -post option if post-body
	is specified.

	* w3m-form.el (w3m-form-make-form-urlencoded): New function.
	(w3m-form-make-get-string): Use `w3m-form-make-form-urlencoded'.
	(w3m-form-parse-region): Add textarea processing.
	(w3m-form-replace): Delete newline characters.
	(w3m-form-input): Added textarea processing.
	(w3m-form-submit): If form method is POST, then set post-body argument
	of `w3m-goto-url'.
	(w3m-form-input-textarea-buffer-lines): New user option.
	(w3m-form-input-textarea-mode-hook): Ditto.
	(w3m-form-input-textarea-keymap): New keymap.
	(w3m-form-input-textarea-buffer): New buffer local variable.
	(w3m-form-input-textarea-form): Ditto.
	(w3m-form-input-textarea-name): Ditto.
	(w3m-form-input-textarea-set): New function.
	(w3m-form-input-textarea-mode): Ditto.
	(w3m-form-input-textarea): Ditto.

2001-06-29  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mime-w3m.el (mime-w3m-preview-text/html): Search xref in the root
	entitiry.

2001-06-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-version): Bind `print-level' and `print-length'
	to nil.
	(w3mhack-examine-modules): Ditto.
	* w3m.el (w3m-rendering-region): Ditto.
	* w3m-form.el (w3m-form-submit): Ditto.

2001-06-12  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el: Added support code for w3m-m17n.
	(w3m-type): Add new candidate.
	(w3m-command, w3m-input-coding-system, w3m-output-coding-system)
	(w3m-halfdump-command-arguments): Add default value for w3m-m17n.
	(w3m-exec) [w3m-m17n]: No call `w3m-decode-buffer'.
	(w3m-region) [w3m-m17n]: No call `encode-coding-region'.

2001-06-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-dump-head-source-command-argument): Its old name is
	`w3m-dump-head-source-command-arguments'.

2001-06-11  Mito  <mit@nines.nec.co.jp>

	* w3m.el (w3m-broken-proxy-cache): New variable.
	(w3m-dump-head-source-command-arguments): Defined as list.
	(w3m-w3m-retrieve): Cache on proxy server isn't used when neither
	`no-cache' nor `w3m-broken-proxy-cache' equal to nil.

2001-06-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-form.el (w3m-form-parse-region): Check the value of
	`w3m-current-buffer' to avoid wrong type argument error.

	* w3m.el (w3m-rendering-region): Set `w3m-current-buffer' refered in
	`w3m-form-parse-region'.

2001-06-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-attributes): Remove URL fragments before checking its
	attributes.
	(w3m-retrieve): Remove URL fragments before getting its contents.
	(w3m-w3m-retrieve): Follow changes in `w3m-retrieve'.
	(w3m-arrived-add): Simplified regular expression.
	(w3m-parse-attributes): Changed form spec for edebug.

	* w3m-form.el (w3m-form-parse-region): Set `w3m-current-forms' in the
	buffer `w3m-current-buffer'.

	* mime-w3m.el (mime-w3m-save-background-color): Changed form spec for
	edebug.

2001-06-09  Kiyokazu SUTO  <suto@ks-and-ks.ne.jp>,
	    TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-fontify-anchors): Process w3m internal tag `<_id>' which
	represents ID properties.

2001-06-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-w3m-retrieve): Remove URL's fragment before checking
	cache.

2001-06-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-unoptimize-animated-gif): Truncate an animated gif
	to have only one frame when the size is larger than the value of
	`w3m-animated-gif-maximum-size'.
	(w3m-animated-gif-maximum-size): New variable.

2001-06-06  Kenichi OKADA  <okada@opaopa.org>

	* w3m-xmas.el: Require `path-util'.

2001-06-07  NAKAJIMA Mikio <minakaji@osaka.email.ne.jp>

	* w3m.el (w3m-exec-process): Replace `delete' with `delq'.

2001-06-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-toolbar): Use the English language when the value of the
	variable `current-language-environment' is not "Japanese".

2001-06-04  Pavel Janik  <Pavel@Janik.cz>

	* w3m.el (w3m-about-db-history): Fix typo Titile -> Title.

2001-06-01  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-halfdump-command-arguments): Changed default value to
	"-dump=half-buffer" when w3m-type equal 'w3mmee.

2001-05-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el (iso-2022-7bit): New coding-system generated by copying
	from `*iso-2022-jp*'.

2001-05-31  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-coding-system): Changed default value to 'iso-2022-7bit.
	(w3m-input-coding-system): Ditto.

2001-05-31  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-dtree.el (w3m-dtree-create): Insert 'Meta tag' to the binding of
	charset.

	* w3m.el (w3m-local-dirlist-cgi): Fix charset handling.

2001-05-30  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-file-name-coding-system): New customizable value.
	(w3m-charset-coding-system-alist): Reverse list.
	(w3m-dirlist-cgi-program): Change default value for OS/2.
	(w3m-local-dirlist-cgi): Set "QUERY_STRING" to encoded string of
	'w3m-file-name-coding-system'. Insert 'Meta tag' to the binding of
	charset.

2001-05-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-goto-url): Set a string representing file interpreted as
	a directory to `default-directory'.
	(w3m-about-source): Call `w3m-decode-buffer'.

2001-05-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-decode-buffer): Allow `detect-coding-region' to return
	both a coding-system and a list of coding-systems.

2001-05-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (XEmacs): Require `byte-optimize' expressly before
	advising the function `byte-optimize-form-code-walker'.

2001-05-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-rename-url): Don't use `with-current-buffer'
	for old Emacsen.
	(w3m-history-copy): Ditto.
	(w3m-history-share-properties): Ditto.
	(w3m-history-seek-properties): Ditto.

2001-05-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (slow): New rule for the developers to check a
	portability for each module.
	* w3m-xmas.el (w3m-cache-unoptimized-gif-images): Fix typo.

2001-05-26  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-local-directory-view-method): Modify default value.
	(w3m-direlist-cgi-program): New variable.
	(w3m-local-retrieve): Call w3m-local-dirlist-cgi() when local
	directory.
	(w3m-local-dirlist-cgi): New function. Execute either 'w3m' or
	'direlist.cgi'.
	(w3m-goto-url-localcgi-movepoint): Use 'w3m-name-anchor instead of
	'patter-matching'.
	(w3m-url-completion): Handling drive letter for any broken OSes.

	* w3m-dtree.el (w3m-dtree-stop-strings): Add a new alternative.

2001-05-26  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-decode-buffer): Removed reference of `w3m-coding-system'.

2001-05-25  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-dtree.el (w3m-dtree-directory-depth): New variable.
	(w3m-dtree-stop-strings): Ditto.
	(w3m-dtree-create-sub): Add new arugument 'depth'. Stop recursive call,
	if directory-depth over the 'w3m-dtree-directory-depth'.

2001-05-25  NAKAGAWA Takayuki <tknakaga@kanagawa.hitachi.co.jp>

	* w3m-dtree.el (w3m-dtree-create-sub): To avoid infinite recusion,
	directory-files now returns absolute file names and expand-file-name is
	omitted.

2001-05-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history): Get the values of `w3m-current-url' and
	`w3m-history-flat' from the buffer `w3m-current-buffer'.
	(w3m-goto-url): Set the value of `w3m-current-buffer' as the current
	buffer.
	(w3m-current-buffer): New internal variable.

2001-05-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-examine-modules): Made it to return w3m-macro.elc
	and the version specific module first.

	* w3m.el (w3m-setup-menu): Define it if the feature `xemacs' is not
	provided.
	(TopLevel): Don't bind the functions `w3m-display-inline-image-p',
	`w3m-display-graphic-p', `w3m-update-toolbar', `w3m-setup-toolbar',
	`w3m-image-type-available-p', `w3m-insert-image' and
	`w3m-create-image'.
	(w3m-get-buffer-create, w3m-add-text-properties, w3m-with-work-buffer):
	Moved to w3m-macro.el.
	(w3m-charset-coding-system-alist): Use `w3m-find-coding-system'
	directly.
	(w3m-find-coding-system): Moved to the version specific modules.
	(w3m-static-cond, w3m-static-if): Moved to w3m-macro.el.
	(TopLevel): Require `w3m-e20' when the version of the running Emacs is
	neither XEmacs, Emacs 21 nor Mule2.
	(TopLevel): Require `w3m-macro'.

	* w3m-xmas.el (w3m-euc-japan-decoder): Define it when the function
	`ccl-compile-write-multibyte-character' is bound.
	(widget-coding-system-action): Use `eval' instead of the funcall'ing
	for the function `widget-coding-system-prompt-value'.  It is only for
	avoiding a byte-compile warning.
	(w3m-should-unoptimize-animated-gifs): Check for both
	`emacs-patch-level' and `emacs-beta-version' when XEmacs 21.2 is
	running.
	(TopLevel): Bind the functions `w3m-image-type' and `w3m-retrieve' when
	compiling.
	(TopLevel): Bind the variables `w3m-current-url',
	`w3m-display-inline-image', `w3m-icon-directory', `w3m-menubar',
	`w3m-toolbar', `w3m-toolbar-buttons', `w3m-use-header-line' and
	`w3m-work-buffer-name' when compiling.
	(TopLevel): Don't require `w3m'.
	(TopLevel): Provide the feature `w3m-xmas' in the end of the file.

	* w3m-om.el (read-passwd): Enclose it with `eval-and-compile'.
	(w3m-find-coding-system): New inline function moved from w3m.el.
	(w3m-display-inline-image-p, w3m-display-graphic-p, w3m-update-toolbar,
	w3m-setup-toolbar, w3m-image-type-available-p, w3m-insert-image,
	w3m-create-image): Alias to `ignore'.
	(TopLevel): Bind the variables `w3m-menubar' and `w3m-mode-map' when
	compiling.
	(TopLevel): Don't require `w3m'.
	(TopLevel): Provide the feature `w3m-om' in the end of the file.

	* w3m-macro.el: New file which currently contains
	`w3m-get-buffer-create', `w3m-add-text-properties',
	`w3m-with-work-buffer', `w3m-static-cond' and `w3m-static-if'.

	* w3m-e21.el (w3m-update-toolbar): Alias to `ignore'.
	(w3m-find-coding-system): New inline function moved from w3m.el.
	(TopLevel): Bind the functions `w3m-image-type' and `w3m-retrieve' when
	compiling.
	(TopLevel): Bind the variables `w3m-work-buffer-name',
	`w3m-use-header-line', `w3m-toolbar-buttons', `w3m-toolbar',
	`w3m-mode-map', `w3m-icon-directory' and `w3m-display-inline-image'
	when compiling.
	(TopLevel): Don't require `w3m'; require `w3m-macro'.
	(TopLevel): Provide the feature `w3m-e21' in the end of the file.

	* w3m-e20.el: New file.

2001-05-25  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-expand-file-name-as-url): Remove handling
	'about://dtree'.
	(w3m-local-content-type): Ditto.
	(w3m-url-local-p): Ditto.
	(w3m-local-directory-view-method): New variable.
	(w3m-local-retrieve): If url is directory, call w3m by way of kick
	'dirlist.cgi'
	(w3m-url-dtree-p): New defsubst.
	(w3m-edit-current-url, w3m-edit-this-url): Use w3m-url-dtree-p().
	(w3m-goto-url-localcgi-movepoint): New function.
	(w3m-goto-url): If URL is a local directory, check and change URL by
	the use of 'w3m-local-directory-view-method'.  If URL type is a local
	cgi, move to its directory point.

2001-05-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-euc-japan-decoder): Check if `emacs-major-version'
	is 21 instead of 20 and check for `emacs-beta-version' instead of
	`emacs-patch-level'.
	(w3m-should-unoptimize-animated-gifs): Ditto.

2001-05-25  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-xmas.el (w3m-euc-japan-decoder): Fix typo.

2001-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-euc-japan-decoder): Don't check for the constant
	`emacs-patch-level' when the beta versions of XEmacs is running.

2001-05-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-euc-japan-decoder): Not define when it has been already
	defined.

	* w3m-xmas.el (w3m-euc-japan-decoder): Define when XEmacs whose version
	is greater than 21.2.19 is used.

2001-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Modify messages in `w3m-view-header', `w3m-view-source',
	`w3m-edit-this-url', `w3m-print-this-url', `w3m-download-this-url',
	`w3m-view-current-url-with-external-browser', `w3m-save-image',
	`w3m-view-image', `w3m-mouse-view-this-url', `w3m-view-this-url' and
	`w3m-search-name-anchor'.

	* w3m.el (w3m-toggle-inline-images): Signal an error when the function
	`w3m-display-graphic-p' returns nil.
	(w3m-display-graphic-p): Alias to `ignore' by default.
	(w3m-menubar): Disable a menu button "Toggle Images" when the function
	`w3m-display-graphic-p' returns nil.
	* w3m-xmas.el (w3m-display-graphic-p): Alias to
	`device-on-window-system-p'.
	* w3m-e21.el (w3m-display-graphic-p): Alias to `display-graphic-p'.

2001-05-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-find-coding-system): New function to replace
	`find-coding-system'.
	(w3m-charset-to-coding-system): Use `w3m-find-coding-system'.
	(make-ccl-coding-system): Removed.
	(toplevel) [emacs20, emacs21]: Removed dependency on `pccl'.

2001-05-24  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (toplevel): Fix condition for (require 'pccl).

2001-05-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-charset-to-coding-system): Simplified.
	(make-ccl-coding-system) [XEmacs, Mule]: Removed.

2001-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-region): Use `w3m-display-inline-image-p'.
	(w3m-goto-url): Ditto.
	(w3m-display-inline-image-p): New function.
	* w3m-xmas.el (w3m-display-inline-image-p): New function.
	* w3m-e21.el (w3m-display-inline-image-p): New function.

2001-05-24  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (toplevel): Define make-ccl-coding-system() myself, when
	failed (require 'pccl).

2001-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m): Made it can be called non-interactively or a batch job.

	* w3m.el (w3m-goto-url): Add autoload magic cookie.
	* w3m-weather.el (w3m-about-weather, w3m-weather): Ditto.
	* w3m-search.el (w3m-search): Ditto.
	* w3m-form.el (w3m-fontify-forms, w3m-form-parse-region): Ditto.
	* w3m-filter.el (w3m-filter): Ditto.
	* w3m-dtree.el (w3m-dtree, w3m-about-dtree): Ditto.
	* w3m-bookmark.el (w3m-bookmark-view, w3m-bookmark-add-current-url,
	w3m-bookmark-add-this-url): Ditto.
	* w3m-antenna.el (w3m-antenna, w3m-about-antenna): Ditto.
	* mime-w3m.el (mime-w3m-preview-text/html): Ditto.

2001-05-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-coding-system): Changed default value to
	'iso-2022-7bit-ss2.
	(w3m-terminal-coding-system): New user option.
	(w3m-attributes): When URL whose scheme equals to `about' is specified,
	returns `w3m-coding-system' as its content-charset.
	(w3m-exec-process): Refer `w3m-terminal-coding-system'.
	(w3m-decode-buffer): Decode buffer everywhen it is called.
	(w3m-about-retrieve): New function.
	(w3m-cid-retrieve): Ditto.
	(w3m-retrieve): Call `w3m-about-retrieve' and `w3m-cid-retrieve'.
	(w3m-rendering-region) [w3mmee]: No call `encode-coding-region'.  Fix
	coding-system spec error for Mule-2.3.
	(w3m-rendering-region): Simplified.
	(w3m-region) [w3mmee]: Encode this buffer as unibyte representation.
	(w3m-about-history): No call `w3m-with-work-buffer'.
	(w3m-about-db-history): Ditto.

	* w3m-dtree.el (w3m-about-dtree): Ditto.

	* w3m-weather.el (w3m-about-weather): Call `w3m-decode-buffer'.

2001-05-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m): Popup a new frame if there is neither a window nor a
	frame associated with w3m and `w3m-pop-up-frames' is non-nil; refer to
	`w3m-pop-up-frame-parameters' when creating a new w3m frame.
	(w3m-pop-up-frame-parameters): New user option which allows a kludge
	that it can be either an alist or a plist.
	(w3m-pop-up-frames): New user option.

	* w3m-e21.el (w3m-setup-header-line): Replace "%" with "%%" in an url
	string.

2001-05-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-read-coding-system): Removed.
	(w3m-process-environment): New variable.
	(w3m-input-coding-system): Changed default value.
	(w3m-output-coding-system) [w3mmee]: Changed default value.
	(w3m-arrived-add-1): Changed argument spec.
	(w3m-arrived-add): Ditto.
	(w3m-arrived-coding-system): Removed.
	(w3m-arrived-content-charset): New function.
	(w3m-arrived-setup): Changed arrived file format to keep
	content-charset instead of coding-system.
	(w3m-arrived-shutdown): Ditto.
	(w3m-exec-process): Refer `w3m-process-environment' to set environments
	for sub-processes.
	(w3m-decode-encoded-contents): Ditto.
	(w3m-coding-system-to-charset): Removed.
	(w3m-read-content-charset): New function.
	(w3m-decode-buffer): Changed argument spec.  Process this buffer if and
	only if it's represented in unibyte.
	(w3m-rendering-region): Reconstruced.
	(w3m-exec): Changed argument spec and followed the change of
	`w3m-decode-buffer'.
	(w3m-goto-url): Changed argument spec and followed the change of
	`w3m-exec'.
	(w3m-redisplay-with-coding-system): Removed.
	(w3m-redisplay-with-charset): New command to replace
	`w3m-redisplay-with-coding-system'.
	(w3m-region): No call `encode-coding-region'.
	(w3m-about-history): Ditto.
	(w3m-about-db-history): Ditto.

	* w3m-antenna.el (w3m-about-antenna): No call `encode-coding-region'.

	* w3m-dtree.el (w3m-about-dtree): Ditto.

	* w3m-om.el (w3m-read-coding-system): Removed.
	(coding-system-list): New function.

2001-05-23  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-expand-file-name-as-url): If file is directory, expand to
	use 'about://dtree'.
	(w3m-local-content-type): If url is directory or 'about://dtree/",
	return "text/html" type.
	(w3m-goto-url): If URL is local and directory, change URL 'file://' to
	'about://dtree'.
	(w3m-halfdump-command): New variable.
	(w3m-halfdump-command-arguments): Change to defvar.
	(w3m-halfdump-command-common-arguments): New constant, common arguments
	for 'halfdump' execution of all w3m variants.
	(w3m-rendering-region): Use 'w3m-halfdump-command' if setted. Change
	call process arguments.
	(w3m-lynx-like-map): Add w3m-gohome() keybind.
	(w3m-info-like-map): Add w3m-dtree() and w3m-edit-this-url()
	keybind. Use w3m-gohome() instead of lamda expression.
	(w3m-mode): Modify doc-string.

	* w3m-dtree.el (w3m-about-dtree): Modify message.

2001-05-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-unoptimize-animated-gif): New function which is
	separated from `w3m-create-image'; improve a way to check whether a
	data should be unoptimized or not.
	(w3m-create-image): Use it.

2001-05-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-create-image): Attempt to extract the first frame of
	an animated gif when the unoptimization is failed.

2001-05-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-add-text-properties): Don't specify `end-open' nor
	`front-nonsticky' that are the default.
	(w3m-emacs-w3m-icon): Colorized.

2001-05-22  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-cache-contents): Don't insert additional '\n' for binary
	data.

2001-05-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Don't make the coding-system `w3m-euc-japan' if it already
	exists to make w3m.el reloadable in Emacs 20.

2001-05-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about): Put an icon image as about://emacs-w3m.gif.
	(w3m-retrieve): Make an exception of about://emacs-w3m.gif.
	(w3m-attributes): Ditto.
	(w3m-emacs-w3m-icon): New constant for about://emacs-w3m.gif.

2001-05-22  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-region): Call w3m-render-region for the region from
	`point-min' to `point-max' because buffer is already narrowed.

2001-05-22  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-mime-text/html-w3m): Fix condition when
	mew-mime-text/html() call, again. Avoid byte-compile warning when
	compiling.

2001-05-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Add support code of w3mmee.  Reorganaized codes to handle
	content types and coding systems which are specified by user.
	(toplevel): Require 'pccl.
	(w3m-type): New user option.
	(w3m-mnc): Removed user option.
	(w3m-linefeed-type): Removed variable.
	(w3m-dump-head-source-option): Ditto.
	(w3m-decode-all-to-this-charset): Ditto.
	(w3m-halfdump-option): Ditto.
	(w3m-halfdump-expand-options): Ditto.
	(w3m-extended-characters-table): Ditto.
	(w3m-command): Refer `w3m-type' to decide default value.
	(w3m-command-arguments): Ditto.
	(w3m-output-coding-system): Changed default value to `w3m-euc-japan'.
	(w3m-profile-directory): Refer `w3m-command' to decide default value.
	(w3m-default-save-directory): Ditto.
	(w3m-dump-head-source-command-arguments): New constant.
	(w3m-halfdump-command-arguments): Refer `w3m-type' to decide default
	value.
	(w3m-arrived-add-1): Add an argument `content-type'.
	(w3m-arrived-add): Likewise and follow change of `w3m-arrived-add-1'.
	(w3m-arrived-coding-system): Strict checking of return value.
	(w3m-arrived-content-type): New function.
	(w3m-arrived-setup): Follow change of `w3m-arrived-add'.
	(w3m-arrived-shutdown): Ditto.
	(w3m-exec-process): Set process environment to avoid unexpected
	conversion in Windows.
	(w3m-charset-to-coding-system): New function.
	(w3m-decode-encoded-contents): Old name is `w3m-decode-encoded-buffer'.
	Set process environment to avoid unexpected conversion in Windows.
	(w3m-local-retrieve). Simplified.
	(w3m-pretty-length): Removed.
	(w3m-crlf-to-lf): Removed.
	(w3m-w3m-dump-head-source): No call `w3m-crlf-to-lf'.
	(w3m-w3m-dump-source): Ditto.
	(w3m-w3m-retrieve) Removed optional argument `cs' and simplified.
	(w3m-retrieve): Ditto.
	(w3m-decode-extended-characters): Removed.
	(w3m-euc-japan-decoder): New CCL program.
	(w3m-euc-japan-encoder): Dummy CCL program.
	(w3m-euc-japan): New coding system.
	(w3m-rendering-region): New optional argument `charset' and support
	codes of `w3mmee' are added.  Handle new defintion style of
	`w3m-halfdump-command-arguments'.  Refer `w3m-euc-japan' to process
	outputs of `w3m'.
	(w3m-exec): Reconstructed.  This accepts new optional argument
	`content-type'.
	(w3m-goto-url): Reconstructed to handle files which have unknown
	cotent-types.
	(w3m-redisplay-with-coding-system): Simplified.
	(w3m-find-file): Simplified and optional argument `type' is removed.
	(w3m-region): Encode output buffer into `w3m-input-coding-system'.
	(w3m-about-history): Ditto.
	(w3m-about-db-history): Ditto.

	* w3m-antenna.el (w3m-about-antenna): Encode output buffer into
	`w3m-input-coding-system'.

	* w3m-dtree.el (w3m-about-dtree): Ditto.

	* mime-w3m.el (mime-w3m-cid-retrieve): Changed spec of arguments.

	* mew-w3m.el (mew-w3m-cid-retrieve): Ditto.

2001-05-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-toggle-inline-images): Message "Showing...".

	* w3m-xmas.el (w3m-create-image): Unoptimize animated GIFs using
	gifsicle program.
	(w3m-cache-unoptimized-gif-images-max-length): New variable.
	(w3m-cache-unoptimized-gif-images): New variable.
	(w3m-gifsicle-program): New variable.
	(w3m-should-unoptimize-animated-gifs): New variable.

2001-05-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fontify): Don't initialize the value of
	`w3m-cache-underline-faces' here.
	(w3m-toggle-inline-images): Run the following new hooks instead of to
	hide/show underlines behind inline images here.
	(w3m-cache-underline-faces): Variable moved to w3m-e21.el.
	(w3m-remove-inline-images-after-hook): New hook.
	(w3m-remove-inline-images-before-hook): New hook.
	(w3m-show-inline-images-after-hook): New hook.
	(w3m-show-inline-images-before-hook): New hook.

	* w3m-e21.el: Use `w3m-remove-inline-images-after-hook',
	`w3m-show-inline-images-after-hook',
	`w3m-show-inline-images-before-hook' and `w3m-fontify-before-hook' to
	fix the undesirable feature of Emacs 21 that to show an underline of a
	text even if it has an image as a text property.
	(w3m-cache-underline-faces): Variable moved from w3m.el.

2001-05-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-cache-underline-faces): Modified docs that it is for
	Emacs 21's exclusive use.

2001-05-18  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-dtree.el (w3m-dtree-indent): Remove variable.
	(w3m-dtree-fancy-display): Ditto.
	(w3m-dtree-indent-strings): New variable.
	(w3m-dtree-create-fancy): Remove function.
	(w3m-dtree-create-sub): Rename function from w3m-dtree-create-fancy()
	and tiny modified.
	(w3m-about-dtree): Remove 'fancy style' method.

2001-05-18  Hideyuki SHIRAI  <shirai@meadowy.org>

	* icons/db-history-up.xpm: Change color.

	* mew-w3m.el (mew-mime-text/html-w3m): Fix condition when
	mew-mime-text/html() call.

2001-05-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-find-file): Improved.
	(w3m-default-content-type): New user option.
	(w3m-url-completion): New function.
	(w3m-input-url): Call `w3m-url-completion' to complete URLs.

2001-05-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-find-file): New optional argument, `type' is added.

2001-05-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-add-arrived-db): Improve the madness.

	* w3m.el (w3m-about-history): Add small indentation to sub trees.

2001-05-17  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-about-db-history): Modify display format for no folding.

2001-05-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history): New implementation.
	(w3m-about-history-indent-level): New variable.
	(w3m-about-history-max-indentation): New variable.

	* icons/history-up.xpm: Replaced a pixmap with a new pattern.

2001-05-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-dtree.el (w3m-dtree-default-allfiles): Modify default value.
	(w3m-dtree-fancy-display): New variable.
	(w3m-dtree-create-fancy): New function.
	(w3m-dtree-create-sub): Insert the indicator which directory or file,
	if allfiles.
	(w3m-about-dtree): Use fancy style function, if
	'w3m-dtree-fancy-display' is non-nil.

2001-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m): Use existing frame or window.

2001-05-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-dtree.el (w3m-dtree-create): Fix HTML bug.

2001-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-cache-underline-faces): Added docs that it is currently
	needed for only pretest versions of Emacs 21.
	(w3m-fontify-anchors): Don't fontify the trailing white spaces of a
	href.
	* w3m-xmas.el (w3m-insert-image): Don't handle underline faces.
	* w3m-e21.el (w3m-insert-image): Simplified.

2001-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-setup-header-line, w3m-exec, w3m-decode-entities):
	Replace `add-text-properties' with `w3m-add-text-properties'.
	(w3m-fontify-images, w3m-fontify-anchors): Ditto.
	(w3m-setup-header-line, w3m-cache-contents, w3m-refontify-anchor):
	Replace `put-text-property' with `w3m-add-text-properties'.
	(w3m-toggle-inline-images, w3m-fontify-anchors): Ditto.
	(w3m-fontify-underline, w3m-fontify-bold): Ditto.
	(w3m-add-text-properties): New macro used to put non-sticky text
	properties.

	* w3m-xmas.el (w3m-setup-header-line): Don't put non-sticky text
	property here.

2001-05-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-w3m): Typo fix.

2001-05-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-bookmark.el (w3m-bookmark-default-section): Changed
	initialization order.

2001-05-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-dtree.el (w3m-dtree-create): Modify warning message.
	(w3m-about-dtree): Set path to directory name.

2001-05-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el, w3m-antenna.el, w3m-bookmark.el, w3m-dtree.el, w3m-search.el,
	w3m-weather.el: Fixed document strings of functions.

	* mew-w3m.el (mew-w3m): New customize group.
	(mew-use-w3m-minor-mode): Use defcustom.
	(mew-w3m-auto-insert-image): Use defcustom.

2001-05-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-goto-url): Set 'default-directory' to
	'w3m-profile-directory', if 'url' is local but not exist that
	directory.

	* w3m-dtree.el (w3m-dtree-create): If 'path' is not a directory,
	display warning message.

2001-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fontify): Initialize the value of
	`w3m-cache-underline-faces'.
	(w3m-toggle-inline-images): Remove or restore the underlined faces.
	(w3m-cache-underline-faces): New buffer-local variable used to cache
	the detached underlined faces from a buffer.

	* w3m-xmas.el (w3m-insert-image): Detach an underlined face in
	`w3m-cache-underline-faces'.
	* w3m-e21.el (w3m-insert-image): Ditto.

2001-05-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-toggle-inline-images): Restore hidden faces in the text
	property `w3m-hidden-face'.

	* w3m-xmas.el (w3m-setup-header-line): Don't inherit existing text
	properties in a header line.

	* w3m-xmas.el (w3m-insert-image): Hide a face in the text property
	`w3m-hidden-face' if it is underlined, instead of the removing.
	* w3m-e21.el (w3m-insert-image): Ditto.

2001-05-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (top-level): Fixed argument of autoload for `w3m-dtree', and
	added autoload for `w3m-about-dtree'.

	* w3m-dtree.el (w3m-dtree): Fixed doc-string.

2001-05-15  "Takayuki Nakagawa"  <tknakaga@kanagawa.hitachi.co.jp>

	* w3m.el (w3m-goto-ftp-url): Use `file-directory-p' instead of file
	name suffix to distinguish directories and files.
	(w3m-time-parse-string (for buggy timezone.el)): Ignore errors occured
	in `encode-time'.

2001-05-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-dtree.el (top-level): Require `w3m' to suppress byte-compile
	warnings.

2001-05-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-view-this-url): Message if there is no link.
	(w3m-cursor-anchor): Redefine as a macro for byte-optimization.
	(w3m-action, w3m-image, w3m-anchor): Redefine as a macro using
	`w3m-get-text-property-around'.
	(w3m-get-text-property-around): New macro.

2001-05-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-exec): Report a process exit status if an error has
	occurred.
	(w3m-download): Ditto.
	(w3m-w3m-dump-source): Don't use `zerop' to check for a process exit
	status.
	(w3m-w3m-dump-head-source): Ditto.
	(w3m-w3m-get-header): Ditto.
	(w3m-exec-process): Made it to return t if succeeded otherwise nil, to
	keep a process exit status in `w3m-process-exit-status'.
	(w3m-process-exit-status): New variable.

2001-05-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (TOP): Add autoload for w3m-dtree.
	(w3m-url-to-file-name): If URL is started 'about://dtree', it convert
	to local file. Change [A-z] to [A-Za-z].
	(w3m-url-local-p): If URL is started 'about://dtree', it assume to
	local file.
	(w3m-prog-dtree): Delete variable.
	(w3m-about-history-ignored-regexp): Delete constant.
	(w3m-arrived-ignored-regexp): New constant.
	(w3m-history-ignored-regexp): New constant.
	(w3m-arrived-add): Use 'w3m-arrived-ignored-regexp' instead of
	'w3m-about-history-ignored-regexp'.
	(w3m-arrived-p): Ditto.
	(w3m-parse-attributes): Change [A-z] to [A-Za-z].
	(w3m-fontify): Ditto.
	(w3m-external-view): Remove 'about://dtree' handling.
	(w3m-about-history): Use 'w3m-history-ignored-regexp' instead of
	'w3m-about-history-ignored-regexp'.
	(w3m-about-db-history): Ditto.
	(w3m-about-dtree): Move to 'w3m-dtree.el'.
	(w3m-dtree): Ditto.

	* w3m-dtree.el: New file.

2001-05-11  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-cursor-anchor): New defsubst.
	(w3m-fontify-anchors): Add 'w3m-cursor-anchor property for
	w3m-goto-(next|previous)-anchor.
	(w3m-goto-anchor-hist): New buffer local variable.
	(w3m-goto-next-anchor): Use 'w3m-cursor-anchor property.
	(w3m-goto-previous-anchor): Ditto.
	(w3m-next-anchor): Don't stop divided anchor using
	'w3m-goto-anchor-hist'.
	(w3m-previous-anchor): Ditto.

	* w3m-form.el (w3m-fontify-forms): Add 'w3m-cursor-anchor property for
	w3m-goto-(next|previous)-anchor.

2001-05-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-copy): New implementation without recursive
	funcall'ing using `w3m-history-tree'.
	(w3m-history-tree): Allow the optional argument `newpos'.
	(w3m-history-copy-1): Removed.

	* w3m.el (w3m-gohome): New command.
	(w3m-setup-menu): Use `w3m-menubar'.
	(w3m-menubar): New constant.
	(w3m-toolbar): Added "copy"; use `w3m-gohome'.
	(w3m-toolbar-buttons): Added "copy".

	* w3m-xmas.el (w3m-setup-menu): Moved menubar definition to w3m.el.

	* icons/copy-up.xpm: New file.

2001-05-11  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-antenna.el (w3m-antenna-last-modified): When specified URL is not
	found, returns t.
	(w3m-antenna-check-sites): When the checking site is not found, use old
	record.
	(w3m-about-antenna): Excess arguments are ignored.

2001-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-insert-image): Remove `face' property from a text
	behind an image.

	* w3m-e21.el (w3m-remove-image): Use a regular plist in the arg of
	`remove-text-properties'.
	* w3m.el (w3m-toggle-inline-images): Ditto.

2001-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-e21.el (w3m-insert-image): Remove `face' property from a text
	behind an image.

2001-05-10  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el:
	(w3m-dump-head-source-option): New variable.
	(w3m-decode-all-to-this-charset): Ditto.
	(w3m-halfdump-option): Ditto.
	(w3m-halfdump-expand-options): Ditto.
	(w3m-edit-function): Ditto.
	(w3m-prog-dtree): Ditto.
	(w3m-halfdump-command-arguments): Remove "-halfdump".
	(w3m-fontify): Display minibuffer messages.
	(w3m-decode-buffer): Use w3m-decode-all-to-this-charset, when its
	non-nil.
	(w3m-local-retrieve): If file is directory, return 'nil'.
	(w3m-w3m-dump-head-source): Use 'w3m-dump-head-source-option' instead
	of "-dump_extra".
	(w3m-rendering-region): Use 'w3m-halfdump-option',
	'w3m-halfdump-command-arguments' and 'w3m-halfdump-expand-options',
	when call-process.
	(w3m-exec): Add no-cache option for w3m-dtree when call
	w3m-external-view().
	(w3m-external-view): Add no-cache option. If url is local directory,
	call w3m-dtree().
	(w3m-print-this-url): Expand output message.
	(w3m-edit-current-url): Use 'w3m-edit-function' instead of find-file().
	(w3m-edit-this-url): New function.
	(w3m-goto-next-anchor): Input form support.
	(w3m-goto-previous-anchor): Ditto.
	(keymap): Add w3m-edit-current-url() and w3m-edit-this-url().
	(w3m-mode): Modify doc-string for new functions.
	(w3m-view-header): Modify doc-string.
	(w3m-history): Add doc-string.
	(w3m-about-dtree): New function.
	(w3m-dtree): Ditto.

2001-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-flat): Don't funcall itself recursively.

	* w3m.el (w3m-fontify-images): Only put text properties `w3m-image' and
	`w3m-image-redundant' if there is a property `w3m-href-anchor'.

2001-05-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-tree): New function.


2001-05-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Release emacs-w3m-1.0 from emacs-w3m-1_0 branch.

2001-05-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-setup-menu): Don't set up menu if it has already been
	available.

	* w3m.el (w3m-setup-menu): Locate W3M menu in the forefront of the
	menubar.
	* w3m-xmas.el (w3m-setup-menu): Ditto.

2001-05-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-mode): Modify doc-string for describe mode, again.

2001-05-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-form.el (top-level): Modify string to 'iso-2022-7bit' for
	set-auto-coding.
	(w3m-form-make-get-string): Guard error in w3m-url-encode-string()
	reported [emacs-w3m:00686].

2001-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history): Run `set-buffer-multibyte' after
	`erase-buffer' is done.

2001-05-07  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-w3m-retrieve): Fixed problem when no-cache is non-nil and
	w3m-content-type returns nil.

2001-05-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-search.el (top-level): Removed magic string to decide coding
	system.

	* w3m-xmas.el (top-level): Ditto.

	* w3m-e21.el (top-level): Ditto.

2001-05-07  Masatake YAMATO  <jet@gyve.org>

	* w3m-xmas.el (w3m-setup-menu): Implemented.

2001-05-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-w3m-attributes): Check validity of contents length, to
	avoid the problem reported in [emacs-w3m:00682].

2001-05-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-bookmark.el (w3m-bookmark-section-history): Revival.
	(w3m-bookmark-title-history): Ditto.

	* w3m.el (w3m-extended-characters-table): Add "\x90" entry.
	(w3m-setup-menu): Move from w3m-e21.el.
	(w3m-mode): Modify doc-string for describe mode.
	(top-level): Add key-bind, w3m-antenna(), w3m-weather() and
	w3m-search().
	(w3m-about-history): Set w3m work buffer as multibyte.

	* w3m-e21.el (w3m-setup-menu): Move to w3m.el.

2001-05-03  Masatake YAMATO  <jet@gyve.org>

	* w3m.el (w3m-mode): Call w3m-setup-menu.

	* w3m-xmas.el (w3m-setup-menu): New stub.

	* w3m-e21.el (w3m-setup-menu): New function.

2001-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history): Replace ">" with "&gt;".

2001-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history): New implementation without recursive
	funcall'ing.
	(w3m-about-history-1): Removed.

2001-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-ftp-url): Don't give a url string to the function
	`file-name-nondirectory'.

2001-04-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history): Enhance the last link.
	(w3m-arrived-p): Return non-nil when url matches
	`w3m-about-history-ignored-regexp'.
	(w3m-arrived-add): Don't put url into an arrived-db when url matches
	`w3m-about-history-ignored-regexp'.
	(w3m-about-history-ignored-regexp): Renamed from
	`w3m-about-history-except-regex'.

	* w3m-hist.el (w3m-history-restore-position): Instruct
	`w3m-history-plist-get' to work with buffer-local properties.
	(w3m-history-store-position): Instruct `w3m-history-add-properties' to
	work with buffer-local properties.
	(w3m-history-remove-properties): Allow the optional arg `local'.
	(w3m-history-add-properties): Ditto.
	(w3m-history-plist-put): Ditto.
	(w3m-history-plist-get): Ditto.
	(w3m-history-copy): Remove buffer-local properties.
	(w3m-history-flat): Made it to have buffer-local properties.

2001-04-24  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-mime-text/html-w3m): Support Mew 1.95b120 or later.

2001-04-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-quit): Clear the echo area just after prompting.
	(w3m-save-list): Format a list by itself instead of the use of pp.

2001-04-24  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-0.2.1-mnc.patch: See [emacs-w3m:00629].

2001-04-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Use `w3m-history-store-position' instead of
	`w3m-arrived-store-position'.
	(w3m-lynx-like-map): Bind `w3m-history-restore-position' instead of
	`w3m-view-previous-point' for the key `C-c C-b'; new key `C-c C-SPC' to
	bind the command `w3m-history-store-position'.
	(w3m-view-previous-point): Removed.
	(w3m-view-next-page): Use `w3m-history-restore-position' instead of
	`w3m-arrived-restore-position'.
	(w3m-view-previous-page): Ditto.
	(w3m-arrived-restore-position): Removed.
	(w3m-arrived-store-position): Removed.

	* w3m-hist.el (w3m-history-add-arrived-db): Don't specify the 2nd arg
	in `w3m-history-push'; specify the 2nd in `w3m-history-backward'.
	(w3m-history-restore-position): New command.
	(w3m-history-store-position): New command.
	(w3m-history-plist-put): Use `w3m-history-modify-properties'.
	(w3m-history-plist-get): Don't specify the 3rd arg in
	`w3m-history-assoc'.
	(w3m-history-push): Allow the optional arg `replace-props'; use
	`w3m-history-modify-properties'.
	(w3m-history-assoc): Allow the optional arg `replace-props'; always
	modify the properties of a history element; use
	`w3m-history-modify-properties'.
	(w3m-history-backward): Allow the optional arg `set-current'; don't
	modify the position pointer of `w3m-history' normally; use
	`w3m-history-save-position'.
	(w3m-history-forward): Ditto.
	(w3m-history-with-element): Don't specify the 3rd arg in
	`w3m-history-assoc'.
	(w3m-history-modify-properties): New macro.
	(w3m-history-save-position): New macro.

2001-04-23  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-xmas.el (w3m-setup-header-line): Check `major-mode' to decide
	whether header line should be set up.

2001-04-23  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-linefeed-type): Change default value.

	* w3m-0.2.1-mnc.patch: Define setmode(fileno(stdout), O_BINARY) if
	win32 or OS/2. Define lrand48() and srand48() used if they don't have.

2001-04-23  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-about-db-history): Set w3m work buffer as multibyte.

2001-04-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-info-like-map): Changed key of `w3m-reload-this-page'.

2001-04-20  Taiki SUGAWARA <taiki.s@cityfujisawa.ne.jp>

	* w3m.el (w3m-expand-file-name-as-url): Use "file:///cygdrive/" instead
	of "/cygdrive/" when `w3m-use-cygdrive' is non-nil.

2001-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-add-arrived-db): New command.

	* w3m.el (w3m-db-history): New command.
	(w3m-about-history, w3m-about-history-1): Don't deactivate "about://*"
	links.
	(w3m-exec): Share a url string between the variable `w3m-current-url'
	and the history structure.
	(w3m-toolbar, w3m-toolbar-buttons): Added history and db-history.

	* icons/db-history-up.xpm: New file.
	* icons/history-up.xpm: New file.

2001-04-20  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-view-source): Don't execute if can't load its source.
	(w3m-view-header): Don't execute if can't load its header. Toggle
	html/header if execute twice.

2001-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Use `set-text-properties' to remove all text
	props from url string.
	(w3m-exec): Use `add-text-properties' instead of `set-text-properties'.
	(w3m-w3m-dump-source, w3m-w3m-dump-head-source): Removed not-used bound
	variable `w3m-w3m-retrieve-length'.
	(w3m-cache-request-contents): Removed not-used bound variables `type'
	and `charset'.
	(w3m-entity-value): Removed not-used bound variable `sym'.
	(w3m-arrived-add): Use `w3m-arrived-add-1'; don't funcall itself
	recursively to get rid of redundancy; don't use `set-text-properties'
	here.
	(w3m-arrived-add-1): New macro.

	* w3mhack.el (XEmacs): Byte-optimize `set-text-properties' to make the
	program run a little bit faster.

2001-04-19  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-use-cygdrive): Change default value.
	(w3m-linefeed-type): New customize variable.
	(w3m-executable-type): Remove variable.
	(w3m-crlf-to-lf): Use 'w3m-linefeed-type' instead of
	'w3m-executable-type'.

2001-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el: Byte-optimize `match-string-no-properties' not to use
	`set-text-properties' under XEmacs.

2001-04-19  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-setup-header-line): Check `major-mode' to decide whether
	header line should be set up.

	* mime-w3m.el (mime-w3m-use-header-line): Removed.
	(mime-w3m-preview-text/html): Canceled last change.

2001-04-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-mode-map): Initialize when source file is loaded.

	* mime-w3m.el (mime-w3m-mode-map): Simplify.

	* mew-w3m.el (TopLevel): Initialization code of `w3m-mode-map' is
	removed.

	* w3m.el, w3m-weather.el, w3m-filter.el, w3m-form.el: Change
	coding-system.

	* mime-w3m.el (mime-w3m-use-header-line): New user option.
	(mime-w3m-preview-text/html): Refer `mime-w3m-use-header-line' to
	control `w3m-use-header-line'.

2001-04-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist: Made the history management system to keep properties of
	each history element to be shared by all the w3m buffers.
	(w3m-history-remove-properties): Share properties.
	(w3m-history-add-properties): Ditto.
	(w3m-history-plist-put): Ditto.
	(w3m-history-copy, w3m-history-copy-1): Ditto.
	(w3m-history-push): Ditto.
	(w3m-history-assoc): Ditto.
	(w3m-history-share-properties): New function.
	(w3m-history-seek-properties): New function.

	(w3m-history-rename-url): Allow the 4th arg `this-buffer'.
	(w3m-history-with-element): Renamed from `w3m-history-with-elements';
	bind only the variable `element' to have a history element of
	`w3m-history-flat'.

2001-04-18  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-setup-header-line): Don't execute the setup-header-line,
	if w3m-current-url is 'nil'.

	* w3m-xmas.el (w3m-setup-header-line): Ditto.

2001-04-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fontify-images): Use `match-string-no-properties' instead
	of `buffer-substring-no-properties'.
	(w3m-parse-attributes): Use `match-string-no-properties' instead of
	`match-string' to remove text properties.

	* w3m-xmas.el: Require `poe' for the function
	`match-string-no-properties'.

2001-04-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-setup-header-line): New function except for Emacs 21 nor
	XEmacs.
	(w3m-header-line-map): New variable except for Emacs 21 nor XEmacs.
	(w3m-fontify-after-hook): Use it for emulating a header-line.
	(w3m-header-line-location-content-face): New face except for Emacs 21.
	(w3m-header-line-location-title-face): Ditto.
	(w3m-use-header-line): Moved from w3m-e21.el.

	* w3m-xmas.el (w3m-setup-header-line): New function.
	(w3m-header-line-map): New variable.

	* w3m-e21.el (w3m-use-header-line): Moved to w3m.el.

2001-04-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* icons/parent-up.xpm: Reduced color depth.
	* icons/parent-disabled.xpm: Renamed from parent-down.xpm.

2001-04-16  Masatake YAMATO  <masata-y@gyve.aist-nara.ac.jp>

	* w3m.el (w3m-toolbar): Added w3m-toolbar-parent-icon.
	(w3m-toolbar-buttons): Added "parent".
	(w3m-parent-page-available-p): New function.

	* icons/parent-up.xpm: New file.
	* icons/parent-down.xpm: New file.

2001-04-16  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-about-history): Set w3m work buffer as multibyte.

2001-04-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history-1, w3m-about-history): Deactivate all
	"about://*" links.

2001-04-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history-1): New internal function.
	(w3m-about-history): Use it.

2001-04-15  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-e21.el (w3m-header-line-location-title-face): New face.
	(w3m-header-line-location-content-face): Ditto.
	(w3m-use-header-line): New user option.
	(w3m-setup-header-line): New function.
	(w3m-mode-hook): Add `w3m-setup-header-line'.

2001-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history): Show a history tree (incompleted).
	(w3m-exec): Put a title string into the history structure.

2001-04-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-about-db-history): Change the format on display.

2001-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el (w3m-icon-directory): Define it as the constant nil to
	avoid byte-compile warnings when compiling.
	* w3m.el (w3m-icon-directory): Undo last change.

2001-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-icon-directory): Hide the actual function name
	`locate-data-directory' for old Emacsen to avoid byte-compile warnings.

	* w3m-om.el (w3m-om-define-missing-widgets): New function.
	(TopLevel): Use it for defining some missing widgets after the library
	wid-edit is loaded.

2001-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-xmas-define-missing-widgets): New function.
	(TopLevel): Use it for defining some missing widgets after the library
	wid-edit is loaded.

	* w3m.el (w3m-track-mouse): Added a description about balloon-help.
	(w3m-make-balloon-help): New macro.
	(w3m-fontify-anchors, w3m-fontify-images): Use it.

2001-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-track-mouse): Default to t.
	(w3m-make-help-echo): New macro.
	(w3m-fontify-anchors, w3m-fontify-images): Use it.

2001-04-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (TopLevel): Set w3m-mode-map if not exec w3m-mode() yet.

2001-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fontify-images, w3m-fontify-anchors): Put a url string to
	each anchor as a `help-echo' property when the value of
	`w3m-track-mouse' is non-nil.
	(w3m-track-mouse): New user option.

2001-04-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-copy-buffer): Use `w3m-history-copy' to make copies of
	`w3m-history' and `w3m-history-flat'.

2001-04-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mime-w3m.el (mime-w3m-mode-map): Refer `w3m-key-binding' to avoid the
	problem reported in [emacs-w3m:00498].

2001-04-10  Keisuke Nishida  <kxn30@po.cwru.edu>

	* w3m-search.el (w3m-search): Find default using thing-at-point.

2001-04-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-about-history): Use `w3m-history-flat' instead of
	`w3m-url-history'.
	(w3m-view-source): Don't bind `w3m-url-yrotsih' nor `w3m-url-history'.
	(w3m-redisplay-with-coding-system): Don't treat `w3m-url-history'.
	(w3m-reload-this-page): Ditto.
	(w3m-view-next-page): Use `w3m-history-forward' instead of
	`w3m-url-yrotsih'.
	(w3m-view-previous-page): Use `w3m-history-backward' instead of
	`w3m-url-history'.
	(w3m-exec): Use `w3m-history-push' instead of `w3m-url-yrotsih' or
	`w3m-url-history'.
	(w3m-toolbar): Use `w3m-history-next-link-available-p' and
	`w3m-history-previous-link-available-p'.
	(w3m-url-yrotsih, w3m-url-history): Removed.
	(TopLevel): Require `w3m-hist'.

2001-04-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-info-like-map): Use `(shift iso-lefttab)' instead of
	`S-iso-lefttab'.
	(w3m-lynx-like-map): Ditto.

	* w3mhack.el (w3mhack-make-package): Add shimbun modules in
	MANIFEST.w3m file.
	(w3mhack-examine-modules): Look for the library "mime-def" instead of
	"mime" to check whether FLIM has been installed or not.
	* Makefile.in (install): Install shimbun modules as well.
	(install-icons): Show subdirectory name.

2001-04-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-key-binding): New user option.
	(w3m-lynx-like-map, w3m-info-like-map): New keymaps.
	(w3m): Refer w3m-key-binding, to decide whether keymap is used.

2001-04-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-edit-current-url): New command.
	(w3m-mode-map): `w3m-edit-current-url' is registered.
	(w3m-save-this-url): Removed.
	(w3m-decode-encoded-buffer): Use `w3m-which-command' in order to find
	appropriate command in Windows.

2001-04-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Makefile.in (default): Depends `Makefile'.
	(Makefile): Removed `--recheck' option in order to re-create itself
	when `Makefile.in' or `config.status' is updated.

2001-04-05  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (top): Define w3m-read-coding-system().
	(w3m-content-type-alist): Change "fiber" to "fiber.exe".
	(w3m-quit): Remove hook if no w3m exist.
	(w3m-arrived-add): Add 'coding-system entry.
	(w3m-arrived-coding-system): New function.
	(w3m-arrived-setup): Handle 'coding-system entry.
	(w3m-arrived-shutdown): Ditto.
	(w3m-goto-url): Handle specified coding-system.
	(w3m-redisplay-with-coding-system): Use w3m-read-coding-system.  If no
	coding-system specify, set 'reset.

	* w3m-om.el (w3m-read-coding-system): New function.

2001-04-04  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-w3m-retrieve): Add 'cs(coding-system)' option.
	(w3m-retrieve): Ditto.
	(w3m-exec): Ditto.
	(w3m-goto-url): Ditto.
	(w3m-decode-buffer): Ditto. If 'cs' specify, decoding use it.
	(w3m-mode-map): Add w3m-redisplay-with-coding-system() at "C".
	(w3m-mode): Change doc string.
	(w3m-redisplay-with-coding-system): New function.

2001-04-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-w3m-attributes): When content type has trailing
	semicolon, make it removed.

	* w3mhack.el (load-path): Add `shimbun' sub-directory.

2001-04-04  Yuuichi Teranishi  <teranisi@gohome.org>

	* Makefile.in (clean): Remove shimbun modules.

	* w3mhack.el (shimbun-module-directory): New constant.
	(w3mhack-examine-modules): Add shimbun modules if mime is installed.

	* w3m.el (w3m-decode-entities): New function.
	(w3m-fontify): Use it.

2001-04-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-print-this-url): New optional argument `add-kill-ring' is
	added.

2001-04-03  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-filter.el: New file.

	* w3m-antenna.el (w3m-antenna-size): Refer decoded buffer as size.

	* w3m.el (TopLevel): Add autoload code of `w3m-filter'.
	(w3m-use-filter): New user option.
	(w3m-retrieve): Call `w3m-filter' when decode.

2001-04-03  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-force-redisplay): New variable, default is 't'.
	(w3m-toggle-inline-images): If w3m-force-redisplay is nil, don't
	redraw.
	(w3m-goto-url): Ditto.
	(w3m-region): Ditto.

	* mew-w3m.el (mew-mime-text/html-w3m): Bind w3m-force-redisplay to
	'nil'.
	(w3m-mew-support-cid): New variable.
	(mew-w3m-cid-retrieve): Use mew-syntax-get-entry-by-cid(), Tnx, Kazu
	Yamamoto <kazu@mew.org>.

2001-04-03  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-process-message): Removed.
	(w3m-exec-process): Clean up.
	(w3m-w3m-dump-head-source): Removed code which refers
	`w3m-process-message'.
	(w3m-w3m-dump-source): Ditto.
	(w3m-parse-attributes): Remove leading and trailing white space in
	CDATA attribute values.

2001-04-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-copy): Make a copy of `w3m-history-flat'
	using `w3m-history-flat' instead of `w3m-history-copy-1'.

2001-04-02  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Makefile.in (DISTS): Removed `Makefile'.

2001-04-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-backward, w3m-history-forward): Simplified.

2001-04-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-backward, w3m-history-forward): Allow the
	optional argument `count'.
	(w3m-history-backward-1, w3m-history-forward-1): New macros.

2001-04-02  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-0.2.1-mnc.patch: Apply patch posted in [w3m-dev 01887].

	* w3m.el (w3m-w3m-dump-head-source): Follow change in MNC patch.
	(w3m-w3m-attributes): Ditto.

2001-04-02  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-crlf-to-lf): New function.
	(w3m-w3m-dump-head-source): Do crlf-to-lf when executable-type eq
	'cygwin.
	(w3m-w3m-dump-source): All time do crlf-to-lf function when
	executable-type eq 'cygwin.

2001-04-02  Taiki SUGAWARA <taiki.s@cityfujisawa.ne.jp>

	* w3m.el (w3m-exec-process): Guard the process from some errors.
	(w3m-copy-buffer): Restore view point with new window to the point in
	original window.

2001-04-02  Hiroya Murata  <hiroya@use-ebisu.co.jp>

	* Makefile.in (Makefile): Depends on config.status instead of
	configure.
	(config.status): New rule.

2001-04-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_PATH_ICONDIR): Quote "$(data-directory)" in help-
	string.

2001-04-02  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-html-string-regexp): Make no exception of back-quote.
	(w3m-parse-attributes): Follow up above change.

2001-03-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-home-page): Default value is changed.
	(w3m-html-string-regexp): Support single quoted string.
	(w3m-parse-attributes): Import from w3m-form.el.
	(w3m-fontify-anchors): Fix bug reported in [emacs-w3m:00400].
	(w3m-external-view): Fix.
	(w3m-goto-url): Default argument is changed when it is interactively
	called.
	(w3m-browse-url): Fix.
	(w3m-about): Update.
	(w3m-about-history-except-regex): Add `about:'.

	* w3m-form.el: (w3m-parse-attributes): Exported.

	* mime-w3m.el (mime-w3m-save-background-color): Changed
	`edebug-form-spec'.

	* Makefile.in (dist): Improved.
	(Makefile, configure): New rules.
	(ECC, MODULES): Removed macros.

2001-03-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-with-elements): New macro.
	(w3m-history-rename-url): Use it.
	(w3m-history-remove-properties): Use it.
	(w3m-history-add-properties): Use it.
	(w3m-history-plist-put): Use it.

2001-03-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-rename-url): New function.
	(w3m-history-remove-properties): New function.
	(w3m-history-add-properties): New function.
	(w3m-history-plist-put): New function.
	(w3m-history-plist-get): New function.
	(w3m-history-assoc): Return a history element of `w3m-history-flat'
	instead of `w3m-history'.

2001-03-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-w3m-attributes): Fixed spec of return value when response
	code is greater than 500.

2001-03-29  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Fix bugs in caching deflated contents.
	(w3m-attributes): Fixed spec of return value when `about:' is
	specified.
	(w3m-cache-available-p): Removed.
	(w3m-w3m-dump-head-source): Reconstructed.
	(w3m-w3m-dump-source): New function.
	(w3m-w3m-retrieve): Use `w3m-w3m-dump-head-source' or
	`w3m-w3m-dump-source'.
	(w3m-real-url): Fix side effect of macro expansion.

	* w3m-0.2.1-mnc.patch: New file.

2001-03-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (default): Replace with `fast'.
	(install): Undo the last change.
	(.el.elc, .SUFFIXES, install-anyway): Removed.
	(fast-install-package, fast-install, fast): Removed.

	* w3m-hist.el (w3m-hist): Provide as a feature.
	(w3m-history-copy, w3m-history-copy-1): New functions.
	(w3m-history-push): Handle the variable `w3m-history-flat' as well as
	`w3m-history'.
	(w3m-history-assoc): Ditto.
	(w3m-history-flat function): Set the value of the variable
	`w3m-history-flat'.
	(w3m-history-flat variable): New buffer-local variable.
	(The whole module): Replace the term ATTRIBUTES with PROPERTIES;
	replace the symbol name of the variable `w3m-url-history' with
	`w3m-history'.

2001-03-29  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-real-url): Return original url when real url is nil.

	* w3m-antenna.el (w3m-antenna-sites): Add 'time' type.
	(w3m-antenna-alist): Modify comment.
	(w3m-antenna-hns-last-modified): Don't use old 'Last-Modified:' format.
	(w3m-antenna-last-modified): Use w3m-last-modified() when can not get
	'diary/di.cgi'.
	(w3m-antenna-check-sites): Push current-time() if (nth 6 pre) is nil.

2001-03-29  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Support deflated contents and redirected URLs.
	(w3m-decoder-alist, w3m-mnc): New variable.
	(w3m-encoding-alist): New constant.
	(w3m-attributes, w3m-w3m-attributes, w3m-local-attributes): Spec of
	return value is changed.
	(w3m-content-charset, w3m-content-encoding, w3m-real-url): New macro.
	(w3m-cache-available-p): New function.
	(w3m-decode-encoded-buffer): Ditto.
	(w3m-decode-buffer): Changed arguments spec.  Call
	`w3m-decode-encoded-buffer' to process encoded contents.
	(w3m-w3m-dump-head-source): New function.
	(w3m-w3m-retrieve): Call `w3m-w3m-dump-head-source' when `w3m-mnc' is
	non-nil value.  Follow change of `w3m-decode-buffer'.
	(w3m-exec): Call `w3m-real-url' to process redirected URLs.
	(w3m-sub-list): When N is nil, no elements in LIST should be deleted.
	(w3m-save-list): Preserve file permission when file is overwritten.

2001-03-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-compile): New function.

	* Makefile.in (fast-install-package, fast-install, fast): New rules.
	(install-package): Make it to be more talkative.
	(install-anyway): New rule separated from `install'.
	(install): Use `install-anyway'.

	* w3m-hist.el (w3m-history-push): Rewrite for following the change of
	`w3m-url-history'.
	(w3m-history-assoc): Ditto.
	(w3m-history-backward): Ditto.
	(w3m-history-forward): Ditto.
	(w3m-history-current): Ditto.
	(w3m-history-current-1): New macro.
	(w3m-history-next-link-available-p): New function.
	(w3m-history-previous-link-available-p): New function.
	(w3m-url-history): Make it to have the previous and the next position
	pointers.

2001-03-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-push): New function.

2001-03-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-url-history): Define it here.
	(w3m-history-assoc, w3m-history-flat, w3m-history-backward): New
	functions.

2001-03-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-forward): New function.

2001-03-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-goto-url): Put cursor at the top of minibuffer.

2001-03-23  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-w3m-attributes): Don't check "OK" string in Status-Line.

2001-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-time-parse-string the 2nd): Don't funcall
	`parse-time-string' directly for avoiding compile warning.

	* w3m-hist.el (w3m-history-current): New function.

2001-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el: New file.

2001-03-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-time-parse-string): Fix condition to detect timezone.el
	includes bug.

	* w3m-time.el: Removed.

	* w3m.el (TopLevel): Require `timezone' instead of `w3m-time'.
	(w3m-time-parse-string): Use `timezone-fix-time' and spec of return
	value is changed.
	(w3m-time-newer-p): Imported.

	* w3m-antenna.el (w3m-antenna-hns-last-modified): Follow change of
	`w3m-time-parse-string'.

2001-03-23  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* README, README.ja: Update for w3m-0.2.1.

	* Makefile.in (dist, tarball): Fix that some files are not included in
	package.

2001-03-22  Keisuke Nishida  <kxn30@po.cwru.edu>

	* w3m.el (w3m-goto-url): Insert the current url for input by default.

2001-03-22  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-xmas.el (w3m-update-toolbar): New function.
	(w3m-setup-toolbar): Added docstring.

	* w3m.el (w3m-goto-url): Call `w3m-update-toolbar'.
	(toplevel): Define `w3m-update-toolbar' if it is not bound as function.

2001-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-w3m-attributes): Ignore errors while parsing a
	time-string.

2001-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Moved generic macros and defsubsts in front of functions.
	(w3m-content-encoding, w3m-content-charset): Commented out.
	* w3m-form.el (w3m-parse-attributes): Moved from w3m.el.

2001-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Make `w3m-fontify-forms' and `w3m-form-parse-region' to be
	always autoloaded; encolose the defining procedures for the unbound
	functions with `eval-and-compile'.
	(browse-url-interactive-arg): Bind it only at the compile-time as an
	autoload'ed function.
	* w3m-xmas.el: Provide `w3m-xmas' and then require `w3m'.
	* w3m-om.el: Provide `w3m-om' and then require `w3m'.
	* w3m-form.el: Require `w3m'.
	* w3m-e21.el: Provide `w3m-e21' and then require `w3m'.

2001-03-22  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-antenna.el: All occurrence of `natsumikan' is replaced with
	`natsumican'.

2001-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (coding-system-category): Don't define it for the Emacs
	variants.
	* w3m-om.el (coding-system-category): Defalias to `get-code-mnemonic'.
	* w3m-xmas.el (coding-system-category): Defalias to
	`coding-system-type' if it is not bound.

	* w3mhack.el (w3mhack-version): Don't require `w3m' in the top level,
	do it here instead.

2001-03-22  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-save-list): Use 'pp' if have pp().  Bind 'print-length'
	and 'print-level' to nil.

2001-03-22  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Structure of hash database of arrived urls is changed.
	(w3m-arrived-setup): Follow change of DB structure.
	(w3m-arrived-shutdown): Likewise.
	(w3m-arrived-add): Likewise, and argument spec is changed.
	(w3m-arrived-time): New function.
	(w3m-arrived-seq, w3m-arrived-put-title, w3m-arrived-arrived-time,
	w3m-arrived-put-arrived-time): Removed.
	(w3m-goto-url): Follow change of `w3m-arrived-add'.

2001-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Refresh the visibility of toolbar when XEmacs
	is running.

2001-03-22  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-url-to-file-name): Fix bug reported in [emacs-w3m:00305].
	(w3m-goto-url): Set the value interpreted as a directory to
	`default-directory'.

2001-03-21  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-about-db-history): Use w3m-arrived-arrived-time().
	(w3m-goto-url): Put arrived time to w3m-arrived-db.
	(w3m-arrived-shutdown): Handling 'arrived-time in w3m-arrived-db.
	(w3m-arrived-setup): Ditto.
	(w3m-arrived-put-title): New function.
	(w3m-arrived-arrived-time): Ditto.

2001-03-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-arrived-shutdown): Check sites which are arrived on the
	other emacs process.

2001-03-21  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-input-url): 'nil' don't add candidates.

2001-03-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-antenna.el (w3m-antenna-make-summary-function): Default value is
	changed.
	(w3m-antenna-make-summary-like-natsumikan): New function.

	* w3m.el (w3m-about-db-history-sort-time): Removed.
	(w3m-about-db-history): Use `w3m-time-newer-p' instead of
	`w3m-about-db-history-sort-time'.

2001-03-20  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-about-history-except-regex): New constant.
	(w3m-about-db-history): New function.
	(w3m-about-db-history-sort-time): Ditto.
	(w3m-about-history): If 'titile' is '<no-title>', show 'URL' instead of
	'title'. Use w3m-about-history-except-regex.
	(w3m-history): If exec with 'C-u', goto 'about://db-history/'.
	(w3m-w3m-attributes): Adhoc implementation when server return 'HTTP/1.x
	500x'.

2001-03-19  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Format of arrived URL database is changed in order to store
	page's title.
	(w3m-arrived-title, w3m-arrived-put-title): New function.
	(w3m-arrived-setup, w3m-arrived-shutdown): Follow format change.
	(w3m-about-history): Use page's title to make history contents.

2001-03-19  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-url-to-file-name): Fix 'file:///c/xxxx' format in
	Windows.
	(w3m-expand-file-name-as-url): Use 'file:///c|/xxxx' format if
	non-cygwin Windows.
	(w3m-about-history): Uniq history. Insert exposition of html.

2001-03-19  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-url-to-file-name): Fix (Cf. RFC-1808).
	(w3m-expand-file-name-as-url): Ditto.
	(w3m-url-local-p): New function.
	(w3m-goto-url): Set `default-directory' when URL points a local file.
	(w3m-find-file): Use `w3m-goto-url'.
	(w3m-w32-browser-with-fiber): Use `w3m-url-to-file-name'.

2001-03-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-make-package): Fixed entries of autoloads and
	cus-load, and added ChangeLog in the file MANIFEST.w3m.

	* aclocal.m4 (AC_CHECK_EMACS): Added the option `--with-xemacs'.

2001-03-19  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-download): Bind `file-coding-system' to binary.
	(w3m-content-type-alist): Fix.

2001-03-18  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-antenna.el (w3m-antenna): Optional argument, `no-cache' is added.

2001-03-18  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-goto-url): Switch to buffer of w3m, certainty.
	(w3m): Ditto.

2001-03-17  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-halfdump-command-arguments): Rename from
	'w3m-command-arguments'.
	(w3m-command-arguments): New customize variable.
	(w3m-exec-process): Add w3m-command-arguments to args when w3m execute.
	(w3m-rendering-region): Use w3m-halfdump-command-arguments when w3m
	execute.
	(w3m-fontify-anchors): Put w3m-name-anchor certainty.

2001-03-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-antenna.el: Changed antenna database format.
	(w3m-antenna-site-key, w3m-antenna-site-title, w3m-antenna-site-class,
	w3m-antenna-site-url, w3m-antenna-site-last-modified,
	w3m-antenna-site-size, w3m-antenna-site-size-detected): New macros.
	(w3m-antenna-setup): Follow change of database format.
	(w3m-antenna-check-sites): New function.
	(w3m-antenna-make-summary, w3m-antenna-sort-sites-by-time,
	w3m-antenna-sort-sites-by-title): Use macros to refer database.
	(w3m-about-antenna): Use w3m-antenna-check-sites.

	* w3m.el (w3m-about-history): Don't print "about://antenna/".

2001-03-17  Yuuichi Teranishi  <teranisi@gohome.org>

	* icons/antenna-up.xpm: New file.

	* w3m.el (w3m-toolbar-buttons): Added "antenna".
	(w3m-toolbar): Ditto; Fixed behavior of `home'.

2001-03-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el, w3m-antenna.el: Fix typo.

2001-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-make-package): Remove autoloads and cus-load
	files before generating.

	* w3m.el (w3m): Added autoload cookie.
	(w3m-icon-directory): Attempt to set the default value using the way of
	Wanderlust.

2001-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* README: Update for `install-package' and `install-icons'.
	* README.ja: Ditto.

	* w3mhack.el (w3mhack-make-package): New function.
	(w3mhack-examine-modules): Ignore auto-save files.

	* mkinstalldirs: New file.

	* configure.in: Call `AC_PATH_PACKAGEDIR'.

	* aclocal.m4 (AC_PATH_PACKAGEDIR): New function.
	(AC_EXAMINE_PACKAGEDIR): New function.
	(AC_CHECK_EMACS_FLAVOR): Merged into `AC_CHECK_EMACS'.

	* Makefile.in (install-package): New rule.
	(install-icons, install): Exec mkinstalldirs.
	(SHELL, PACKAGEDIR): New variable.

2001-03-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-goto-url): Force switch to '*w3m*' buffer.
	(w3m-view-source): Don't add current-url to w3m-url-history|yrotsih.

	* mew-w3m.el (mew-w3m-cid-retrieve): Change mime-part handling.

2001-03-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-antenna.el (w3m-antenna-sort-function): Removed.
	(w3m-antenna-sort-changed-sites-function): New variable.
	(w3m-antenna-sort-unchanged-sites-function): Ditto.
	(w3m-antenna-sort-sites-by-time): Refer time, when size modification
	detected.
	(w3m-about-antenna): Use new variables.

2001-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-time.el (w3m-time-rules): Don't use backquote.
	(w3m-time-zoneinfo): Ditto.
	(w3m-time-parse-integer): Ditto.

2001-03-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (TopLevel): Require `w3m-time'.
	(w3m-w3m-attributes): Use `w3m-time-parse-string' instead of
	`parse-time-string'.

	* w3m-time.el: Import parse-time.el of T-gnus and rename it.

	* w3m-antenna.el: Use `w3m-time-parse-string' instead of
	`parse-time-string'.

2001-03-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-e21.el (w3m-create-image): Changed arguments spec, that
	`accept-type-regexp' is removed.

	* w3m-xmas.el (w3m-create-image): Ditto.

2001-03-16  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Arrived URL database format is changed and code to get
	headers and to retrieve contents is cleaned up.
	(w3m-attributes, w3m-local-attributes): New function.
	(w3m-w3m-attributes): Old name is `w3m-w3m-check-header'.
	(w3m-content-type): Use `w3m-attributes'.
	(w3m-content-charset, w3m-content-length, w3m-content-encoding,
	w3m-last-modified): New macro.
	(w3m-retrieve, w3m-local-retrieve): Changed arguments spec, that
	`accept-type-regexp' is removed.
	(w3m-w3m-retrieve): Likewise and call `w3m-w3m-attributes' instead of
	`w3m-w3m-check-header'.
	(w3m-exec): Follow change of arguments spec of `w3m-retrieve'.
	(w3m-about-source, w3m-about-header): Changed arguments spec that
	`accept-type-regexp' is removed and follow change of arguments spec of
	w3m-retrieve.
	(w3m-arrived-last-modified): New function.
	(w3m-arrived-add): Support optional argument `time' and follow change
	of database format.
	(w3m-arrived-setup, w3m-arrived-shutdown, w3m-arrived-store-position,
	w3m-arrived-restore-position): Follow change of database format.
	(w3m-with-work-buffer, w3m-parse-attributes): Changed
	`edebug-form-spec', see [emacs-w3m:00238].
	(TopLevel): Add autoload codes for `w3m-antenna.el'.

	* w3m-antenna.el: New file.

	* mime-w3m.el (mime-w3m-cid-retrieve): Changed arguments spec, that
	`accept-type-regexp' is removed.

	* mew-w3m.el (mew-w3m-cid-retrieve): Ditto.

2001-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (install-icons): New rule.
	(ICONDIR): New variable.

	* aclocal.m4 (AC_PATH_ICONDIR): New function.
	* configure.in: Call it.

2001-03-16  Yuuichi Teranishi  <teranisi@gohome.org>

	* icons: New directory (Some toolbar icons are contained).

2001-03-16  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-view-source): Render as html if already display source.

2001-03-15  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-icon-directory): New variable.
	(w3m-toolbar-buttons): New constant.
	(w3m-toolbar): Ditto.
	(w3m-setup-toolbar): Define as null function.
	(w3m-mode): Call `w3m-setup-toolbar'.

	* w3m-xmas.el (w3m-use-toolbar): New variable.
	(w3m-xmas-make-toolbar-buttons): New function.
	(w3m-setup-toolbar): Ditto.

	* w3m-e21.el (w3m-use-toolbar): New variable.
	(w3m-e21-toolbar-configurations): Ditto.
	(w3m-e21-setup-toolbar): New function.
	(w3m-e21-make-toolbar-buttons): Ditto.
	(w3m-setup-toolbar): Ditto.

2001-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (XEmacs): Implemented the source level optimizer for `let'
	or `let*' form to remove some obsolete variables.

2001-03-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* README, README.ja: Update procedure of package installation.

	* w3m.el (w3m-hook): Removed.
	(w3m-goto-mailto-url): Old name is `w3m-mailto-url'.
	(w3m-goto-ftp-url): Old name is `w3m-exec-ftp'.
	(w3m-convert-ftp-url-for-emacsen): Old name is
	`w3m-convert-ftp-to-emacsen'.
	(w3m-exec): Removed code for ftp protocol.
	(w3m-alive-p): Change spec of return value when w3m is alive.
	(w3m-goto-url): Made this function safe when it is called at the buffer
	whose major mode is not equal to w3m-mode.
	(w3m): If it is interactively called when w3m is alive, it is simply
	select the appropriate buffer in the current window without asking url.
	(w3m-view-parent-page, w3m-browse-url, w3m-view-source, w3m-history):
	Use `w3m-goto-url' instead of `w3m'.
	(w3m-mode-map): Replace `w3m' with `w3m-goto-url'.

2001-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (MULE): Make `locate-library' run quietly; bind
	defcustom'ed variables at compile-time; require `w3m' after
	byte-optimizations are done.

	* w3m.el (w3m-static-cond): New macro; use it for defining
	`find-coding-system'.
	(w3m-url-encode-string): Use `append' instead of `string-to-list' to
	coerce a string to a list of chars.
	(w3m-entity-regexp): Don't funcall `regexp-opt' directly for avoiding
	compile warning.

2001-03-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-exec-process): Add `delete-process' to clean up resources
	of child process.

2001-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (default): Report errors if it has occurred while
	examining modules.

	* w3m.el: Add autoload for `w3m-remove-image' when compiling.
	(w3m-charset-coding-system-alist): Use `coding-system-p' if the
	function `find-coding-system' is not bound.

	* w3mhack.el: Use `require' instead of `load' for loading "w3m" to
	avoid undesirable newlines in stdout.

2001-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el: Require `wid-edit' when the widget `coding-system' is
	not available.

	* mime-w3m.el: Add autoload for `font-set-face-background' since it is
	not auto-autoload'ed in XEmacs.

	* w3mhack.el: Require `bytecomp'; make XEmacs don't warn for unused
	non-global variables.

2001-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Bind colon keywords only if it is not available.
	(rfc2368-parse-mailto-url):
	(w3m-form-parse-region):
	(w3m-fontify-forms): Bind them only at the compile-time as autoload'ed
	functions to avoid byte-compile warnings.

	* w3mhack.el: Byte optimize `truncate-string' for replacing with
	`truncate-string-to-width' if it is bound.

	* mew-w3m.el (mew-w3m-minor-mode-setter): Defun it after defining some
	variables.

2001-03-15  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Makefile.in (default): Add `-k' option to continue byte-compile as
	much as possible after an error.

2001-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (default): Don't use `for' loop.
	* w3mhack.el (w3mhack-examine-modules): Use space instead of newline
	for the module names separator.

2001-03-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Removed functions and variables of bookmark.
	* w3m-bookmark.el: New file.
	* Makefile.in: Clean up rules and removed GNU-make depended functions.
	* w3mhack.el (TopLevel): Load w3m.el.
	(w3mhack-version): New function.
	* .cvsignore: Add files generated by autoconf.

2001-03-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-examine-modules): Renamed from
	`w3mhack-examine-additional-modules'.
	* Makefile.in: Ditto.

2001-03-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in, aclocal.m4, configure.in, install-sh, w3mhack.el: New
	files.
	* Makefile: Removed.

2001-03-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Split file.

	* w3m-form.el: New file.

2001-03-14  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m-xmas.el (w3m-insert-image): Don't use current cursor point to
	make a new extent.

	* w3m.el (w3m-region): Call `sit-for' to redisplay before image
	display.
	(w3m-goto-url): Ditto.
	(w3m-exec-process): Use `sleep-for' instead of `sit-for'.
	(w3m-toggle-inline-images): Set cursor point before image insertion.
	(w3m-goto-url): Set cursor point before redisplay.

2001-03-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-read-passwd): Removed.
	(w3m-exec-filter): Use `read-passwd' instead of `w3m-read-passwd'.

	* w3m-om.el (read-passwd): Added.

2001-03-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-om.el: Rewrite to insert "-" into the name of eol-type variants
	of each newly generated coding-system.

2001-03-14  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Split files.
	(w3m-coding-system): Changed customize type.
	(w3m-input-coding-system): Ditto.
	(w3m-output-coding-system): Ditto.
	(w3m-bookmark-file-coding-system): Ditto.
	(w3m-url-encode-string): Removed redundant code for Mule-2.

	* w3m-e21.el: New file.

	* w3m-xmas.el: New file.

	* w3m-om.el: New file.

	* w3m-search.el (w3m-search-default-coding-system): Changed customize
	type.
	(w3m-search-engine-alist): Ditto.

	* w3m-weather.el: Fix comments.

2001-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Use the copy of info-vector for newly generated coding-
	systems; use `eval-when-compile' separately from "cl" for loading
	"cl-macs".

2001-03-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Split files.
	* w3m-search.el: New file.
	* w3m-weather.el: New file.

2001-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-rendering-region): Make no exceptions of Mule 2 in
	coding-systems.
	(w3m-download): Ditto.
	(w3m-local-retrieve): Ditto.
	(w3m-exec-process): Ditto.
	(w3m-arrived-file-coding-system): Unified the default value to
	`euc-japan'.
	(w3m-bookmark-file-coding-system): Ditto.
	(w3m-default-url-coding-system): Ditto.
	(w3m-output-coding-system): Ditto.
	(w3m-coding-system): Ditto.
	(w3m-input-coding-system): Unified the default value to `iso-2022-jp'.
	(TopLevel): Generate some coding-systems by copying for Mule 2.
	(TopLevel): Load "cl-macs" if the macro `dolist' has been defined
	incorrectly.

2001-03-13  Masatake YAMATO  <jet@gyve.org>

	* w3m.el (w3m-url-yrotsih): New variable.
	(w3m-view-previous-page): Set w3m-url-yrotsih.  Use while/cdr instead
	of nthcdr.
	(w3m-view-next-page): New function.
	(w3m-mode-map): Bind w3m-view-next-page.
	(w3m-mode): Added w3m-view-next-page and w3m-view-parent-page to the
	function document.
	(w3m-reload-this-page): Guard w3m-url-yrotsih from resetting.
	(w3m-exec): Reset yrotsih.

2001-03-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-content-type-alist): [UNIX] Change method for text/html
	type.

2001-03-13  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>,
	    TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Require `poem' when Mule 2.3 is running.  Bind keywods
	`:case-ignore' and `:integer' for Mule 2.3.
	(coding-system-category): New alias when Mule 2.3 is running.
	(w3m-arrived-file-coding-system): Fix typo.
	(w3m-entity-alist): Fix for Mule 2.3.
	(w3m-form-method, w3m-form-action, w3m-form-plist, w3m-form-put,
	w3m-form-get): Convert to old style of macro definition.
	(w3m-fontify): Removed code to decode w3m-specific characters.
	(w3m-decode-extended-characters): New function.
	(w3m-rendering-region): Use an unibyte temporary buffer and call
	`w3m-decode-extended-characters'.

2001-03-13  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-exec-process): Return process exit status.
	(w3m-w3m-get-header): Check the return value of w3m-exec-process.
	(w3m-w3m-check-header): Check the return value of w3m-w3m-get-header.

2001-03-13  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-exec-process): Check exit status and cause an error if it
	is not zero.

2001-03-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-executable-type): Use (eq system-type 'windows-nt) for
	determination of win32.
	(w3m-content-type-alist): Ditto.

2001-03-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-which-command): Support executable suffix, `.exe' for
	win32.

2001-03-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-content-type-alist): Add 'use fiber.exe' alist for
	Windows.
	(w3m-w32-browser-with-fiber): New funciton.

2001-03-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-which-command): New function.
	(w3m-external-view): When no viewing method is defined, call
	`w3m-download' as alternative method.  Added check which command exists
	with `w3m-which-command'.

2001-03-12  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-display-inline-image-status): Define as buffer local
	variable.
	(w3m-image-type): New function.
	(w3m-image-type-available-p): Ditto.
	(w3m-create-image): Check image type by `w3m-image-type-available-p'.
	(w3m-exec): Accept all content-types in `w3m-retrieve'; Make an image
	only page, if the image can be displayed inline; Call
	`w3m-external-view' if the content-type of retrieved content is not
	text nor image.

2001-03-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-view-parent-page): Add a postfix '/' to parent-url.

2001-03-12  Takaaki MORIYAMA  <taka@airlab.cs.ritsumei.ac.jp>

	* w3m.el (w3m-extended-charcters-table): Add '\x80'.

2001-03-12  Masatake YAMATO  <masata-y@is.aist-nara.ac.jp>

	* w3m.el (w3m-view-parent-page): New command.
	(w3m-mode-map): Add `w3m-view-parent-page'.

2001-03-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mime-w3m.el (mime-w3m-message-structure): Make variable buffer local
	at top leve.

2001-03-10  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-entity-alist): Eval at compile time.; Add character
	entity references for ISO 8859-1 characters.

2001-03-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-entity-regexp): New constant.
	(w3m-fontify): Use `w3m-entity-regexp'.
	(w3m-entity-value): Use defsubst, and fix typo.
	(w3m-decode-anchor-string): New function.
	(w3m-fontify-anchors): Decode `&amp;' exists in URL string.

2001-03-09  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-create-image) [EMACS21,XEMACS]: Guard against error.

	* mew-w3m.el (mew-w3m-auto-insert-image): New variable.
	(mew-mime-text/html-w3m): Bind 'w3m-display-inline-image' with
	'mew-w3m-auto-insert-image'.
	(mew-w3m-cid-retrieve): New function. Fix wrong guess.

2001-03-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-mode-map): Add `w3m-close-window', `w3m-view-source',
	`w3m-view-header', and `w3m-history'.  Keybind of `w3m-quit' is
	changed.
	(w3m-close-window, w3m-about-source, w3m-view-source, w3m-about-header,
	w3m-view-header, w3m-about-history, w3m-history): New functions.

	* mime-w3m.el (mime-put-keymap-region): Removed.
	(mime-w3m-save-background-color): Old name is
	`mime-save-background-color'.
	(mime-w3m-mode-map): Add workaround for `w3m-close-window',
	`w3m-view-source', `w3m-view-header', and `w3m-history'.

2001-03-09  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-cid-retrieve-function-alist): New variable.
	(w3m-retrieve): Add support for URLs which has `cid:' prefix.

	* mime-w3m.el: Always require `w3m'.  Require `cl' when compiling.  Set
	`w3m-cid-retrieve-function-alist'.
	(mime-w3m-message-structure): New variable.
	(mime-w3m-preview-text/html): Set `mime-w3m-message-structure'.
	(mime-w3m-cid-retrieve): New function.

2001-03-09  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-toggle-inline-images): Eliminated needless local
	variable.
	(toplevel): Encloses old emacs judgement with eval-and-compile; Define
	`find-coding-system' using `w3m-static-if'.

2001-03-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: All w3m-backlog-* symbols are renamed into w3m-cache-*, and
	coupling of retrieve module and cache module are cleand up.
	(w3m-keep-cache-size): Old name is `w3m-keep-backlog'.
	(w3m-cache-buffer, w3m-cache-articles, w3m-cache-hashtb,
	w3m-cache-setup, w3m-cache-shutdown, w3m-cache-contents,
	w3m-cache-request-contents): These symbols are renamed.
	(w3m-cache-header, w3m-cache-request-header): New function.
	(w3m-work-buffer-list): New variable.
	(w3m-get-buffer-create): New function.
	(w3m-with-work-buffer): New macro.
	(w3m-kill-all-buffer): New function.
	(w3m-create-image, w3m-local-retrieve): Use `w3m-with-work-buffer'
	instead of `with-current-buffer'.
	(w3m-arrived-setup): Set `w3m-input-url-history' when its value is nil.
	(w3m-arrived-shutdown): More strict error check.  This function is
	added to `kill-emacs-hook'.
	(w3m-w3m-get-header): New function.
	(w3m-w3m-check-header): Use `w3m-w3m-get-header'.
	(w3m-w3m-retrieve): Clean up code.
	(w3m-download, w3m-exec): More strict error check.
	(w3m-content-type): New optional argument `no-cache' is added.
	(w3m-alive-p): New function.
	(w3m-quit): Use `w3m-alive-p'.

2001-03-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-local-retrieve): Bind 'auto conversion variables' to nil
	when insert file with binary .

2001-03-08  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-insert-image): Eliminated needless local variable.
	(w3m-remove-image) [XEmacs]: Remove images at `end' too.
	(w3m-fontify-images): Set `w3m-image-redundant' property if "img_alt"
	string is upper case.
	(w3m-toggle-inline-images): Fixed docstring; Insert and remove dummy
	string if alt string has `w3m-image-redundant' property.

2001-03-08  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-fontify): Allow '_' char for element name.

2001-03-08  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-display-inline-image-status): New variable.
	(w3m-image-type-alist): Define as constant.
	(w3m-anchor): Moved position.
	(w3m-image): Ditto.
	(w3m-action): Ditto.
	(w3m-create-image): Added argument `no-cache'.
	(w3m-remove-image): New function.
	(w3m-fontify-images): Don't display inline image here.
	(w3m-toggle-inline-images): New function.
	(w3m-mode-map): Bind 't' to `w3m-toggle-inline-images'.
	(w3m-goto-url): Call `w3m-toggle-inline-images'; Set
	`w3m-display-inline-image-status'.
	(w3m-region): Ditto.

2001-03-08  Akihiro Arisawa  <ari@mbf.sphere.ne.jp>

	* mime-w3m.el (mime-w3m-preview-text/html): Use
	`mime-entity-fetch-field' instead of `mime-w3m-get-xref'.
	(mime-w3m-get-xref): Removed.

2001-03-07  Keisuke Nishida  <kxn30@po.cwru.edu>

	* w3m.el (w3m-search-engine-alist): Added "rpmfind".
	(w3m-fontify-anchors): Treat single quotes (') as quotation marks.

2001-03-08  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Backlog module is separated from front-end functions and code
	to access the list of arrived URLs is put in order.
	(w3m-arrived-file): Renamed from `w3m-arrived-urls-file'.
	(w3m-arrived-anchor-list): Removed variable.
	(w3m-arrived-list-load, w3m-arrived-list-save, w3m-arrived-list-add,
	w3m-save-position, w3m-restore-position): Removed functions.
	(w3m-arrived-db-size): New constant.
	(w3m-arrived-db, w3m-arrived-seq): New variables.
	(w3m-arrived-p, w3m-arrived-add, w3m-arrived-setup,
	w3m-arrived-shutdown, w3m-arrived-store-position,
	w3m-arrived-restore-position): New functions.
	(w3m-input-url): Follow changes.
	(w3m-view-previous-page): Ditto.
	(w3m-view-previous-point): Ditto.
	(w3m-quit): Ditto.
	(w3m-goto-url): Ditto.
	(w3m-create-image): Clean up codes.

2001-03-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-view-current-url-with-external-browser): Fix typo when
	browse current URL.

2001-03-07  Yuuichi Teranishi  <teranisi@gohome.org>

	* w3m.el (w3m-create-image) [XEmacs]: Retrieve header to determine
	image type when `w3m-local-content-type' failed.

2001-03-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-arrived-file-coding-system): Default value is changed to
	avoid unknown coding system error on XEmacs.
	(w3m-input-url): Changed for old style `completing-read'.

2001-03-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-download): Bind 'auto conversion variables' to nil.
	(w3m-w3m-check-header): Fix search 'HTTP/1.[01] 200' method.
	(inline-image-features): Patch from Yuuichi Teranishi san
	<teranisi@gohome.org> at [emacs-w3m:00103].

2001-03-07  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mime-w3m.el: Renamed mime-w3m-preview-text/html from
	w3m-mime-preview-text/html.  Check of user setting is required.
	(mime-w3m-mode-map): New variable.
	(mime-w3m-get-xref): New function.
	(mime-w3m-view-this-url): Ditto.
	(mime-w3m-mouse-view-this-url): Ditto.
	(mime-w3m-preview-text/html): Use `mime-w3m-mode-map' insted of
	`w3m-mode-map'.  Refer Xref: header to set `w3m-current-url'.
	(mime-put-keymap-region): Define with `defmacro' instead of
	`defmacro-maybe'.
	(mime-save-background-color): Ditto.

	* w3m.el (w3m-exec-filter): Improved code to process prompt string.

2001-03-06  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-exec-filter): Delete Prompt string with process output
	buffer.
	(w3m-w3m-check-header): Check 'HTTP/1.[01] 200' for valid
	'content-length'.
	(w3m-w3m-retrieve): Cygwin binary data support. Remove Prompt handling.

2001-03-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (emacs-w3m-version): New constant.
	(find-coding-system): Removed duplicated definition.
	(w3m-backlog-remove-oldest): Simplify.
	(w3m-search): Fix typo in function document.

2001-03-05  Keisuke Nishida  <kxn30@po.cwru.edu>

	* w3m.el (w3m-anchor, w3m-image, w3m-action): Use defsubst.

2001-03-05  Keisuke Nishida  <kxn30@po.cwru.edu>

	* w3m.el (and-let*): Removed
	(w3m-save-this-url): Updated.

2001-03-06  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-goto-previous-anchor): Fix mistake on merging w3-anchor
	patch. Cursor should go to beginning of anchor previous.
	(w3m-mode-map): Assign Shift-TAB key with w3m-previous-anchor.

2001-03-06  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (TOP): No need to load cl-macs explicitly.
	(w3m-charset-coding-system-alist): Do not use doloop in defcustom
	because it is not expanded in compile time.

2001-03-05  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el: apply patch from Keisuke Nishida.  URL is hold in text
	property as already expanded.  Some utility functions (w3m-anchor,
	w3m-image, w3m-action) is defined and used.
	(and-let*): New macro.
	(w3m-fontify-anchors): Hold expanded url in text property.
	(w3m-fontify-images): Likewise.
	(w3m-expand-url): Save matching data.  Match pattern bug fix (by
	gotoh).
	(w3m-anchor): New function.
	(w3m-image): New function.
	(w3m-action): New function. (added by gotoh)
	(w3m-view-this-url): Use new functions to extract text prop.
	(w3m-mouse-view-this-url): Likewise.
	(w3m-download-this-url): Likewise.
	(w3m-print-this-url): Likewise.
	(w3m-save-this-url): Likewise.
	(w3m-goto-next-anchor): Likewise, and do not expand url.
	(w3m-external-view): Remove 1st arg CONTENT-TYPE.
	(w3m-next-anchor): Use and-let* macro and do not expand url.
	(w3m-goto-previous-anchor): Use utility functions.
	(w3m-bookmark-add-this-url): Likewise and refine.
	(w3m-url-encode-string): Do not escape ':' and '/'.

2001-03-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-retrieve): Add support for URLs which has `about:'
	prefix.
	(w3m-content-type): Likewise.
	(w3m-about, w3m-about-weather, w3m-weather, w3m-weather-remove-headers,
	w3m-weather-remove-footers, w3m-weather-remove-weather-images,
	w3m-weather-remove-washing-images, w3m-weather-remove-futon-images,
	w3m-weather-remove-week-weather-images, w3m-weather-insert-title): New
	function.
	(w3m-weather-url-alist): New associative list of AREA vs. URL.
	(w3m-weather-default-area): New customize variable.
	(w3m-weather-default-area): Ditto.
	(w3m-entity-value): When unknown entity is specified, return original
	string instead of null string.

2001-03-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-url-encode-string): New function.
	(w3m-escape-query-string): Use `w3m-url-encode-string'.
	(w3m-form-make-get-string): Ditto.
	(w3m-message): Changed to support Emacs-19.
	(w3m-parse-attributes): Ditto.
	(w3m-fontify): Refer `mc-flag' when mule is used.

2001-03-05  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-command-arguments): Make it as system constants user not
	for user variable. User need not change this value.  "-S" options is
	removed because it doesn't work for non Text/Plain object.
	(w3m-default-url-coding-system): New variable.
	(w3m-search-engine-alist): Change format to hold encoding type for
	query string. And add some engines.
	(w3m-fill-column): Born again variable. Positive value is for fixed
	column, negative value is for fitting frame width.
	(w3m-mode): Add key description of "<" and ">" in doc-string.
	(w3m-escape-query-string): Add 2nd argument for coding system.
	(w3m-search): Adapt to new format of w3m-search-engine-alist.

2001-03-05  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-sub-list): Guard error for XEmacs (N must count from
	zero).

2001-03-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-search): Simplify.
	(w3m-do-search): Removed.

2001-03-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Merge form branch to main trunk.

2001-03-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-form-new): Changed w3m-form structure.
	(w3m-form-p): Likewise.
	(w3m-form-put): Likewise.
	(w3m-form-get): Likewise.
	(w3m-form-plist): New macro.
	(w3m-form-symbol): Removed.
	(w3m-url-encode): Ditto.
	(w3m-form-make-get-string): Follow change of w3m-form and use
	w3m-escape-query-string instead of w3m-url-encode.
	(w3m-parse-attributes): New macro.
	(w3m-form-parse-region): Use w3m-parse-attributes.
	(w3m-fontify-forms): Use w3m-parse-attributes.

2001-03-05  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-content-type-alist): Add some content-type.
	(w3m-w3m-retrieve): Change bind variables method to 'let*'.

2001-03-05  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-command-arguments): Add "-S" option for w3m.
	(w3m-search-engine-alist): Add new spec for google with JA lang.
	(w3m-current-url): Make variable buffer local at top leve.
	(w3m-current-title): Likewise.
	(w3m-url-history): Likewise.
	(w3m-process-temp-file): Likewise.
	(w3m-rendering-region): Do not make local variable for the reason
	above.
	(w3m-exec): Likewise.
	(w3m-external-view): Likewise.
	(w3m-goto-next-anchor): Bug fix.
	(w3m-goto-previous-anchor): Bug fix.
	(w3m-escape-query-string): Bug: Escape SPC char as "+" not "%20".

2001-03-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-form-string-regexp): Add `eval-and-compile' to suprress
	byte-compile error.
	(w3m-form-p): Fix typo.
	(w3m-mode-map): Swapped keybindings of w3m-scroll-left and
	w3m-scroll-right to fit w3m's keybindings.

2001-03-04  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el: Add Keisuke Nishida as author.
	(TOP): Use thingatpt instead of ffap.
	(w3m-fill-column): Obsoleted. Determine in dynamic.
	(w3m-command-arguments): Specify as lambda
	(w3m-command-arguments): Change initial value.
	(w3m-search-engine-alist): Change spec more simple.
	(w3m-input-url): Use thing-at-point.
	(w3m-do-search): Adapt to new w3m-search-engine-alist spec.
	(w3m-search): Change variable name and refine codes.

	* w3m.el: (w3m-entity-value): Allow immediate entity (&#nnn).
	(w3m-fontify): Likewise.

2001-03-04  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-delete-duplicated-empty-lines): New variable.
	(w3m-search-engine-alist): New variable.
	(w3m-default-search-engine): New variable.
	(w3m-horizontal-scroll-columns): New variable.
	(w3m-fontify): Change regexp to allow non-double-quoted string for href
	attribute value of anchor tag. Remove duplicated empty lines for
	compact view.
	(w3m-mode-map): Add keymap "<" and ">" to scroll horizontaly.
	(w3m-mode): Truncate lines.
	(w3m-scroll-left): New interactive function.
	(w3m-scroll-right): New interactive function.
	(w3m-escape-query-string): New function.
	(w3m-do-search): New function.
	(w3m-search): New interactive function for searching word with various
	search engine.

2001-03-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Start implementation of code to process <form> tag.
	(w3m-form-face): New face.
	(w3m-current-forms): New internal variable.
	(w3m-form-string-regexp): New internal constant.
	(w3m-form-new, w3m-form-p, w3m-form-symbol, w3m-form-method,
	w3m-form-action, w3m-form-put, w3m-form-get, w3m-url-encode,
	w3m-form-make-get-string, w3m-form-parse-region, w3m-fontify-forms,
	w3m-form-replace, w3m-form-input, w3m-form-submit, w3m-form-real-reset,
	w3m-form-reset, w3m-fontify-bold, w3m-fontify-underline,
	w3m-fontify-images): New function.
	(w3m-fontify): Use new functions.
	(w3m-mode-map): Add scroll-right and scroll-left.
	(w3m-mode): Set t to `truncate-line'.

2001-03-04  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el: Patch from Keisuke Nishida <kxn30@po.cwru.edu>.
	(w3m-print-this-url): Do not save URL, print only.
	(w3m-save-this-url): New function. Print and save URL under cursor.
	(w3m-goto-next-anchor): New function.
	(w3m-next-anchor): Move to top anchor from bottom.  Print URL after
	move.
	(w3m-goto-previous-anchor): New function.
	(w3m-previous-anchor): Move to bottom anchor from top.  Print URL after
	move.

2001-03-04  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el: Patch from Keisuke Nishida <kxn30@po.cwru.edu>.
	(TOP): Require ffap.el.
	(w3m-input-url): Prompt with default URL, and use URL under cursor as
	default if not specified.
	(w3m): Do not specify default url for w3m-input-url.

2001-03-02  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-backlog-enter): Overwrite backlog data when specified URL
	is duplicated.
	(w3m-home-page): Changed official emacs-w3m page's address to
	namazu.org.

2001-03-02  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Renamed w3m-http-* to w3m-w3m-* in order to prepare name
	space of symbols processing HTTP protocol directly, and fix for cookie.
	(w3m-w3m-check-header): Renamed from `w3m-http-check-header'.
	(w3m-w3m-retrieve): Renamed from `w3m-http-retrieve' and added code to
	remove cookies.
	(w3m-retrieve): Follow changes of fuction name.
	(w3m-download): Likewise and changed argument spec.
	(w3m-exec): Changed argument spec.
	(w3m-goto-url): Changed reload scheme,
	(w3m-fontify): Move point to the top of the buffer before delete <?xml
	... ?> tag.

2001-03-02  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (TOP): Changed code to detect XEmacs and add to define
	`find-coding-system'.
	(w3m-backlog-setup): Changed caching data format.
	(w3m-backlog-enter): Ditto and changed argument spec.
	(w3m-backlog-request): Ditto and changed spec of return value.
	(w3m-http-retrieve): Access backlog in this function and changed
	argument spec.
	(w3m-retrieve): Changed argument spec.
	(w3m-exec): Clean up and chaned spec of return value.
	(w3m-goto-url): Follow changes in `w3m-exec'.
	(w3m-decode-buffer): Clean up.
	(w3m-process-temp-file): New variable to suppress byte-compile warning.
	(w3m-external-view): Use w3m-process-temp-file to suppress byte-compile
	warning.
	(w3m): Change `mode-line-buffer-identification'.

2001-03-02  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-home-page): Initialize as URL.

2001-03-02  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el: Correcting wrong use of cygwin type filename usage, using
	dolist macro, adding handling codes html character entities, correct
	bug of w3m-view-bookmark on win32 environment, fixing some small bugs,
	etc.
	(w3m-url-to-file-name): New function.
	(w3m-expand-file-name-as-url): Renamed from w3m-expand-file-name.
	(w3m-bookmark-file): Initialize as native filename format.
	(w3m-arrived-urls-file): Likewise.
	(w3m-charset-coding-system-alist): Use dolist macro.
	(w3m-entity-alist): New constant.
	(w3m-entity-db): New variable.
	(w3m-entity-db-size): New variable.
	(w3m-entity-db-setup): New function.
	(w3m-entity-value): New function
	(w3m-fontify): Refine html character entity decoding.  Use dolist
	macro. Some bug fix.
	(w3m-exec-get-user): Simplify using dolist macro.
	(w3m-bookmark-save): Likewise.
	(w3m-local-content-type): Likewise.
	(w3m-local-retrieve): Fix filename handling considering cygwin
	convention by using w3m-local-file-name function.
	(w3m-http-retrieve): Buf fix.
	(w3m-rendering-region): Bug fix, use w3m-current-url.
	(w3m-view-bookmark): Use w3m to do initialize on interactive call.
	(w3m-find-file): Fix for renamed function.

2001-03-01  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* Merge changes on `url' branch to main trunk.

2001-03-01  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-home-page): Changed to official w3m.el page.
	(w3m-anchor-face): Changed default face in dark backgraound.
	(w3m-arrived-anchor-face): Ditto.
	(w3m-download): Fix typo.
	(w3m-content-type-alist): Accept .png file.
	(w3m-external-view): Fix typo.
	(w3m-view-image): Fix.

2001-03-01  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* mew-w3m.el: New file to use w3m with Mew.

2001-03-01  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* mime-w3m.el: New file to use w3m with SEMI.

	* w3m.el (w3m-message): New function.
	(w3m-verbose): New variable.
	(w3m-process-message): Ditto.
	(w3m-process-url): Removed.
	(w3m-exec-process): Add code to show progress status.
	(w3m-exec-filter): Fix prompt bug and clean up codes.
	(w3m-retrieve): Changed arguments spec.
	(w3m-local-retrieve): Ditto.
	(w3m-http-retrieve): Ditto.
	(w3m-pretty-length): New function.
	(w3m-rendering-region): Add code to show progress status.

2001-03-01  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-http-retrieve): Add adhoc fragment to avoid new-line
	replacement.
	(w3m-decode-buffer): Renamed from w3m-html-decode-buffer.

2001-02-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-content-type-alist): Accept .htm as text/html.
	(w3m-backlog-enter): Add code to memory w3m-current-title.
	(w3m-backlog-request): Resume w3m-current-title from backlog data.
	(w3m-html-decode-buffer): Change arguments spec.
	(w3m-rendering-region): Removed code to set w3m-current-url.
	(w3m-exec): Fix bug of proecessing text/plain files and changed data
	format to preserve in backlog.

2001-02-28  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el: Support XEmacs using APEL.
	(w3m-fontify): Delete <?XML ... ?> tag for XHTML page.
	(w3m-input-url): Do not use 7th arg of completing-read for XEmacs
	support.
	(w3m-bookmark-save): Check bookmark file is writable.

2001-02-28  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-bookmark-add): Fix problem of adding bookmark first time.

2001-02-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Reconstructed drastically and removed w3 depended codes.

2001-02-28  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

	* w3m.el (w3m-executable-type): New variable.
	(w3m-cygwin-path): New function.
	(w3m-region): New function.

2001-02-26  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-fontify): Add code to decode w3m-specific extended
	charcters.
	(w3m-extended-charcters-table): New constant.

2001-02-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-async-exec): New customizable variable.
	(w3m-exec-process): Use 'w3m-async-exec' instead of 'w3m-process-type'.

2001-02-07  Shun-ichi GOTO  <gotoh@taiyo.co.jp>

